#define AUDIO_PIN 9

char a[128]; byte i;

void setup() {
  Serial.begin(9600);
  pinMode(AUDIO_PIN, OUTPUT);
}

void loop() {
  char c;
  if (Serial.available() > 0) {
    c = Serial.read();
    if (i < sizeof(a)) a[i++] = c;
    if (c == 10) {
      Beep(&a[0], i);
      i = 0;
    }
  }
}

void Beep(char *data, byte count)
{
  byte n, mask;
  char c, *ptr;
  cli();
  for(n = count, ptr = data; n; n--, ptr++)
  {
    for(mask = 0x80, c = *ptr; mask; mask >>= 1)
    {
      if(c & mask)
      {
        digitalWrite(AUDIO_PIN, HIGH); delayMicroseconds(103);
        digitalWrite(AUDIO_PIN, LOW);  delayMicroseconds(43);
      }
      else
      {
        digitalWrite(AUDIO_PIN, HIGH); delayMicroseconds(33);
        digitalWrite(AUDIO_PIN, LOW);  delayMicroseconds(113);
      }
    }
  }
  sei();
}
