VERSION 5.00
Begin VB.Form Axes 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Remote control"
   ClientHeight    =   3945
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   2145
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Axes.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   263
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   143
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin Project.DropList Mode 
      Height          =   225
      Left            =   75
      TabIndex        =   0
      Top             =   75
      Width           =   2025
      _extentx        =   3572
      _extenty        =   397
      caption         =   "Mode"
      text            =   "Rover"
      list            =   "Rover|UAV"
      alignment       =   2
      tooltip         =   "Remote control mode"
      locked          =   -1  'True
   End
   Begin Project.DropList Device 
      Height          =   225
      Left            =   75
      TabIndex        =   1
      Top             =   375
      Width           =   2025
      _extentx        =   3572
      _extenty        =   397
      caption         =   "Device"
      text            =   "Keyboard"
      list            =   "Keyboard|Mouse"
      alignment       =   2
      tooltip         =   "Device used for the remote control"
      locked          =   -1  'True
   End
   Begin Project.DropList RSteering 
      Height          =   225
      Left            =   75
      TabIndex        =   2
      Top             =   675
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Steering"
      text            =   "X Axis"
      list            =   "X Axis|Y Axis|Z Axis|Rudder|U Axis|V Axis"
      alignment       =   1
      tooltip         =   "Axis used for the steering control"
      locked          =   -1  'True
   End
   Begin Project.Check RSteeringR 
      Height          =   225
      Left            =   1845
      TabIndex        =   24
      Top             =   675
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the axis of the steering control"
   End
   Begin Project.DropList RThrust 
      Height          =   225
      Left            =   75
      TabIndex        =   3
      Top             =   975
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Thrust"
      text            =   "Y Axis"
      list            =   "X Axis|Y Axis|Z Axis|Rudder|U Axis|V Axis"
      alignment       =   1
      tooltip         =   "Axis used for the thrust control"
      locked          =   -1  'True
   End
   Begin Project.Check RThrustR 
      Height          =   225
      Left            =   1845
      TabIndex        =   25
      Top             =   975
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the axis of the thrust control"
   End
   Begin Project.DropList URoll 
      Height          =   225
      Left            =   75
      TabIndex        =   4
      Top             =   675
      Visible         =   0   'False
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Roll"
      text            =   "X Axis"
      list            =   "X Axis|Y Axis|Z Axis|Rudder|U Axis|V Axis"
      alignment       =   1
      tooltip         =   "Axis used for the roll control"
      locked          =   -1  'True
   End
   Begin Project.Check URollR 
      Height          =   225
      Left            =   1845
      TabIndex        =   20
      Top             =   675
      Visible         =   0   'False
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the axis of the roll control"
   End
   Begin Project.DropList UPitch 
      Height          =   225
      Left            =   75
      TabIndex        =   5
      Top             =   975
      Visible         =   0   'False
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Pitch"
      text            =   "Y Axis"
      list            =   "X Axis|Y Axis|Z Axis|Rudder|U Axis|V Axis"
      alignment       =   1
      tooltip         =   "Axis used for the pitch control"
      locked          =   -1  'True
   End
   Begin Project.Check UPitchR 
      Height          =   225
      Left            =   1845
      TabIndex        =   21
      Top             =   975
      Visible         =   0   'False
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the axis of the pitch control"
   End
   Begin Project.DropList UYaw 
      Height          =   225
      Left            =   75
      TabIndex        =   6
      Top             =   1275
      Visible         =   0   'False
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Yaw"
      text            =   "Rudder"
      list            =   "X Axis|Y Axis|Z Axis|Rudder|U Axis|V Axis"
      alignment       =   1
      tooltip         =   "Axis used for the yaw control"
      locked          =   -1  'True
   End
   Begin Project.Check UYawR 
      Height          =   225
      Left            =   1845
      TabIndex        =   22
      Top             =   1275
      Visible         =   0   'False
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the axis of the yaw control"
   End
   Begin Project.DropList UThrust 
      Height          =   225
      Left            =   75
      TabIndex        =   7
      Top             =   1575
      Visible         =   0   'False
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Thrust"
      text            =   "Z Axis"
      list            =   "X Axis|Y Axis|Z Axis|Rudder|U Axis|V Axis"
      alignment       =   1
      tooltip         =   "Axis used for the thrust control"
      locked          =   -1  'True
   End
   Begin Project.Check UThrustR 
      Height          =   225
      Left            =   1845
      TabIndex        =   23
      Top             =   1575
      Visible         =   0   'False
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the axis of the thrust control"
   End
   Begin Project.DropList XAxis 
      Height          =   225
      Left            =   75
      TabIndex        =   8
      Top             =   2400
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "X Axis"
      text            =   "X Axis"
      list            =   "X Axis|Y Axis|Z Axis"
      alignment       =   1
      tooltip         =   "Axis used for the X input axis"
      locked          =   -1  'True
   End
   Begin Project.Check XAxisR 
      Height          =   225
      Left            =   1845
      TabIndex        =   16
      Top             =   2400
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the X input axis"
   End
   Begin Project.DropList YAxis 
      Height          =   225
      Left            =   75
      TabIndex        =   9
      Top             =   2700
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Y Axis"
      text            =   "Y Axis"
      list            =   "X Axis|Y Axis|Z Axis"
      alignment       =   1
      tooltip         =   "Axis used for the Y input axis"
      locked          =   -1  'True
   End
   Begin Project.Check YAxisR 
      Height          =   225
      Left            =   1845
      TabIndex        =   17
      Top             =   2700
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the Y input axis"
   End
   Begin Project.DropList ZAxis 
      Height          =   225
      Left            =   75
      TabIndex        =   10
      Top             =   3000
      Width           =   1650
      _extentx        =   2910
      _extenty        =   397
      caption         =   "Z Axis"
      text            =   "Z Axis"
      list            =   "X Axis|Y Axis|Z Axis"
      alignment       =   1
      tooltip         =   "Axis used for the Z input axis"
      locked          =   -1  'True
   End
   Begin Project.Check ZAxisR 
      Height          =   225
      Left            =   1845
      TabIndex        =   18
      Top             =   3000
      Width           =   270
      _extentx        =   476
      _extenty        =   397
      caption         =   ""
      tooltip         =   "Invert the Z input axis"
   End
   Begin Project.Check NormalizeVector 
      Height          =   225
      Left            =   75
      TabIndex        =   15
      Top             =   3300
      Width           =   1800
      _extentx        =   3175
      _extenty        =   397
      checked         =   -1  'True
      caption         =   "Normalize vector"
      tooltip         =   "Normalize the input vectors"
   End
   Begin Project.Check AlignAxes 
      Height          =   225
      Left            =   75
      TabIndex        =   12
      Top             =   3600
      Width           =   1200
      _extentx        =   2117
      _extenty        =   397
      caption         =   "Align axes"
      tooltip         =   "Align the input axes with the initial launch site"
   End
   Begin VB.PictureBox Control 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      ForeColor       =   &H80000008&
      Height          =   300
      Left            =   1725
      ScaleHeight     =   18
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   18
      TabIndex        =   11
      Tag             =   "Activate remote control"
      Top             =   3525
      Width           =   300
      Begin VB.Image ControlPic 
         Enabled         =   0   'False
         Height          =   240
         Left            =   15
         Picture         =   "Axes.frx":000C
         Top             =   15
         Width           =   240
      End
   End
   Begin VB.Label Sep 
      BorderStyle     =   1  'Fixed Single
      Height          =   45
      Left            =   75
      TabIndex        =   14
      Top             =   1950
      Width           =   1980
   End
   Begin VB.Label LblInputAxes 
      BackStyle       =   0  'Transparent
      Caption         =   "Input axes"
      Height          =   225
      Left            =   75
      TabIndex        =   13
      Top             =   2100
      Width           =   1050
   End
   Begin VB.Label LblInvert 
      Alignment       =   1  'Right Justify
      BackStyle       =   0  'Transparent
      Caption         =   "Invert"
      Height          =   225
      Left            =   1425
      TabIndex        =   19
      Top             =   2100
      Width           =   675
   End
End
Attribute VB_Name = "Axes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim NoResize As Boolean

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    End Sub

Sub Activate()
    If Main.WindowState = vbMinimized Then Exit Sub
    If Visible Then Hide Else SetRCMode: Show vbModeless, Main
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyC, vbKeyH, vbKeyV, vbKeyX, vbKeyZ
    Case vbKeyLeft, vbKeyRight, vbKeyUp, vbKeyDown
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn: If Shift = 0 Then ToggleControl _
            Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Main.Form_KeyUp KeyCode, Shift
    End Sub

Sub Form_Resize()
    If NoResize Or IsInit Then Exit Sub
    NoResize = True: Move Left, Top, _
        (Round((ScaleWidth - 3) / AxesWidth) * AxesWidth + 3 - ScaleWidth) * TwipX + Width, _
        (Round((ScaleHeight - 3) / AxesHeight) * AxesHeight + 3 - ScaleHeight) * TwipY + Height: _
    ResizeAxes: NoResize = False: If Options.SnapPanels Then ResizeMain
    End Sub

Sub SetRCMode(Optional ByVal N As Long = -1)
    If N >= 0 Then RCMode = N
    Mode.SelectItem RCMode - 1
    Device.List = GetRCList
    Device = Switch(RCDevice = 1, "Keyboard", RCDevice = 2, "Mouse", _
        RCDevice = 3, "Joystick", RCDevice >= 4 And RCDevice <= 18, "Joystick " & N - 2, _
        True, "None")
    Device.SelectItem RCDevice - 1
    RSteering.Visible = RCMode = 1:            RSteeringR.Visible = RCMode = 1
    RThrust.Visible = RCMode = 1:              RThrustR.Visible = RCMode = 1
    URoll.Visible = RCMode = 2:                URollR.Visible = RCMode = 2
    UPitch.Visible = RCMode = 2:               UPitchR.Visible = RCMode = 2
    UYaw.Visible = RCMode = 2:                 UYawR.Visible = RCMode = 2
    UThrust.Visible = RCMode = 2:              UThrustR.Visible = RCMode = 2
    RSteering.SelectItem Abs(RCRSteering) - 1: RSteeringR = RCRSteering < 0
    RThrust.SelectItem Abs(RCRThrust) - 1:     RThrustR = RCRThrust < 0
    URoll.SelectItem Abs(RCURoll) - 1:         URollR = RCURoll < 0
    UPitch.SelectItem Abs(RCUPitch) - 1:       UPitchR = RCUPitch < 0
    UYaw.SelectItem Abs(RCUYaw) - 1:           UYawR = RCUYaw < 0
    UThrust.SelectItem Abs(RCUThrust) - 1:     UThrustR = RCUThrust < 0
    XAxis.SelectItem Abs(LinkAxisX) - 1:       XAxisR = LinkAxisX < 0
    YAxis.SelectItem Abs(LinkAxisY) - 1:       YAxisR = LinkAxisY < 0
    ZAxis.SelectItem Abs(LinkAxisZ) - 1:       ZAxisR = LinkAxisZ < 0
    NormalizeVector = LinkCtlNormalize
    AlignAxes = LinkCtlAxes
    End Sub

Private Function GetRCList() As String
    Dim N As Long, J As JoyInfoEx
    GetRCList = "Keyboard|Mouse": J.dwSize = Len(J): J.dwFlags = &HFF&
    For N = 1 To 16
        If joyGetPosEx(N - 1, J) = 0 Then _
            GetRCList = GetRCList & "|Joystick" & IIf(N > 1, " " & N, "")
        Next
    End Function

Private Sub Control_Resize()
    ControlPic.Move Int((Control.ScaleWidth - ControlPic.Width) / 2), _
        Int((Control.ScaleHeight - ControlPic.Height) / 2)
    End Sub

Private Sub Control_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Tip.Visible Then Tip.Update
    ToggleControl
    If RCDevice = 2 And IsPressed(Control) Then GetCursorPos Click: SetCursor 0
    End Sub

Private Sub Control_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Tip.Update Control.Tag
    If NoMove Then NoMove = False _
    Else If RCDevice = 2 And Button <> 0 And IsPressed(Control) Then _
        MouseAxisX = X - MouseX: MouseAxisY = MouseY - Y: _
        NoMove = True: SetCursorPos Click.X, Click.Y
    MouseX = X: MouseY = Y
    End Sub

Private Sub Control_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If RCDevice = 2 And IsPressed(Control) Then Screen.MousePointer = vbDefault: _
        ToggleControl: MouseAxisX = 0: MouseAxisY = 0
    End Sub

Private Sub Control_KeyDown(KeyCode As Integer, Shift As Integer)
    If Tip.Visible Then Tip.Update
    Keys(KeyCode) = True
    End Sub

Private Sub Control_KeyUp(KeyCode As Integer, Shift As Integer)
    If Tip.Visible Then Tip.Update
    Keys(KeyCode) = False
    End Sub

Private Sub Mode_Click(Item As Integer)
    SetRCMode Item + 1
    End Sub

Private Sub Device_Init()
    Device.List = GetRCList
    End Sub

Private Sub Device_Click(Item As Integer)
    RCDevice = Item + 1
    End Sub

Private Sub RSteering_Click(Item As Integer)
    SgnInt RCRSteering, Item + 1
    End Sub

Private Sub RSteeringR_Click()
    SetSgnInt RCRSteering, RSteeringR
    End Sub

Private Sub RThrust_Click(Item As Integer)
    SgnInt RCRThrust, Item + 1
    End Sub

Private Sub RThrustR_Click()
    SetSgnInt RCRThrust, RThrustR
    End Sub

Private Sub URoll_Click(Item As Integer)
    SgnInt RCURoll, Item + 1
    End Sub

Private Sub URollR_Click()
    SetSgnInt RCURoll, URollR
    End Sub

Private Sub UPitch_Click(Item As Integer)
    SgnInt RCUPitch, Item + 1
    End Sub

Private Sub UPitchR_Click()
    SetSgnInt RCUPitch, UPitchR
    End Sub

Private Sub UYaw_Click(Item As Integer)
    SgnInt RCUYaw, Item + 1
    End Sub

Private Sub UYawR_Click()
    SetSgnInt RCUYaw, UYawR
    End Sub

Private Sub UThrust_Click(Item As Integer)
    SgnInt RCUThrust, Item + 1
    End Sub

Private Sub UThrustR_Click()
    SetSgnInt RCUThrust, UThrustR
    End Sub
    
Private Sub XAxis_Click(Item As Integer)
    SgnInt LinkAxisX, Item + 1
    End Sub

Private Sub XAxisR_Click()
    SetSgnInt LinkAxisX, XAxisR
    End Sub

Private Sub YAxis_Click(Item As Integer)
    SgnInt LinkAxisY, Item + 1
    End Sub

Private Sub YAxisR_Click()
    SetSgnInt LinkAxisY, YAxisR
    End Sub

Private Sub ZAxis_Click(Item As Integer)
    SgnInt LinkAxisZ, Item + 1
    End Sub

Private Sub ZAxisR_Click()
    SetSgnInt LinkAxisZ, ZAxisR
    End Sub

Private Sub NormalizeVector_Click()
    LinkCtlNormalize = NormalizeVector
    End Sub

Private Sub AlignAxes_Click()
    LinkCtlAxes = -AlignAxes
    End Sub
