VERSION 5.00
Begin VB.UserControl Color 
   Appearance      =   0  'Flat
   CanGetFocus     =   0   'False
   ClientHeight    =   255
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1500
   ClipBehavior    =   0  'None
   ClipControls    =   0   'False
   FillColor       =   &H8000000F&
   FillStyle       =   0  'Solid
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForwardFocus    =   -1  'True
   HasDC           =   0   'False
   HitBehavior     =   0  'None
   MaskColor       =   &H00FF00FF&
   ScaleHeight     =   17
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   100
   ToolboxBitmap   =   "Color.ctx":0000
   Begin VB.Line LinR 
      BorderColor     =   &H00808080&
      Visible         =   0   'False
      X1              =   70
      X2              =   100
      Y1              =   9
      Y2              =   9
   End
   Begin VB.Line LinL 
      BorderColor     =   &H00808080&
      Visible         =   0   'False
      X1              =   0
      X2              =   15
      Y1              =   9
      Y2              =   9
   End
   Begin VB.Label Fore 
      Appearance      =   0  'Flat
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      ForeColor       =   &H80000008&
      Height          =   225
      Left            =   15
      TabIndex        =   2
      Top             =   15
      Width           =   225
   End
   Begin VB.Label Fnt 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BorderStyle     =   1  'Fixed Single
      Caption         =   "A"
      ForeColor       =   &H80000008&
      Height          =   225
      Left            =   270
      TabIndex        =   1
      Top             =   15
      Visible         =   0   'False
      Width           =   225
   End
   Begin VB.Label Lbl 
      Appearance      =   0  'Flat
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Color"
      Height          =   195
      Left            =   570
      TabIndex        =   0
      Top             =   30
      Width           =   375
   End
   Begin VB.Shape Cursor 
      BackColor       =   &H00D0D0D0&
      BackStyle       =   1  'Opaque
      BorderColor     =   &H00B0B0B0&
      Height          =   255
      Left            =   0
      Top             =   0
      Visible         =   0   'False
      Width           =   1500
   End
End
Attribute VB_Name = "Color"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Enum ColorStyle
    StyleNone = 0: StyleFont = 1: StyleFore = 8: StyleAll = &HF& ': StyleBack = 2
    StyleSysColor = &H10&: StyleNoInit = &H20&
    StyleText = StyleFont Or StyleSysColor Or StyleNoInit
    StyleTitle = StyleFore Or StyleNoInit
    End Enum

Private Const Border As Long = 4, Sep As Long = 4

Public Default As Long ', DefaultBack As Long

Dim Current As Long ', CurrentBack As Long

Event Click()
Event ClickColor()
'Event ClickBack()
Event ClickFont()
Event ClickMenu()

Property Get Caption() As String
Attribute Caption.VB_MemberFlags = "200"
    Caption = Lbl.Caption
    End Property

Property Let Caption(Value As String)
    Lbl.Caption = Value: UserControl_Resize
    PropertyChanged "Caption"
    End Property

Property Get ToolTip() As String
    ToolTip = Tag
    End Property

Property Let ToolTip(Text As String)
    Tag = Text: Fnt.Tag = "Font used for the " & LCase(Left(Text, 1)) & Mid(Text, 2)
    PropertyChanged "ToolTip"
    End Property

Property Get Color() As OLE_COLOR
Attribute Color.VB_UserMemId = 0
    Color = Current
    End Property

Property Let Color(Value As OLE_COLOR)
    Current = Value: Fore.BackColor = Current And &HFFFFFF
    PropertyChanged "Color"
    End Property

'Property Get ColorBack() As OLE_COLOR
'    ColorBack = CurrentBack
'    End Property

'Property Let ColorBack(Value As OLE_COLOR)
'    CurrentBack = Value: Back.BackColor = CurrentBack And &HFFFFFF
'    PropertyChanged "ColorBack"
'    End Property

Property Get Style() As ColorStyle
    Style = -Fnt.Visible * StyleFont - (Not Fore.Visible) * StyleFore ' - Back.Visible * StyleBack
    End Property

Property Let Style(Value As ColorStyle)
    Fnt.Visible = (Value And StyleAll And StyleFont) <> 0
    'Back.Visible = (Value And StyleAll And StyleBack) <> 0
    Fore.Visible = (Value And StyleAll And StyleFore) = 0
    LinR.Visible = Not Fore.Visible ': LinL.Visible = LinR.Visible
    UserControl_Resize
    PropertyChanged "Style"
    End Property

Property Get ForeColor() As OLE_COLOR
    ForeColor = Fore.ForeColor
    End Property

Property Let ForeColor(Value As OLE_COLOR)
    Fore.ForeColor = Value: Fnt.ForeColor = Value
    'LinL.BorderColor = Value: LinR.BorderColor = Value: Back.ForeColor = Value
    Active
    PropertyChanged "ForeColor"
    End Property

Property Get LabelColor() As OLE_COLOR
    LabelColor = UserControl.BackColor
    End Property

Property Let LabelColor(Value As OLE_COLOR)
    UserControl.BackColor = Value: Lbl.BackColor = Value: Fnt.BackColor = Value
    PropertyChanged "LabelColor"
    End Property

'Property Get BackColor() As OLE_COLOR
'    BackColor = UserControl.BackColor
'    End Property

'Property Let BackColor(Value As OLE_COLOR)
'    UserControl.BackColor = Value
'    PropertyChanged "BackColor"
'    End Property

Property Get Font() As StdFont
    Set Font = UserControl.Font
    End Property

Property Let Font(Value As StdFont)
    Set UserControl.Font = Value: Set Lbl.Font = Value
    Set Fore.Font = Value ': Set Back.Font = Value
    Set Fnt.Font = Value
    PropertyChanged "Font"
    End Property

Property Set Font(Value As StdFont)
    Set UserControl.Font = Value: Set Lbl.Font = Value
    Set Fore.Font = Value ': Set Back.Font = Value
    Set Fnt.Font = Value
    PropertyChanged "Font"
    End Property

Sub SymbolFont(Value As StdFont)
    'Set Chk.Font = Value
    End Sub

Function hWnd() As Long
    hWnd = UserControl.hWnd
    End Function

Sub Active(Optional ByVal Value As Long = 1)
    If Value = 1 Then Value = Cursor.Visible Else Cursor.Visible = Value
    Lbl.ForeColor = IIf(Value, vbBlack, Fnt.ForeColor)
    End Sub

Private Sub Fore_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseDown Button, Shift, X, Y
    End Sub

Private Sub Fore_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseMove Button, Shift, X, Y
    End Sub

Private Sub Fore_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then RaiseEvent ClickMenu Else RaiseEvent ClickColor
    End Sub

'Private Sub Back_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
'    UserControl_MouseDown Button, Shift, X, Y
'    End Sub

'Private Sub Back_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
'    UserControl_MouseMove Button, Shift, X, Y
'    End Sub

'Private Sub Back_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
'    If Button = 2 Then RaiseEvent ClickMenu Else RaiseEvent ClickBack
'    End Sub

Private Sub Fnt_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseDown Button, Shift, X, Y
    End Sub

Private Sub Fnt_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Tip.Update Fnt.Tag
    End Sub

Private Sub Fnt_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then RaiseEvent ClickMenu Else RaiseEvent ClickFont
    End Sub

Private Sub Lbl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseDown Button, Shift, X, Y
    End Sub

Private Sub Lbl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseMove Button, Shift, X, Y
    End Sub

Private Sub Lbl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then RaiseEvent ClickMenu Else RaiseEvent Click
    End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Tip.Visible Then Tip.Update
    End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Tip.Update Tag
    End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then RaiseEvent ClickMenu Else RaiseEvent Click
    End Sub

Private Sub UserControl_Resize()
    Dim H As Long, X As Long, Y As Long, H2 As Long, Y2 As Long
    'W = Int(ScaleWidth): If W < 3 Then W = 3
    H = Int(ScaleHeight): If H < 3 Then H = 3
    Cursor.Move 0, 0, ScaleWidth, ScaleHeight
    'W = W - Sep
    H = H - Sep: X = Border: Y = Sep \ 2: H2 = H \ 2: Y2 = Y + H2 + 1
    Fore.Move X, Y, H, H: If Fore.Visible Then X = X + H + Sep
    'Back.Move X, Y, H, H: If Back.Visible Then X = X + H + Sep
    Fnt.Move X, Y - 1, H + 2, H + 2: If Fnt.Visible Then X = X + H + 2 + Sep
    Lbl.Move X + Sep + 1, Y
    With LinR
    .X2 = ScaleWidth - H2: .X1 = Lbl.Left + Lbl.Width + H2: If .X1 > .X2 Then .X1 = .X2
    .Y1 = Y2: .Y2 = Y2: End With
    'With LinL
    '.X1 = Sep: .X2 = Lbl.Left - H2: If .X2 < .X1 Then .X2 = .X1
    '.Y1 = Y2: .Y2 = Y2: End With
    End Sub

'Private Sub UserControl_GotFocus()
'    Cursor.Visible = True
'    End Sub

'Private Sub UserControl_LostFocus()
'    Cursor.Visible = False
'    End Sub

Private Sub UserControl_Initialize()
    Default = Fore.BackColor: Current = Default
    'DefaultBack = Back.BackColor: CurrentBack = DefaultBack
    End Sub

Private Sub UserControl_ReadProperties(P As PropertyBag)
    Caption = P.ReadProperty("Caption", UserControl.Name)
    ToolTip = P.ReadProperty("ToolTip", "")
    Color = P.ReadProperty("Color", Fore.BackColor)
    'ColorBack = P.ReadProperty("ColorBack", Back.BackColor)
    Style = P.ReadProperty("Style", 0)
    ForeColor = P.ReadProperty("ForeColor", vbButtonText)
    LabelColor = P.ReadProperty("LabelColor", vbButtonFace)
    'BackColor = P.ReadProperty("BackColor", vbWindowBackground)
    Set Font = P.ReadProperty("Font", UserControl.Extender.Container.Font)
    UserControl_Resize
    End Sub

Private Sub UserControl_WriteProperties(P As PropertyBag)
    P.WriteProperty "Caption", Caption, UserControl.Name
    P.WriteProperty "ToolTip", ToolTip, ""
    P.WriteProperty "Color", Color, Fore.BackColor
    'P.WriteProperty "ColorBack", ColorBack, Back.BackColor
    P.WriteProperty "Style", Style, 0
    P.WriteProperty "ForeColor", ForeColor, vbButtonText
    P.WriteProperty "LabelColor", LabelColor, vbButtonFace
    'P.WriteProperty "BackColor", BackColor, vbWindowBackground
    P.WriteProperty "Font", Font, UserControl.Extender.Container.Font
    End Sub
