VERSION 5.00
Begin VB.Form Log 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Log"
   ClientHeight    =   4980
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   4095
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Log.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   332
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   273
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.TextBox Txt 
      BackColor       =   &H8000000F&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000012&
      Height          =   4950
      HideSelection   =   0   'False
      Left            =   60
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      OLEDragMode     =   1  'Automatic
      OLEDropMode     =   2  'Automatic
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   30
      Width           =   4035
   End
   Begin VB.Menu mnMenu 
      Caption         =   "Menu"
      Visible         =   0   'False
      Begin VB.Menu mnCopy 
         Caption         =   "Copy	Ctrl+C"
      End
      Begin VB.Menu mnCopyLog 
         Caption         =   "Copy log"
      End
      Begin VB.Menu mnSaveLog 
         Caption         =   "Save log "
      End
      Begin VB.Menu mnS1 
         Caption         =   "-"
      End
      Begin VB.Menu mnExtendedLog 
         Caption         =   "Extended log"
      End
      Begin VB.Menu mnHighDefinition 
         Caption         =   "High definition"
      End
      Begin VB.Menu mnS2 
         Caption         =   "-"
      End
      Begin VB.Menu mnHide 
         Caption         =   "Hide"
      End
   End
End
Attribute VB_Name = "Log"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    ShowScrollBar Txt.hWnd, 0 'SB_HORZ=0 SB_VERT=1 SB_BOTH=3
    If Not IsDebug Then SetLogProc Txt.hWnd
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    If Not IsDebug Then SetLogProc Txt.hWnd, False
    End Sub

Sub Activate()
    If Main.WindowState = vbMinimized Then Exit Sub
    If Visible Then Hide Else Show vbModeless, Main
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case 1, 93: ShowLogMenu
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyC, vbKeyInsert: If Shift = 2 Then mnCopy_Click
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn
        If Shift Or IsTest Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Private Sub Form_Resize()
    On Error Resume Next: Txt.Move 4, 2, ScaleWidth - 4, ScaleHeight - 2: On Error GoTo 0
    End Sub

Private Sub mnCopy_Click()
    Clipboard.Clear: Clipboard.SetText Txt.SelText
    End Sub

Private Sub mnCopyLog_Click()
    Clipboard.Clear: Clipboard.SetText Txt
    End Sub

Private Sub mnSaveLog_Click()
    SaveLog Txt
    End Sub

Private Sub mnExtendedLog_Click()
    ExtendedLog = -(ExtendedLog = 0): If Play = Paused And T = 0 Then Init
    End Sub

Private Sub mnHighDefinition_Click()
    HiDefLog = -(HiDefLog = 0): If Play = Paused And T = 0 Then Init
    End Sub

Private Sub mnHide_Click()
    Activate
    End Sub

Sub ShowLogMenu()
    Check mnExtendedLog, ExtendedLog
    Check mnHighDefinition, HiDefLog
    PopupMenu mnMenu
    End Sub
