VERSION 5.00
Begin VB.Form Model2 
   BackColor       =   &H00000000&
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "3D model"
   ClientHeight    =   3300
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   2100
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00FFFFFF&
   Icon            =   "Model2.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   220
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   140
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
End
Attribute VB_Name = "Model2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    If Not IsDebug Then SetModelProc hWnd
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: ActivateView Cam4: Exit Sub
    If Not IsDebug Then SetModelProc hWnd, False
    End Sub

Private Sub Form_Paint()
    RenderModel Cam4
    End Sub

Sub Form_Resize()
    If NoResizeView Then NoResizeView = False: Exit Sub
    If Visible And WindowState <> vbMinimized Then InitCamera Cam4: RenderModel Cam4
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    GetCursorPos Click: ClickX = X: ClickY = Y
    End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim CX As Long, CY As Long
    CX = X - MouseX: CY = Y - MouseY: If CX = 0 And CY = 0 Then Exit Sub
    If Button Then
        If Button > 1 Then If GetCursor Then SetCursor 0
        Select Case Button
        Case 1: If Shift Then MoveModel Cam4, -CX, , -CY Else MoveModel Cam4, -CX, -CY
        Case 2: RotateModel Cam4, CX / IfInt(Shift, 200, 2), CY / IfInt(Shift, 200, 2)
        Case 4: ZoomModel Cam4, -CY / 100, True
            End Select
        End If
    MouseX = X: MouseY = Y
    End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If GetCursor = 0 Then SetCursorPos Click.X, Click.Y: Screen.MousePointer = vbDefault
    End Sub

Private Sub Form_DblClick()
    ResetModel Cam4
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case 1: ZoomModel Cam4, 0.2
    Case 2: ZoomModel Cam4, -0.2
    Case vbKeyLeft: If Shift Then RotateModel Cam4, -5 Else MoveModel Cam4, 5
    Case vbKeyRight: If Shift Then RotateModel Cam4, 5 Else MoveModel Cam4, -5
    Case vbKeyUp: If Shift = 1 Then ZoomModel Cam4, 0.2 _
        Else If Shift = 2 Then RotateModel Cam4, , -5 Else MoveModel Cam4, , 5
    Case vbKeyDown: If Shift = 1 Then ZoomModel Cam4, -0.2 _
        Else If Shift = 2 Then RotateModel Cam4, , 5 Else MoveModel Cam4, , -5
    Case vbKeyF11: If Shift = 2 Then Maximize Me Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn
        If Shift Or IsTest Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub
