VERSION 5.00
Begin VB.Form Notepad 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Notepad"
   ClientHeight    =   6000
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   8400
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000000&
   Icon            =   "Notepad.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   400
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   560
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.TextBox Txt 
      BackColor       =   &H8000000F&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000012&
      Height          =   6000
      HideSelection   =   0   'False
      Left            =   0
      MultiLine       =   -1  'True
      OLEDropMode     =   1  'Manual
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   0
      Width           =   8400
   End
   Begin VB.Menu mnMenu 
      Caption         =   "Menu"
      Visible         =   0   'False
      Begin VB.Menu mnUndo 
         Caption         =   "Undo	Ctrl+Z"
      End
      Begin VB.Menu mnCut 
         Caption         =   "Cut	Ctrl+X"
      End
      Begin VB.Menu mnCopy 
         Caption         =   "Copy	Ctrl+C"
      End
      Begin VB.Menu mnPaste 
         Caption         =   "Paste	Ctrl+V"
      End
      Begin VB.Menu mnDelete 
         Caption         =   "Delete	Del"
      End
      Begin VB.Menu mnSelectAll 
         Caption         =   "Select all	Ctrl+A"
      End
      Begin VB.Menu mnS0 
         Caption         =   "-"
      End
      Begin VB.Menu mnClearAll 
         Caption         =   "Clear all	Ctrl+N"
      End
      Begin VB.Menu mnS1 
         Caption         =   "-"
      End
      Begin VB.Menu mnEdit 
         Caption         =   "Edit"
         Begin VB.Menu mnAirports 
            Caption         =   "Airports"
         End
         Begin VB.Menu mnAirspaces 
            Caption         =   "Airspaces "
         End
         Begin VB.Menu mnAsteroids 
            Caption         =   "Asteroids"
            Visible         =   0   'False
         End
         Begin VB.Menu mnCities 
            Caption         =   "Cities"
         End
         Begin VB.Menu mnComets 
            Caption         =   "Comets"
         End
         Begin VB.Menu mnCommands 
            Caption         =   "Commands"
         End
         Begin VB.Menu mnEngines 
            Caption         =   "Engines "
         End
         Begin VB.Menu mnInfoLinks 
            Caption         =   "Info links"
         End
         Begin VB.Menu mnLenses 
            Caption         =   "Lenses"
         End
         Begin VB.Menu mnLinks 
            Caption         =   "Links"
         End
         Begin VB.Menu mnLocations 
            Caption         =   "Locations"
         End
         Begin VB.Menu mnMaps 
            Caption         =   "Maps"
         End
         Begin VB.Menu mnMaterials 
            Caption         =   "Materials"
         End
         Begin VB.Menu mnModel 
            Caption         =   "Model "
         End
         Begin VB.Menu mnMoons 
            Caption         =   "Moons "
         End
         Begin VB.Menu mnPlanets 
            Caption         =   "Planet "
         End
         Begin VB.Menu mnPreset 
            Caption         =   "Preset "
         End
         Begin VB.Menu mnPropellants 
            Caption         =   "Propellants"
         End
         Begin VB.Menu mnReport 
            Caption         =   "Report"
         End
         Begin VB.Menu mnSatellites 
            Caption         =   "Satellites "
         End
         Begin VB.Menu mnSeaports 
            Caption         =   "Seaports"
         End
         Begin VB.Menu mnSensors 
            Caption         =   "Sensors"
         End
         Begin VB.Menu mnSettings 
            Caption         =   "Settings"
         End
         Begin VB.Menu mnStars 
            Caption         =   "Stars"
         End
         Begin VB.Menu mnStarTracker 
            Caption         =   "Star tracker"
         End
         Begin VB.Menu mnStations 
            Caption         =   "Stations"
         End
         Begin VB.Menu mnWaypoints 
            Caption         =   "Waypoints"
         End
         Begin VB.Menu mnSE0 
            Caption         =   "-"
         End
         Begin VB.Menu mnFunctions 
            Caption         =   "Functions"
         End
         Begin VB.Menu mnVariables 
            Caption         =   "Variables"
         End
      End
      Begin VB.Menu mnLoad 
         Caption         =   "Load 	Ctrl+L"
      End
      Begin VB.Menu mnSave 
         Caption         =   "Save 	Ctrl+S"
      End
      Begin VB.Menu mnApply 
         Caption         =   "Apply"
      End
      Begin VB.Menu mnS2 
         Caption         =   "-"
      End
      Begin VB.Menu mnFixedFont 
         Caption         =   "Fixed font"
      End
      Begin VB.Menu mnUseCalc 
         Caption         =   "Use calc	Alt+Enter"
      End
      Begin VB.Menu mnHide 
         Caption         =   "Hide"
      End
   End
End
Attribute VB_Name = "Notepad"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type Variable: Value As Double: Name As String: End Type

Public LastFile As String, IsShort As Boolean

Dim Op As OpenFileName, Vars(100 - 1) As Variable, VarN As Long, NoEnter As Boolean

Private Sub Form_Load()
    'ReDim Vars(10 - 1)
    'ShowScrollBar Txt.hWnd, 0 'SB_HORZ=0 SB_VERT=1 SB_BOTH=3
    'DefineVar "e=2.71828182845905"
    'DefineVar "pi=3.14159265358979"
    'DefineVar "rad=1.74532925199433E-02"
    'DefineVar "G=6.67428E-11"
    'DefineVar "G0=9.80665"
    Op.InitialDir = AppPathName
    If Not IsDebug Then SetPadProc Txt.hWnd
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    If Not IsDebug Then SetPadProc Txt.hWnd, False
    End Sub

Sub Activate()
    If Visible Then Hide Else Show vbModeless, Main
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case 1, 93: PopupMenu mnMenu
    Case vbKeyA: If Shift = 2 Then mnSelectAll_Click: KeyCode = 0
    Case vbKeyL: If Shift = 2 Then Load: KeyCode = 0
    Case vbKeyS: If Shift = 2 Then Save: KeyCode = 0
    Case vbKeyN: If Shift = 2 Then Update: KeyCode = 0
    Case vbKeyReturn
        Select Case Shift
        Case 0: If mnUseCalc.Checked Then Evaluate
        Case 1: If Txt.SelLength Then Clipboard.Clear: Clipboard.SetText Txt.SelText
            If Clipboard.GetText <> "" Then SelText Txt, Clipboard.GetText
            Evaluate
        Case 2: If Not mnUseCalc.Checked Then Evaluate
        Case 4: mnUseCalc.Checked = Not mnUseCalc.Checked
            End Select
    Case vbKeyInsert: If Shift = 4 Then mnVariables_Click
    Case vbKeyF1 To vbKeyF12, vbKeyEscape, vbKeyTab
        If Shift = 4 And KeyCode = vbKeyF1 Then mnFunctions_Click _
        Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
    If KeyAscii = vbKeyReturn Then If NoEnter Then NoEnter = False: KeyAscii = 0
    End Sub

Private Sub Form_Resize()
    On Error Resume Next: Txt.Move 4, 2, ScaleWidth - 4, ScaleHeight - 2: On Error GoTo 0
    End Sub

Private Sub Txt_OLEDragOver(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single, State As Integer)
    If Data.GetFormat(vbCFFiles) Or Data.GetFormat(vbCFText) Then Effect = vbDropEffectCopy _
    Else Effect = vbDropEffectNone
    End Sub

Private Sub Txt_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    Select Case True
    Case Data.GetFormat(vbCFFiles): If Data.Files.Count >= 1 Then Load Data.Files(1)
    Case Data.GetFormat(vbCFText): SelText Txt, Data.GetData(vbCFText)
    Case Else: Effect = vbDropEffectNone: Exit Sub
        End Select
    Effect = vbDropEffectCopy
    End Sub

Private Sub mnUndo_Click()
    PostMessage Txt.hWnd, &H304& 'WM_UNDO=&H304
    End Sub

Private Sub mnCut_Click()
    PostMessage Txt.hWnd, &H300& 'WM_CUT=&H300
    End Sub

Private Sub mnCopy_Click()
    PostMessage Txt.hWnd, &H301& 'WM_COPY=&H301
    End Sub

Private Sub mnPaste_Click()
    PostMessage Txt.hWnd, &H302& 'WM_PASTE=&H302
    End Sub

Private Sub mnDelete_Click()
    SelText Txt
    End Sub

Private Sub mnSelectAll_Click()
    SelPos Txt, , -1
    End Sub

Private Sub mnAirports_Click()
    Load AirwaysDir & "Airport.csv"
    End Sub

Private Sub mnAirspaces_Click()
    Load , FileKML, AirwaysDir, True
    End Sub

'Private Sub mnAsteroids_Click()
'    Load PlanetsDir & "astorb.dat"
'    End Sub

Private Sub mnCities_Click()
    Load AirwaysDir & "City.csv"
    End Sub

Private Sub mnComets_Click()
    Load PlanetsDir & "Comets.ini"
    End Sub

Private Sub mnCommands_Click()
    Load ModelsDir & "Rover.ini"
    End Sub

Private Sub mnEngines_Click()
    Load , , EnginesDir, True
    End Sub

Private Sub mnInfoLinks_Click()
    Load DataDir & "Info.ini"
    End Sub

Private Sub mnLenses_Click()
    Load SensorsDir & "Lenses.lst"
    End Sub

Private Sub mnLinks_Click()
    Load DataDir & "Links.lst"
    End Sub

Private Sub mnLocations_Click()
    Load LocationsDir & "Locations.lst"
    End Sub

Private Sub mnMaps_Click()
    Load TerrainDir & "Maps.ini"
    End Sub

Private Sub mnMaterials_Click()
    Load EnginesDir & "Materials.lst"
    End Sub

Private Sub mnModel_Click()
    Load , FileCOB, ModelsDir, True
    End Sub

Private Sub mnMoons_Click()
    Load "*.Moons.ini", , PlanetsDir
    End Sub

Private Sub mnPlanets_Click()
    Load "*.ini", , PlanetsDir
    End Sub

Private Sub mnPreset_Click()
    Load , FilePreset, PresetsDir, True
    End Sub

Private Sub mnPropellants_Click()
    Load PropellantsDir & "Propellants.lst"
    End Sub

Private Sub mnReport_Click()
    Load LogsDir & "Report.txt"
    End Sub

Private Sub mnSatellites_Click()
    Load , , SatellitesDir, True
    End Sub

Private Sub mnSeaports_Click()
    Load AirwaysDir & "Seaport.csv"
    End Sub

Private Sub mnSensors_Click()
    Load SensorsDir & "Sensors.lst"
    End Sub

Private Sub mnSettings_Click()
    Load EXEPathName & ".ini"
    End Sub

Private Sub mnStars_Click()
    Load PlanetsDir & "Stars.ini"
    End Sub

Private Sub mnStarTracker_Click()
    Load PlanetsDir & "StarTracker.ini"
    End Sub

Private Sub mnStations_Click()
    Load StationsDir & "Stations.csv"
    End Sub

Private Sub mnWaypoints_Click()
    Load DataDir & "Waypoints.csv"
    End Sub

Private Sub mnVariables_Click()
    SelText Txt, VarList
    End Sub

Private Sub mnFunctions_Click()
    StrAdd _
        "Function" & Tab1 & "Args" & Tab1 & "Description" & vbCrLf & _
        "sin" & Tab1 & "1" & Tab1 & "sine function" & vbCrLf & _
        "cos" & Tab1 & "1" & Tab1 & "cosine function" & vbCrLf & _
        "tan" & Tab1 & "1" & Tab1 & "tangent function" & vbCrLf & _
        "asin" & Tab1 & "1" & Tab1 & "arcus sine function" & vbCrLf & _
        "acos" & Tab1 & "1" & Tab1 & "arcus cosine function" & vbCrLf & _
        "atan" & Tab1 & "1" & Tab1 & "arcus tangent function" & vbCrLf & _
        "sinh" & Tab1 & "1" & Tab1 & "hyperbolic sine function" & vbCrLf & _
        "cosh" & Tab1 & "1" & Tab1 & "hyperbolic cosine function" & vbCrLf & _
        "tanh" & Tab1 & "1" & Tab1 & "hyperbolic tangent function" & vbCrLf & _
        "asinh" & Tab1 & "1" & Tab1 & "hyperbolic arcus sine function" & vbCrLf & _
        "acosh" & Tab1 & "1" & Tab1 & "hyperbolic arcus tangent function" & vbCrLf & _
        "atanh" & Tab1 & "1" & Tab1 & "hyperbolic arcus tangent function" & vbCrLf
    StrAdd _
        "log2" & Tab1 & "1" & Tab1 & "logarithm to the base 2" & vbCrLf & _
        "log" & Tab1 & "1" & Tab1 & "logarithm to the base 10" & vbCrLf & _
        "ln" & Tab1 & "1" & Tab1 & "logarithm to the base e" & vbCrLf & _
        "exp" & Tab1 & "1" & Tab1 & "e raised to the power of x" & vbCrLf & _
        "sqrt" & Tab1 & "1" & Tab1 & "square root of a value" & vbCrLf & _
        "sign" & Tab1 & "1" & Tab1 & "sign function -1 if x<0 or 1 if x>0" & vbCrLf & _
        "rint" & Tab1 & "1" & Tab1 & "round to nearest integer" & vbCrLf & _
        "abs" & Tab1 & "1" & Tab1 & "absolute value" & vbCrLf & _
        "min" & Tab1 & "var" & Tab1 & "min of all arguments" & vbCrLf & _
        "max" & Tab1 & "var" & Tab1 & "max of all arguments" & vbCrLf & _
        "sum" & Tab1 & "var" & Tab1 & "sum of all arguments" & vbCrLf & _
        "avg" & Tab1 & "var" & Tab1 & "mean value of all arguments" & vbCrLf & _
        vbCrLf
    StrAdd _
        "Operator" & Tab1 & "Priority" & Tab1 & "Description" & vbCrLf & _
        ";" & Tab1 & "-2" & Tab1 & "assignment separator" & vbCrLf & _
        "=" & Tab1 & "-1" & Tab1 & "assignment" & vbCrLf & _
        "&&" & Tab1 & "1" & Tab1 & "logical and" & vbCrLf & _
        "||" & Tab1 & "2" & Tab1 & "logical or" & vbCrLf & _
        "<=" & Tab1 & "4" & Tab1 & "less or equal" & vbCrLf & _
        ">=" & Tab1 & "4" & Tab1 & "greater or equal" & vbCrLf & _
        "!=" & Tab1 & "4" & Tab1 & "not equal" & vbCrLf & _
        "==" & Tab1 & "4" & Tab1 & "equal" & vbCrLf & _
        ">" & Tab1 & "4" & Tab1 & "greater than" & vbCrLf & _
        "<" & Tab1 & "4" & Tab1 & "less than" & vbCrLf & _
        "+" & Tab1 & "5" & Tab1 & "addition" & vbCrLf & _
        "-" & Tab1 & "5" & Tab1 & "subtraction" & vbCrLf & _
        "*" & Tab1 & "6" & Tab1 & "multiplication" & vbCrLf & _
        "/" & Tab1 & "6" & Tab1 & "division" & vbCrLf & _
        "^" & Tab1 & "7" & Tab1 & "raise x to the power of y" & vbCrLf & _
        "?:" & Tab1 & "if then else operator (C++ style syntax)" & vbCrLf & _
        vbCrLf
    StrAdd _
        "Mathematical constants" & Tab1 & "Description" & vbCrLf & _
        "e=2.71828182845905" & Tab2 & "base of the natural logarithm" & vbCrLf & _
        "pi=3.14159265358979" & Tab2 & "circumference divided by diameter" & vbCrLf & _
        "rad=1.74532925199433E-02" & Tab1 & "radians divided by degrees" & vbCrLf & _
        vbCrLf & _
        "Astronomical constants" & Tab1 & "Description" & vbCrLf & _
        "G=6.67428E-11" & Tab2 & "universal gravitational constant" & vbCrLf & _
        "G0=9.80665" & Tab2 & "Earth surface gravity in m/s^2" & vbCrLf & _
        vbCrLf
    SelText Txt, StrAdd
    End Sub

Private Sub mnClearAll_Click()
    Update
    End Sub

Private Sub mnLoad_Click()
    Load
    End Sub

Private Sub mnSave_Click()
    Save
    End Sub

Private Sub mnApply_Click()
    If Not IsTest Then Save LastFile
    Select Case True
    Case IsAppDir(LastFile, EXEPathName & ".ini"):                              LoadConfig True
    Case IsAppDir(LastFile, AirwaysDir & "Airport.csv"):                        LoadAirports , True
    Case IsAppDir(LastFile, AirwaysDir & "Seaport.csv"):                        LoadSeaports , True
    Case IsAppDir(LastFile, AirwaysDir & "City.csv"):                           LoadCities , True
    'Case IsAppDir(LastFile, AirwaysDir):   If RightLCase(LastFile, ".kml") Then UpdateAirspaces , False
    Case IsAppDir(LastFile, DataDir & "Info.ini"):                              LoadInfo
    Case IsAppDir(LastFile, DataDir & "Links.lst"):                             LoadLinks
    Case IsAppDir(LastFile, DataDir & "Waypoints.csv"):                         LoadWaypoints
    Case IsAppDir(LastFile, EnginesDir):   If RightLCase(LastFile, ".eng") Then LoadEngines , True _
                                      Else If RightLCase(LastFile, ".cur") Then LoadCurves , True _
                                      Else If RightLCase(LastFile, "Materials.lst") Then Burn.UpdateMaterials _
                                      Else If RightLCase(LastFile, Burn.File & ".ini") Then LoadBurnPreset Burn.File _
                                      Else If RightLCase(LastFile, Burn.BurnRate & ".brn") Then Burn.Update
    Case IsAppDir(LastFile, LocationsDir): If RightLCase(LastFile, ".lst") Then LoadLocations True
    Case IsAppDir(LastFile, LogsDir & "Report.txt"):                            SetReportPage , , True
    Case IsAppDir(LastFile, ModelsDir & "Rover.ini"):                           LoadCommands
    Case IsAppDir(LastFile, ModelsDir):    If RightLCase(LastFile, ".cob") Then UpdateModels
    Case IsAppDir(LastFile, PlanetsDir & "astorb.dat"):                         LoadAsteroids , True
    Case IsAppDir(LastFile, PlanetsDir & "Comets.ini"):                         LoadComets True
    Case IsAppDir(LastFile, PlanetsDir & "Stars.ini"):                          LoadStars True
    Case IsAppDir(LastFile, PlanetsDir & "StarTracker.ini"):                    LoadStarTracker True
    Case IsAppDir(LastFile, PlanetsDir):   If RightLCase(LastFile, ".moons.ini") Then LoadMoons True _
                                      Else If RightLCase(LastFile, ".ini") Then LoadPlanets True
    Case IsAppDir(LastFile, PresetsDir):   If RightLCase(LastFile, Setup.Preset & ".ini") Then LoadPreset Setup.Preset
    Case IsAppDir(LastFile, PropellantsDir & "Propellants.lst"):                LoadPropellants False
    'Case IsAppDir(LastFile, SatellitesDir & "Satellites.csv"):                  DownloadSatellites
    Case IsAppDir(LastFile, SatellitesDir): If RightLCase(LastFile, ".txt") Then LoadSatellites True
    Case IsAppDir(LastFile, SensorsDir & "Lenses.lst"):                         LoadLenses True
    Case IsAppDir(LastFile, SensorsDir & "Sensors.lst"):                        LoadSensors True
    Case IsAppDir(LastFile, StationsDir):  If RightLCase(LastFile, ".csv") Then LoadStations True
    Case IsAppDir(LastFile, TerrainDir & "Maps.ini"):                           Map.InitMapMenu: Map.SetMode
        End Select
    End Sub

Private Sub mnUseCalc_Click()
    mnUseCalc.Checked = Not mnUseCalc.Checked
    End Sub

Private Sub mnFixedFont_Click()
    mnFixedFont.Checked = Not mnFixedFont.Checked
    CopyFont Txt, Notepad, IfText(mnFixedFont.Checked, "Lucida Console")
    End Sub

Private Sub mnHide_Click()
    Activate
    End Sub

Sub SelText(T As TextBox, _
        Optional Text As String = vbNullString, Optional ByVal CanUndo As Boolean = True)
    SendMessage T.hWnd, &HC2&, -CanUndo, ByVal Text 'EM_REPLACESEL=&HC2
    End Sub

Sub SelPos(T As TextBox, Optional ByVal Start As Long, Optional ByVal Length As Long)
    SendMessage Txt.hWnd, &HB1&, Start, ByVal Start + Length 'EM_SETSEL=&HB1 MAX=&H7FFFFFFF
    End Sub

Function IsAppDir(File As String, Path As String) As Boolean
    IsAppDir = InStr(LCase(File), LCase(Path)) = 1
    End Function

Sub Update(Optional File As String)
    If LastFile <> File Then LastFile = File: _
        If File = "" Then Txt = "": Caption = "Notepad" Else Caption = FileFromPath(File)
    End Sub

Sub Load(Optional File As String, Optional ByVal Filter As FileType = FileAll, _
        Optional DefaultDir As String, Optional ByVal ClearName As Boolean)
    Dim S As String
    If File = "" Or InStr(File, "*") > 0 Then _
        File = GetOpenFile(Op, File, Filter, DefaultDir, ClearName): _
        If File = "" Then Exit Sub
    On Error GoTo Ext: Err = 0
    Txt = "": Update File
    Open File For Input As 1: S = Input(LOF(1), 1)
    IsShort = InStr(S, vbCrLf) = 0 And InStr(S, vbLf) > 0
    If IsShort Then S = Replace(S, vbLf, vbCrLf)
    SelText Txt, S, False: Txt.SelStart = 0
Ext:
    Close: If Err Then MsgBox "Error loading file", vbExclamation, AppName
    On Error GoTo 0
    End Sub

Sub Save(Optional File As String)
    Dim S As String, T As String
    If File = "" Then _
        File = GetSaveFile(Op, FileFromPath(LastFile), , , FilePathFromFile(LastFile)): _
        If File = "" Then Exit Sub
    On Error GoTo Ext: Err = 0
    Open File For Input As 1: T = Input(LOF(1), 1): Close
    If IsShort Then S = Replace(Txt, vbCrLf, vbLf) Else S = Txt
    If T <> S Then Open File For Output As 1: Print #1, S;: Close
    Update File
Ext:
    Close: If Err Then MsgBox "Error saving file", vbCritical, AppName
    On Error GoTo 0
    End Sub

Function VarList() As String
    Dim N As Long
    If VarN <= 0 Then StrAdd "No variables defined" & vbCrLf
    For N = 0 To VarN - 1: StrAdd Vars(N).Name & "=" & _
        Replace(CStr(Vars(N).Value), ",", ".") & vbCrLf: Next
    VarList = StrAdd
    End Function

Sub DeleteVar(Optional ByVal N As Long = -1)
    If VarN <= 0 Then Exit Sub
    If N < 0 Or N >= VarN Then N = VarN
    VarN = VarN - 1: For N = N To VarN - 1: Vars(N) = Vars(N + 1): Next
    If VarN >= 0 And VarN <= UBound(Vars) Then With Vars(VarN): .Name = "": .Value = 0: End With
    End Sub

Sub DefineVar(Name As String, Optional ByVal Delete As Boolean)
    Dim C As Long, N As Long, V As String, X As Double
    On Error Resume Next
    If Name = "" Then Exit Sub
    C = InStr(Name, "="): If C <= 1 Then Exit Sub
    If C = Len(Name) Then Delete = True
    V = Left(Name, C - 1): X = 0: If Not Delete Then Parse Mid(Name, C + 1): X = Calculate
    For N = 0 To VarN - 1
        If V = Vars(N).Name Then _
            If Delete Then DeleteVar N: Exit Sub _
            Else Vars(N).Value = X: Exit Sub
        Next
    If N > UBound(Vars) Then Exit Sub 'ReDim Preserve Vars(UBound(Vars) + 10)
    VarN = N: With Vars(N): .Name = V: .Value = X: AddVariable .Name, .Value: End With
    VarN = N + 1
    On Error GoTo 0
    End Sub

Function Eval(S As String, E As Long) As String
    On Error Resume Next
    E = False: Err = 0: ClearError
    Parse S: Eval = Replace(CStr(Calculate), ",", ".")
    If Err Then
        Select Case Err.Number
        Case 6: Eval = "Error - Overflow"
        Case 11: Eval = "Error - Divide by zero"
        Case Else: Eval = "Error - " & Err.Description
            End Select
        E = True
    ElseIf IsError Then
        Eval = Space(128): GetError Eval, 128
        Eval = "Error - " & Left(Eval, InStr(Eval, vbNullChar) - 1)
        E = True
        End If
    On Error GoTo 0
    End Function

Sub Evaluate()
    Dim A As Long, B As Long, C As Long, D As Long, E As Long, F As Long, G As Long, _
        H As Long, Q As String, S As String, T As String, X As String
    With Txt
    S = .Text: A = .SelStart + 1
    B = InStrRev(S, vbCrLf, A + (A > 1)): B = IfInt(B, B + 2, 1)
    If A <> B Then NoEnter = True Else NoEnter = False: Exit Sub
    C = InStr(A, S, vbCrLf)
    If C Then D = C + 2: X = "" Else C = Len(S) + 1: D = C: X = vbCrLf
    Q = Mid(S, B, C - B)
    Do
        F = InStr(Q, ";"): If F = 0 Then Exit Do
        DefineVar Left(Q, F - 1): Q = Mid(Q, F + 1)
        Loop
    F = InStr(Q, "="): G = InStr(Q, "==")
    If F = 0 Or F = G Then T = Eval(Q, E): DoEvents _
    Else T = "": DefineVar Q
    X = X & T & vbCrLf: .SelStart = D - 1: SelText Txt, X
    If E Then .SelStart = D - 1: .SelLength = Len(X) - 2 Else .SelStart = D - 1 + Len(X) - 2
    End With
    End Sub
