VERSION 5.00
Begin VB.Form Options 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Options"
   ClientHeight    =   7770
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   5145
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Options.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   518
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   343
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.PictureBox TabOptions 
      Appearance      =   0  'Flat
      BorderStyle     =   0  'None
      Height          =   7395
      Left            =   0
      ScaleHeight     =   493
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   343
      TabIndex        =   133
      TabStop         =   0   'False
      Top             =   375
      Width           =   5145
      Begin Project.DropList FieldScale 
         Height          =   225
         Left            =   2700
         TabIndex        =   39
         Top             =   6075
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Field scale"
         Text            =   "1 : 1"
         List            =   $"Options.frx":000C
         ToolTip         =   "Scale of the gravity field and the atmosphere vectors"
      End
      Begin Project.DropList FieldDensity 
         Height          =   225
         Left            =   2700
         TabIndex        =   38
         Top             =   5775
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Field density"
         Text            =   "Low"
         List            =   "Low|High"
         ToolTip         =   "Level of detail of the gravity and magnetic fields and the atmosphere layers"
         Locked          =   -1  'True
      End
      Begin Project.DropList FieldDistance 
         Height          =   225
         Left            =   2700
         TabIndex        =   37
         Top             =   5475
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Field distance"
         Text            =   "Near"
         List            =   "Near|Far"
         ToolTip         =   "Drawing distance of the gravity and magnetic fields"
         Locked          =   -1  'True
      End
      Begin Project.Check MagneticVectors 
         Height          =   225
         Left            =   2700
         TabIndex        =   153
         Top             =   5175
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Magnetic field vectors"
         ToolTip         =   "Magnetic field lines located at the spaceship altitude"
      End
      Begin Project.Check MagneticPlanes 
         Height          =   225
         Left            =   2700
         TabIndex        =   155
         Top             =   4875
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Magnetic field planes"
         ToolTip         =   "Semi-transparent planes connecting the North and the South poles"
      End
      Begin Project.Check MagneticLines 
         Height          =   225
         Left            =   2700
         TabIndex        =   154
         Top             =   4575
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Magnetic field lines"
         ToolTip         =   "Polylines connecting the North and the South poles"
      End
      Begin Project.Check GravityVector 
         Height          =   225
         Left            =   2700
         TabIndex        =   152
         Top             =   4275
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Gravity field vector"
         ToolTip         =   "Vector grid oriented to the gravity force direction"
      End
      Begin Project.Check GravityGrid 
         Height          =   225
         Left            =   2700
         TabIndex        =   151
         Top             =   3975
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Gravity field grid"
         ToolTip         =   "2D grid with the vertical scale as a function of the gravity"
      End
      Begin Project.Check GravityZone 
         Height          =   225
         Left            =   2700
         TabIndex        =   150
         Top             =   3675
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Gravity field zone"
         ToolTip         =   "Semi-transparent plane with the gravity applied to every point"
      End
      Begin Project.Check GravityDisk 
         Height          =   225
         Left            =   2700
         TabIndex        =   149
         Top             =   3375
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Gravity field disk"
         ToolTip         =   "Circles around the planets as a function of their gravity"
      End
      Begin Project.DropList StarDensity 
         Height          =   225
         Left            =   2700
         TabIndex        =   36
         Top             =   3075
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Starfield density"
         Text            =   "Medium"
         List            =   "Low|Medium|High"
         ToolTip         =   "Density of the starfield background"
         Locked          =   -1  'True
      End
      Begin Project.DropList ObjectVisibility 
         Height          =   225
         Left            =   2700
         TabIndex        =   35
         Top             =   2775
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Object visibility"
         Text            =   "Always"
         List            =   "Always|1km|10km|100km|1Mm|2Mm|5Mm|10Mm|100Mm|1Gm|2Gm|5Gm|10Gm|20Gm|50Gm|100Gm|200Gm|500Gm|1Tm|2Tm|5Tm|10Tm"
         Numeric         =   -1  'True
         ToolTip         =   "Distance from the camera where the labels of asteroids, comets, moons and satellites are shown [m], [ft]"
      End
      Begin Project.DropList AsteroidDensity 
         Height          =   225
         Left            =   2700
         TabIndex        =   34
         Top             =   2475
         Width           =   2400
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Asteroid density"
         Text            =   "Low"
         List            =   "Low|Medium|High|Very high|All"
         ToolTip         =   "Density of asteroids, comets and moons"
         Locked          =   -1  'True
      End
      Begin Project.DropList AsteroidDist 
         Height          =   225
         Left            =   2700
         TabIndex        =   33
         Top             =   2175
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Asteroid distance"
         Text            =   "1Mm"
         List            =   "1km|10km|100km|1Mm|10Mm|100Mm|1Gm|2Gm|5Gm|10Gm|20Gm|50Gm|100Gm"
         Numeric         =   -1  'True
         ToolTip         =   "Distance used in the proximity detection of asteroids, comets and moons [m], [ft]"
      End
      Begin Project.DropList Asteroid 
         Height          =   225
         Left            =   2700
         TabIndex        =   32
         Top             =   1875
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Asteroids"
         Text            =   "All asteroids"
         List            =   "All asteroids"
         ToolTip         =   "Visible group of asteroids and minor planets"
         Locked          =   -1  'True
      End
      Begin Project.DropList SatelliteDist 
         Height          =   225
         Left            =   2700
         TabIndex        =   31
         Top             =   1575
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Satellite distance"
         Text            =   "1km"
         List            =   "1m|10m|100m|1km|10km|100km|1Mm"
         Numeric         =   -1  'True
         ToolTip         =   "Distance used in the proximity detection of the satellites [m], [ft]"
      End
      Begin Project.DropList Satellite 
         Height          =   225
         Left            =   2700
         TabIndex        =   30
         Top             =   1275
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Satellites"
         Text            =   "All satellites"
         List            =   "All satellites"
         ToolTip         =   "Visible group of satellites"
         Locked          =   -1  'True
      End
      Begin Project.DropList Lens 
         Height          =   225
         Left            =   2700
         TabIndex        =   29
         Top             =   975
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Lens"
         Text            =   "Default"
         ToolTip         =   "Lens for the selected onboard sensor"
         Locked          =   -1  'True
      End
      Begin Project.DropList Sensor 
         Height          =   225
         Left            =   2700
         TabIndex        =   28
         Top             =   675
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Sensor"
         Text            =   "TOSHIBA TCM8230MD"
         ToolTip         =   "Sensor device emulated by the onboard sensor mode"
         Locked          =   -1  'True
      End
      Begin Project.DropList StationAngle 
         Height          =   225
         Left            =   2700
         TabIndex        =   27
         Top             =   375
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Station visibility angle"
         Text            =   "5"
         List            =   "0|5|10|15|20|30|45|60"
         Numeric         =   -1  'True
         ToolTip         =   "Minimum angle above the horizon from which the spacecraft can be detected (in degrees)"
      End
      Begin Project.DropList Station 
         Height          =   225
         Left            =   2700
         TabIndex        =   26
         Top             =   75
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Station network"
         Text            =   "NASA DSN"
         ToolTip         =   "Active ground radio-station network"
         Locked          =   -1  'True
      End
      Begin Project.Check2 Places 
         Height          =   225
         Left            =   75
         TabIndex        =   60
         Top             =   6975
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Locations"
         ToolTip         =   "Predefined locations"
         ToolTip2        =   "Labels of the predefined locations"
      End
      Begin Project.Check2 Cities 
         Height          =   225
         Left            =   75
         TabIndex        =   111
         Top             =   6675
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Cities"
         ToolTip         =   "Cities of the world"
         ToolTip2        =   "Labels of the cities"
      End
      Begin Project.Check PopulatedAreas 
         Height          =   225
         Left            =   75
         TabIndex        =   157
         Top             =   6375
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Caption         =   "Populated areas"
         ToolTip         =   "Highly populated areas of the world"
      End
      Begin Project.Check SeaLimits 
         Height          =   225
         Left            =   75
         TabIndex        =   113
         Top             =   6075
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Water boundaries"
         ToolTip         =   "Water boundaries of the countries at 200 nautical miles"
      End
      Begin Project.Check LandLimits 
         Height          =   225
         Left            =   75
         TabIndex        =   115
         Top             =   5775
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Land boundaries"
         ToolTip         =   "Land boundaries of the countries"
      End
      Begin Project.Check2 Seaports 
         Height          =   225
         Left            =   75
         TabIndex        =   117
         Top             =   5475
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Seaports"
         ToolTip         =   "Seaports of the world"
         ToolTip2        =   "Labels of the seaports"
      End
      Begin Project.Check2 RNAVRoutes 
         Height          =   225
         Left            =   75
         TabIndex        =   119
         Top             =   5175
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked         =   -1  'True
         Checked2        =   -1  'True
         Caption         =   "RNAV routes"
         ToolTip         =   "RNAV routes inside the Spanish airspace"
         ToolTip2        =   "Labels of the RNAV routes"
      End
      Begin Project.Check2 LowerAirways 
         Height          =   225
         Left            =   75
         TabIndex        =   156
         Top             =   4875
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked         =   -1  'True
         Checked2        =   -1  'True
         Caption         =   "Lower airways"
         ToolTip         =   "Lower airways inside the Spanish airspace"
         ToolTip2        =   "Labels of the lower airways"
      End
      Begin Project.Check2 Airports 
         Height          =   225
         Left            =   75
         TabIndex        =   43
         Top             =   4575
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Airports"
         ToolTip         =   "Airports inside the selected zone"
         ToolTip2        =   "Labels of the airports"
      End
      Begin Project.Check2 Airspaces 
         Height          =   225
         Left            =   75
         TabIndex        =   143
         Top             =   4275
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Airspaces"
         Caption2        =   "Labels"
         ToolTip         =   "Airspaces inside the selected zone"
         ToolTip2        =   "Labels of the airspaces"
      End
      Begin Project.Check AirwaysAltitude 
         Height          =   225
         Left            =   2700
         TabIndex        =   122
         Top             =   6975
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Use airways altitude"
         ToolTip         =   "Use the altitude of the airways and airspaces or show them at sea level"
      End
      Begin Project.DropList LinesDefinition 
         Height          =   225
         Left            =   2700
         TabIndex        =   41
         Top             =   6675
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Lines definition"
         Text            =   "Low"
         List            =   "Low|High"
         ToolTip         =   "Definition of the lines used in the land boundaries"
         Locked          =   -1  'True
      End
      Begin Project.DropList LabelsDensity 
         Height          =   225
         Left            =   2700
         TabIndex        =   40
         Top             =   6375
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Labels density"
         Text            =   "Low"
         List            =   "Low|High"
         ToolTip         =   "Density of airports, seaports and cities"
         Locked          =   -1  'True
      End
      Begin Project.DropList AirspaceGroup 
         Height          =   225
         Left            =   75
         TabIndex        =   25
         Top             =   3975
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Group"
         Text            =   "All groups"
         List            =   "All groups"
         ToolTip         =   "Visible airspace group"
         Locked          =   -1  'True
      End
      Begin Project.DropList AirspaceZone 
         Height          =   225
         Left            =   75
         TabIndex        =   24
         Top             =   3675
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Airspace"
         Text            =   "All zones"
         List            =   "All zones"
         ToolTip         =   "Visible airspace zone"
         Locked          =   -1  'True
      End
      Begin Project.Check2 LayerWindVector 
         Height          =   225
         Left            =   75
         TabIndex        =   231
         Top             =   3375
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Wind speed vectors"
         ToolTip         =   "Grid of colored vectors oriented to the wind speed direction"
         ToolTip2        =   "Labels of the wind speed vectors"
      End
      Begin Project.Check LayerWind 
         Height          =   225
         Left            =   75
         TabIndex        =   230
         Top             =   3075
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Wind speed layer"
         ToolTip         =   "Atmosphere layers with colors as a function of the wind speed"
      End
      Begin Project.Check LayerClouds 
         Height          =   225
         Left            =   75
         TabIndex        =   229
         Top             =   2775
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Cloud water layer"
         ToolTip         =   "Atmosphere layers with transparency as a function of the cloud water mixing ratio"
      End
      Begin Project.Check LayerHumidity 
         Height          =   225
         Left            =   75
         TabIndex        =   228
         Top             =   2475
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Humidity layer"
         ToolTip         =   "Atmosphere layers with transparency as a function of the relative humidity"
      End
      Begin Project.Check LayerTemp 
         Height          =   225
         Left            =   75
         TabIndex        =   227
         Top             =   2175
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Temperature layer"
         ToolTip         =   "Atmosphere layers with colors as a function of the temperature"
      End
      Begin Project.DropList Layer 
         Height          =   225
         Left            =   75
         TabIndex        =   23
         Top             =   1875
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Atmosphere layer"
         Text            =   "Default"
         ToolTip         =   "Visible layers of the atmospheric model"
         Locked          =   -1  'True
      End
      Begin Project.DropList GridStep 
         Height          =   225
         Left            =   75
         TabIndex        =   22
         Top             =   1575
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Planet grid step"
         Text            =   "10"
         List            =   "1|2|5|10|30|45|90"
         Numeric         =   -1  'True
         ToolTip         =   "Parallels and meridians step (in degrees)"
      End
      Begin Project.DropList TerrainScale 
         Height          =   225
         Left            =   75
         TabIndex        =   21
         Top             =   1275
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Terrain vertical scale"
         Text            =   "1 : 1"
         List            =   "1 : 1|2 : 1|3 : 1|4 : 1|5 : 1"
         ToolTip         =   "Vertical scale for the Terrain render tool"
      End
      Begin Project.DropList TerrainQuality 
         Height          =   225
         Left            =   75
         TabIndex        =   20
         Top             =   975
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Terrain quality"
         Text            =   "Low"
         List            =   "Low|Medium|High"
         ToolTip         =   "Level of detail of the Terrain render tool"
         Locked          =   -1  'True
      End
      Begin Project.DropList GraphTime 
         Height          =   225
         Left            =   75
         TabIndex        =   19
         Top             =   675
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Graph total time"
         Text            =   "6 min"
         List            =   "6 min|30 min|1 hour|2 hour|6 hour|1 day|2 day|7 day"
         Numeric         =   -1  'True
         ToolTip         =   "Maximum time for the graph recording"
      End
      Begin Project.DropList PathTime 
         Height          =   225
         Left            =   75
         TabIndex        =   18
         Top             =   375
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Path points interval"
         Text            =   "30 sec"
         List            =   "1 sec|5 sec|10 sec|30 sec|1 min|5 min|10 min|30 min|1 hour"
         Numeric         =   -1  'True
         ToolTip         =   "Time step for the points in the trajectory polyline"
      End
      Begin Project.DropList SnapTime 
         Height          =   225
         Left            =   75
         TabIndex        =   17
         Top             =   75
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Snapshots interval"
         Text            =   "6 hour"
         List            =   "1 sec|5 sec|10 sec|30 sec|1 min|5 min|10 min|30 min|1 hour|2 hour|6 hour|1 day"
         Numeric         =   -1  'True
         ToolTip         =   "Auto-generated time snapshots interval"
      End
      Begin VB.Label BarOptions 
         BorderStyle     =   1  'Fixed Single
         Height          =   7125
         Left            =   2550
         TabIndex        =   159
         Top             =   75
         Width           =   45
      End
   End
   Begin VB.PictureBox TabScreen 
      Appearance      =   0  'Flat
      BorderStyle     =   0  'None
      Height          =   7395
      Left            =   0
      ScaleHeight     =   493
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   343
      TabIndex        =   164
      TabStop         =   0   'False
      Top             =   375
      Width           =   5145
      Begin Project.Check LogSeparator 
         Height          =   225
         Left            =   2700
         TabIndex        =   131
         Top             =   3075
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Use semicolon separator"
         ToolTip         =   "Use a semicolon separator instead of a comma in the CSV format files"
      End
      Begin Project.Check AtmPressure 
         Height          =   225
         Left            =   2700
         TabIndex        =   148
         Top             =   2775
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Atmospheric pressure"
         ToolTip         =   "Show pressure in atmospheres in the Propellant and Burn editors"
      End
      Begin Project.Check MagneticMoment 
         Height          =   225
         Left            =   2700
         TabIndex        =   233
         Top             =   2475
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Magnetic moment"
         ToolTip         =   "Show the attitude control force as a magnetic moment"
      End
      Begin Project.Check GeoidAltitude 
         Height          =   225
         Left            =   2700
         TabIndex        =   147
         Top             =   2175
         Width           =   1800
         _ExtentX        =   3175
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Geoid altitude"
         ToolTip         =   "Use Geoid or Ellipsoid altitudes"
      End
      Begin Project.Check RelativeTime 
         Height          =   225
         Left            =   2700
         TabIndex        =   146
         Top             =   1875
         Width           =   1725
         _ExtentX        =   3043
         _ExtentY        =   397
         Caption         =   "Relative time"
         ToolTip         =   "Show time stamps in the Trajectory render tool relative to the current time"
      End
      Begin Project.Check RelativeSpeed 
         Height          =   225
         Left            =   2700
         TabIndex        =   145
         Top             =   1575
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Relative speed"
         ToolTip         =   "Show the speed relative to the atmosphere"
      End
      Begin Project.Check AbsoulteTemp 
         Height          =   225
         Left            =   2700
         TabIndex        =   144
         Top             =   1275
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Absolute temperature"
         ToolTip         =   "Show temperatures relative to absolute zero"
      End
      Begin Project.DropList Coordinates 
         Height          =   225
         Left            =   2700
         TabIndex        =   13
         Top             =   975
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Coordinates"
         Text            =   "Degrees"
         List            =   "Degrees|DDMM'|DDMM'SS"""
         ToolTip         =   "Format used in latitude and longitude coordinates"
      End
      Begin Project.DropList Units 
         Height          =   225
         Left            =   2700
         TabIndex        =   12
         Top             =   675
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "System of units"
         Text            =   "Metric"
         List            =   "Metric|English"
         ToolTip         =   "System of units used in the Data, Log and Graph panels and the 3D viewer"
         Locked          =   -1  'True
      End
      Begin Project.Check3 ShowIcons 
         Height          =   225
         Left            =   2700
         TabIndex        =   158
         Top             =   5175
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Checked         =   1
         Caption         =   "Show 3D icons"
         ToolTip         =   "Show or hide the icons of the spacecraft, the ground station and the tracking object in the 3D viewer"
      End
      Begin Project.Check3 CameraMove 
         Height          =   225
         Left            =   2700
         TabIndex        =   139
         Top             =   3375
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Checked         =   6
         Caption         =   "Reverse movement"
         ToolTip         =   "Reverse the movement of the camera in the X, Y and Z axes"
      End
      Begin Project.Check3 CameraRotate 
         Height          =   225
         Left            =   2700
         TabIndex        =   140
         Top             =   3675
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Checked         =   6
         Caption         =   "Reverse rotation"
         ToolTip         =   "Reverse the rotation of the camera around the X, Y and Z axes"
      End
      Begin Project.Check3 CameraZoom 
         Height          =   225
         Left            =   2700
         TabIndex        =   235
         Top             =   3975
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Checked         =   6
         Active          =   3
         Caption         =   "Reverse zoom"
         ToolTip         =   "Reverse the zoom of the camera"
      End
      Begin Project.DropList ToolTipDelay 
         Height          =   225
         Left            =   2700
         TabIndex        =   14
         Top             =   4275
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Tooltip delay"
         Text            =   "1 sec"
         List            =   "Disabled|100 msec|200 msec|500 msec|1 sec|2 sec|5 sec|10 sec"
         Numeric         =   -1  'True
         ToolTip         =   "Time to wait before a tooltip is shown"
      End
      Begin Project.DropList ShipScale 
         Height          =   225
         Left            =   2700
         TabIndex        =   16
         Top             =   4875
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Spacecraft scale"
         Text            =   "1 : 1"
         List            =   "1 : 20|1 : 15|1 : 10|1 : 7.5|1 : 5|1 : 3|1 : 2|1 : 1.5|1 : 1|1.5 : 1|2 : 1|3 : 1|5 : 1|7.5 : 1|10 : 1|15 : 1|20 : 1"
         ToolTip         =   "Scale of the spacecraft, ground station and tracking object icons in the 3D viewer"
      End
      Begin Project.DropList SunShadow 
         Height          =   225
         Left            =   2700
         TabIndex        =   15
         Top             =   4575
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Sun shadow"
         Text            =   "Normal"
         List            =   "Realistic|Dark|Normal|Bright|No shadow"
         ToolTip         =   "Shadow of the sunlight in the 3D viewer and the light in the 3D model views"
         Locked          =   -1  'True
      End
      Begin Project.DropList MainPlane 
         Height          =   225
         Left            =   2700
         TabIndex        =   11
         Top             =   375
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Main plane"
         Text            =   "Orbital"
         List            =   "Ecliptic|Equatorial|Orbital"
         ToolTip         =   "Reference plane for the 3D viewer"
         Locked          =   -1  'True
      End
      Begin Project.DropList ViewerMode 
         Height          =   225
         Left            =   2700
         TabIndex        =   10
         Top             =   75
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Viewer"
         Text            =   "Auto"
         List            =   "Auto|None|Default|Sub-orbital flight|Low Earth orbit|Moon mission|Deep space"
         ToolTip         =   "Use a predefined configuration for the 3D viewer according to the type of mission"
         Locked          =   -1  'True
      End
      Begin Project.Check HideCursor 
         Height          =   225
         Left            =   75
         TabIndex        =   224
         Top             =   6375
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Hide selection cursor"
         ToolTip         =   "Hide the selection cursor after a short time"
      End
      Begin Project.Check ShowErrors 
         Height          =   225
         Left            =   75
         TabIndex        =   52
         Top             =   6075
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Simulation errors"
         ToolTip         =   "Show information about invalid parameters in Setup and Stages panels"
      End
      Begin Project.Check InfoLabel 
         Height          =   225
         Left            =   75
         TabIndex        =   234
         Top             =   5775
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Extra information"
         ToolTip         =   "Show extra information in the labels of the 3D viewer (Alt+I)"
      End
      Begin Project.Check TimePoints 
         Height          =   225
         Left            =   75
         TabIndex        =   66
         Top             =   5475
         Width           =   1650
         _ExtentX        =   2910
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Time points"
         ToolTip         =   "Auto-generated time snapshots (Alt+M)"
      End
      Begin Project.Check PathPoints 
         Height          =   225
         Left            =   75
         TabIndex        =   56
         Top             =   5175
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Saved paths points"
         ToolTip         =   "Snapshots of the saved paths (Alt+H)"
      End
      Begin Project.Check HiddenLines 
         Height          =   225
         Left            =   75
         TabIndex        =   50
         Top             =   4875
         Width           =   1725
         _ExtentX        =   3043
         _ExtentY        =   397
         Caption         =   "Hidden lines"
         ToolTip         =   "Show the lines hidden behind the planets (Alt+Z)"
      End
      Begin Project.Check HiddenPoints 
         Height          =   225
         Left            =   75
         TabIndex        =   51
         Top             =   4575
         Width           =   1800
         _ExtentX        =   3175
         _ExtentY        =   397
         Caption         =   "Hidden points"
         ToolTip         =   "Show the points hidden behind the planets (Alt+W)"
      End
      Begin Project.Check SmoothLines 
         Height          =   225
         Left            =   75
         TabIndex        =   59
         Top             =   4275
         Width           =   1725
         _ExtentX        =   3043
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Smooth lines"
         ToolTip         =   "Antialiased lines in the 3D viewer (Alt+Q)"
      End
      Begin Project.Check TextTextures 
         Height          =   225
         Left            =   75
         TabIndex        =   65
         Top             =   3975
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Use font textures"
         ToolTip         =   "Use textures for the labels in the 3D viewer (Alt+F)"
      End
      Begin Project.Check PlanetTextures 
         Height          =   225
         Left            =   75
         TabIndex        =   214
         Top             =   3675
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Use planet textures"
         ToolTip         =   "Use textures for the planets surface (Alt+X)"
      End
      Begin Project.DropList TileTextures 
         Height          =   225
         Left            =   75
         TabIndex        =   8
         Top             =   3075
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Tile planet textures"
         Text            =   "4 x 2"
         List            =   "1 x 1|2 x 1|4 x 2"
         ToolTip         =   "Tile planet textures so the graphic card can load them into memory"
         Locked          =   -1  'True
      End
      Begin Project.Check CaptureMouse 
         Height          =   225
         Left            =   75
         TabIndex        =   138
         Top             =   2775
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Caption         =   "Capture mouse"
         ToolTip         =   "Include mouse icon in the image and video recording"
      End
      Begin Project.DropList VideoMode 
         Height          =   225
         Left            =   75
         TabIndex        =   7
         Top             =   2475
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Capture mode"
         Text            =   "Full screen"
         List            =   "Full screen|Main window|View panel|Onboard"
         ToolTip         =   "Use the entire screen, the main window or the View panel for the image and video recording"
         Locked          =   -1  'True
      End
      Begin Project.DropList VideoFPS 
         Height          =   225
         Left            =   390
         TabIndex        =   6
         Top             =   2175
         Width           =   2010
         _ExtentX        =   3545
         _ExtentY        =   397
         Caption         =   "Video frames"
         Text            =   "30 fps"
         List            =   "1 fps|2 fps|5 fps|10 fps|15 fps|20 fps|25 fps|30 fps|40 fps|50 fps|60 fps|75 fps|100 fps"
         Numeric         =   -1  'True
         ToolTip         =   "Frames per second used for the video recording"
      End
      Begin Project.Button VideoSettings 
         Height          =   240
         Left            =   75
         TabIndex        =   141
         Top             =   2160
         Width           =   255
         _ExtentX        =   3572
         _ExtentY        =   397
         Caption         =   "1"
         Style           =   1
         Image           =   "Options.frx":00B5
         Image2          =   "Options.frx":05CF
         ToolTip         =   "Show advanced options for the video recording"
         ForeColor       =   0
      End
      Begin Project.DropList Antialiasing 
         Height          =   225
         Left            =   75
         TabIndex        =   5
         Top             =   1875
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Antialiasing"
         Text            =   "Disabled"
         List            =   "Disabled|x 2|x 4|x 8|x 16"
         ToolTip         =   "Smooth pixel edges in the 3D viewer"
      End
      Begin Project.Check VerticalSync 
         Height          =   225
         Left            =   75
         TabIndex        =   137
         Top             =   1575
         Width           =   1725
         _ExtentX        =   3043
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Vertical sync"
         ToolTip         =   "Use vertical synchronization in OpenGL render"
      End
      Begin Project.Check UseOpenGL 
         Height          =   225
         Left            =   75
         TabIndex        =   136
         Top             =   1275
         Width           =   1650
         _ExtentX        =   2910
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Use OpenGL"
         ToolTip         =   "Use OpenGL / 3D or GDI / 2D render (Shift+F11)"
      End
      Begin Project.Check MainBorder 
         Height          =   225
         Left            =   75
         TabIndex        =   135
         Top             =   975
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Caption         =   "Main window border"
         ToolTip         =   "Show or hide the 3D viewer window border"
      End
      Begin Project.Check SnapPanels 
         Height          =   225
         Left            =   75
         TabIndex        =   134
         Top             =   675
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Snap panels to border"
         ToolTip         =   "Snap all the panels to the main window border"
      End
      Begin Project.DropList PanelsStyle 
         Height          =   225
         Left            =   75
         TabIndex        =   4
         Top             =   375
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Panels style"
         Text            =   "Advanced 3D"
         List            =   "White 3D|Black 3D|Basic 2D"
         ToolTip         =   "Style used in the buttons of the panels (Ctrl+Alt+F11)"
         Locked          =   -1  'True
      End
      Begin Project.Button ShowColor 
         Height          =   240
         Left            =   75
         TabIndex        =   142
         Top             =   60
         Width           =   255
         _ExtentX        =   3572
         _ExtentY        =   397
         Caption         =   "2"
         Style           =   1
         Image           =   "Options.frx":0AE9
         Image2          =   "Options.frx":1003
         ToolTip         =   "Show color selector"
         ForeColor       =   0
      End
      Begin Project.DropList ColorTheme 
         Height          =   225
         Left            =   390
         TabIndex        =   3
         Top             =   75
         Width           =   2010
         _ExtentX        =   3545
         _ExtentY        =   397
         Caption         =   "Color theme"
         Text            =   "System"
         List            =   "System|Black|White|Vista|Win XP|Win 98"
         ToolTip         =   "Color theme for all the panels and the 3D viewer"
         Locked          =   -1  'True
      End
      Begin Project.DropList EarthTexture 
         Height          =   225
         Left            =   75
         TabIndex        =   9
         Top             =   3375
         Width           =   2325
         _ExtentX        =   4101
         _ExtentY        =   397
         Caption         =   "Earth texture"
         Text            =   "Default"
         List            =   "Default|-|Clouds|Day|Night|White"
         ToolTip         =   "Texture used in the Earth 3D model"
         Locked          =   -1  'True
      End
      Begin VB.Label BarScreen 
         BorderStyle     =   1  'Fixed Single
         Height          =   6525
         Left            =   2550
         TabIndex        =   223
         Top             =   75
         Width           =   45
      End
   End
   Begin VB.PictureBox TabEvents 
      Appearance      =   0  'Flat
      BorderStyle     =   0  'None
      Height          =   7395
      Left            =   0
      ScaleHeight     =   493
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   343
      TabIndex        =   162
      TabStop         =   0   'False
      Top             =   375
      Visible         =   0   'False
      Width           =   5145
      Begin Project.Check3 EventsAll 
         Height          =   225
         Left            =   75
         TabIndex        =   170
         Top             =   300
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "All events"
         ToolTip         =   "Select or unselect all the events"
      End
      Begin Project.Check3 LiftOff 
         Height          =   225
         Left            =   75
         TabIndex        =   171
         Top             =   750
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Lift off"
         ToolTip         =   "The spaceship has lifted off the ground"
      End
      Begin Project.Check3 StageEnginesOn 
         Height          =   225
         Left            =   75
         TabIndex        =   172
         Top             =   1050
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Stage engines on"
         ToolTip         =   "A stage has started the engines"
      End
      Begin Project.Check3 StageEnginesOff 
         Height          =   225
         Left            =   75
         TabIndex        =   173
         Top             =   1350
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Stage engines off"
         ToolTip         =   "A stage has stopped the engines"
      End
      Begin Project.Check3 HoverEnginesOn 
         Height          =   225
         Left            =   75
         TabIndex        =   174
         Top             =   1650
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Hover engines on"
         ToolTip         =   "The hover stage has started the engines"
      End
      Begin Project.Check3 HoverEnginesOff 
         Height          =   225
         Left            =   75
         TabIndex        =   175
         Top             =   1950
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Hover engines off"
         ToolTip         =   "The hover stage has stopped the engines"
      End
      Begin Project.Check3 LastStageEnginesOff 
         Height          =   225
         Left            =   75
         TabIndex        =   176
         Top             =   2250
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Last stage engines off"
         ToolTip         =   "The last stage has stopped the engines"
      End
      Begin Project.Check3 SatelliteDeployed 
         Height          =   225
         Left            =   75
         TabIndex        =   177
         Top             =   2550
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Satellite deployed"
         ToolTip         =   "The satellite is deployed after burn out"
      End
      Begin Project.Check3 MoonTransfer 
         Height          =   225
         Left            =   75
         TabIndex        =   178
         Top             =   2850
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Moon transfer"
         ToolTip         =   "The hover stage is deployed after burn out"
      End
      Begin Project.Check3 StageAbort 
         Height          =   225
         Left            =   75
         TabIndex        =   179
         Top             =   3150
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Stage abort"
         ToolTip         =   "The sequence is aborted after a stage burn out"
      End
      Begin Project.Check3 EarthSoundSpeed 
         Height          =   225
         Left            =   75
         TabIndex        =   180
         Top             =   3600
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Earth sound speed"
         ToolTip         =   "The Earth sound speed is reached"
      End
      Begin Project.Check3 EarthOrbitalSpeed 
         Height          =   225
         Left            =   75
         TabIndex        =   181
         Top             =   3900
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Earth orbital speed"
         ToolTip         =   "The Earth orbital speed is reached"
      End
      Begin Project.Check3 EarthEscapeSpeed 
         Height          =   225
         Left            =   75
         TabIndex        =   182
         Top             =   4200
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Earth escape speed"
         ToolTip         =   "The Earth escape speed is reached"
      End
      Begin Project.Check3 MoonOrbitalSpeed 
         Height          =   225
         Left            =   75
         TabIndex        =   183
         Top             =   4500
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Moon orbital speed"
         ToolTip         =   "The Moon orbital speed is reached"
      End
      Begin Project.Check3 MoonEscapeSpeed 
         Height          =   225
         Left            =   75
         TabIndex        =   184
         Top             =   4800
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Moon escape speed"
         ToolTip         =   "The Moon escape speed is reached"
      End
      Begin Project.Check3 MarsOrbitalSpeed 
         Height          =   225
         Left            =   75
         TabIndex        =   185
         Top             =   5100
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Mars orbital speed"
         ToolTip         =   "The Mars orbital speed is reached"
      End
      Begin Project.Check3 MarsEscapeSpeed 
         Height          =   225
         Left            =   75
         TabIndex        =   186
         Top             =   5400
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Mars escape speed"
         ToolTip         =   "The Mars escape speed is reached"
      End
      Begin Project.Check3 Apogee 
         Height          =   225
         Left            =   2850
         TabIndex        =   187
         Top             =   300
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Apogee"
         ToolTip         =   "The maximum altitude from the Earth is reached"
      End
      Begin Project.Check3 Perigee 
         Height          =   225
         Left            =   2850
         TabIndex        =   188
         Top             =   600
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Perigee"
         ToolTip         =   "The minimum altitude from the Earth is reached"
      End
      Begin Project.Check3 Aposelene 
         Height          =   225
         Left            =   2850
         TabIndex        =   189
         Top             =   900
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Aposelene"
         ToolTip         =   "The maximum altitude from the Moon is reached"
      End
      Begin Project.Check3 Periselene 
         Height          =   225
         Left            =   2850
         TabIndex        =   190
         Top             =   1200
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Periselene"
         ToolTip         =   "The minimum altitude from the Moon is reached"
      End
      Begin Project.Check3 Apoapsis 
         Height          =   225
         Left            =   2850
         TabIndex        =   191
         Top             =   1500
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Planet apoapsis"
         ToolTip         =   "The maximum altitude from a planet or the Sun is reached"
      End
      Begin Project.Check3 Periapsis 
         Height          =   225
         Left            =   2850
         TabIndex        =   192
         Top             =   1800
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Planet periapsis"
         ToolTip         =   "The minimum altitude from a planet or the Sun is reached"
      End
      Begin Project.Check3 ExitAtmosphere 
         Height          =   225
         Left            =   2850
         TabIndex        =   193
         Top             =   2250
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Exit atmosphere"
         ToolTip         =   "The spacecraft has exited the Earth atmosphere (100km of altitude)"
      End
      Begin Project.Check3 EnterAtmosphere 
         Height          =   225
         Left            =   2850
         TabIndex        =   194
         Top             =   2550
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Enter atmosphere"
         ToolTip         =   "The spacecraft has entered the Earth atmosphere (100km of altitude)"
      End
      Begin Project.Check3 ExitIonosphere 
         Height          =   225
         Left            =   2850
         TabIndex        =   195
         Top             =   2850
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Exit ionosphere"
         ToolTip         =   "The spacecraft has exited the Earth ionosphere (500km of altitude)"
      End
      Begin Project.Check3 EnterIonosphere 
         Height          =   225
         Left            =   2850
         TabIndex        =   196
         Top             =   3150
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Enter ionosphere"
         ToolTip         =   "The spacecraft has entered the Earth ionosphere (500km of altitude)"
      End
      Begin Project.Check3 EquidistantPoint 
         Height          =   225
         Left            =   2850
         TabIndex        =   197
         Top             =   3600
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Equidistant point"
         ToolTip         =   "The equidistant point between the Earth and the Moon is reached"
      End
      Begin Project.Check3 L1LagrangePoint 
         Height          =   225
         Left            =   2850
         TabIndex        =   198
         Top             =   3900
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "L-1 Lagrange point"
         ToolTip         =   "The L-1 Lagrange point between the Earth and the Moon is reached"
      End
      Begin Project.Check3 MoonDistance 
         Height          =   225
         Left            =   2850
         TabIndex        =   199
         Top             =   4200
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Moon distance"
         ToolTip         =   "The Moon orbital distance from the Earth is reached"
      End
      Begin Project.Check3 PlanetDistance 
         Height          =   225
         Left            =   2850
         TabIndex        =   200
         Top             =   4500
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Planet distance"
         ToolTip         =   "The planet orbital distance from the Sun is reached"
      End
      Begin Project.Check3 PlanetApproach 
         Height          =   225
         Left            =   2850
         TabIndex        =   201
         Top             =   4800
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Planet approach"
         ToolTip         =   "The spacecraft has entered the gravity influence zone of the the nearest planet"
      End
      Begin Project.Check3 PlanetProximity 
         Height          =   225
         Left            =   2850
         TabIndex        =   202
         Top             =   5100
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Planet proximity"
         ToolTip         =   "The spacecraft altitude from the nearest planet is less than one radius"
      End
      Begin Project.Check3 PlanetFaraway 
         Height          =   225
         Left            =   2850
         TabIndex        =   203
         Top             =   5400
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Planet faraway"
         ToolTip         =   "The spacecraft has exited the gravity influence zone of the nearest planet"
      End
      Begin Project.Check3 BrakingAltitude 
         Height          =   225
         Left            =   2850
         TabIndex        =   215
         Top             =   5700
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Braking altitude"
         ToolTip         =   "The spacecraft has reached the braking altitude"
      End
      Begin Project.Check3 StationAvailable 
         Height          =   225
         Left            =   75
         TabIndex        =   204
         Top             =   5850
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Station available"
         ToolTip         =   "A ground station or target has become available"
      End
      Begin Project.Check3 StationUnAvailable 
         Height          =   225
         Left            =   75
         TabIndex        =   205
         Top             =   6150
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Station unavailable"
         ToolTip         =   "A ground station or target has become unavailable"
      End
      Begin Project.Check3 LinkError 
         Height          =   225
         Left            =   75
         TabIndex        =   206
         Top             =   7050
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Link error"
         ToolTip         =   "A link error with the external device control has occurred"
      End
      Begin Project.Check3 SatelliteProximity 
         Height          =   225
         Left            =   2850
         TabIndex        =   207
         Top             =   6150
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Satellite proximity"
         ToolTip         =   "A satellite has entered the proximity zone"
      End
      Begin Project.Check3 SatelliteFaraway 
         Height          =   225
         Left            =   2850
         TabIndex        =   236
         Top             =   6450
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Satellite faraway"
         ToolTip         =   "A satellite has exited the proximity zone"
      End
      Begin Project.Check3 AsteroidProximity 
         Height          =   225
         Left            =   2850
         TabIndex        =   220
         Top             =   6750
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Asteroid proximity"
         ToolTip         =   "An asteroid, a comet or a moon has entered the proximity zone"
      End
      Begin Project.Check3 AsteroidFaraway 
         Height          =   225
         Left            =   2850
         TabIndex        =   237
         Top             =   7050
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Asteroid faraway"
         ToolTip         =   "An asteroid, a comet or a moon has exited the proximity zone"
      End
      Begin Project.Check3 EnterAirspace 
         Height          =   225
         Left            =   75
         TabIndex        =   216
         Top             =   6450
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Enter airspace"
         ToolTip         =   "The spacecraft has entered a reserved airspace, the land or water boundaries of a country or a populated area"
      End
      Begin Project.Check3 ExitAirspace 
         Height          =   225
         Left            =   75
         TabIndex        =   217
         Top             =   6750
         Width           =   2475
         _ExtentX        =   4366
         _ExtentY        =   397
         Active          =   16
         Caption         =   "Exit airspace"
         ToolTip         =   "The spacecraft has exited a reserved airspace, the land or water boundaries of a country or a populated area"
      End
      Begin Project.Text LabelEvents1 
         Height          =   225
         Left            =   1050
         TabIndex        =   238
         Top             =   30
         Width           =   1500
         _ExtentX        =   2646
         _ExtentY        =   397
         Caption         =   "Pause Save Log"
         Alignment       =   1
         ToolTip         =   "Pause the simulation, save a snapshot or add a log entry when an event is triggered"
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
      End
      Begin Project.Text LabelEvents2 
         Height          =   225
         Left            =   3600
         TabIndex        =   239
         Top             =   30
         Width           =   1500
         _ExtentX        =   2646
         _ExtentY        =   397
         Caption         =   "Pause Save Log"
         Alignment       =   1
         ToolTip         =   "Pause the simulation, save a snapshot or add a log entry when an event is triggered"
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
      End
      Begin VB.Label BarEvents 
         BorderStyle     =   1  'Fixed Single
         Height          =   7200
         Left            =   2700
         TabIndex        =   163
         Top             =   75
         Width           =   45
      End
   End
   Begin VB.PictureBox TabSimulation 
      Appearance      =   0  'Flat
      BorderStyle     =   0  'None
      Height          =   7395
      Left            =   0
      ScaleHeight     =   493
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   343
      TabIndex        =   161
      TabStop         =   0   'False
      Top             =   375
      Visible         =   0   'False
      Width           =   5145
      Begin Project.Check SatelliteControl 
         Height          =   225
         Left            =   2925
         TabIndex        =   218
         Top             =   825
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Satellite control"
         ToolTip         =   "Use the attitude control algorithm when the satellite is deployed"
      End
      Begin Project.Check LandingManeuver 
         Height          =   225
         Left            =   2925
         TabIndex        =   106
         Top             =   525
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Landing maneuver"
         ToolTip         =   "Use the attitude control algorithm in the landing maneuver"
      End
      Begin Project.Check LaunchTrajectory 
         Height          =   225
         Left            =   2925
         TabIndex        =   105
         Top             =   225
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Launch trajectory"
         ToolTip         =   "Use the attitude control algorithm in the launch trajectory"
      End
      Begin Project.Check Wind 
         Height          =   225
         Left            =   225
         TabIndex        =   104
         Top             =   6375
         Width           =   1650
         _ExtentX        =   2910
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Wind speed"
         ToolTip         =   "Apply the wind speed of the atmospheric model"
      End
      Begin Project.Check Statistics 
         Height          =   225
         Left            =   225
         TabIndex        =   219
         Top             =   6075
         Width           =   1500
         _ExtentX        =   2646
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Statistics"
         ToolTip         =   "Calculate statistics for the Data panel and some events detection"
      End
      Begin Project.Check SolarWind 
         Height          =   225
         Left            =   225
         TabIndex        =   101
         Top             =   5775
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Caption         =   "Solar wind pressure"
         ToolTip         =   "Apply the solar wind pressure"
      End
      Begin Project.Check SatelliteAlert 
         Height          =   225
         Left            =   225
         TabIndex        =   100
         Top             =   5475
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Satellite proximity"
         ToolTip         =   "Detect the proximity of the satellites"
      End
      Begin Project.Check RealTime 
         Height          =   225
         Left            =   225
         TabIndex        =   99
         Top             =   5175
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Caption         =   "Real time speed"
         ToolTip         =   "Run the simulation at real time speed"
      End
      Begin Project.Check PlanetShadow 
         Height          =   225
         Left            =   225
         TabIndex        =   102
         Top             =   4875
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Caption         =   "Planet shadow"
         ToolTip         =   "Don't apply the solar heat if the spaceship is obscured by a planet"
      End
      Begin Project.Check PlanetCollision 
         Height          =   225
         Left            =   225
         TabIndex        =   103
         Top             =   4575
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Planet collision"
         ToolTip         =   "Detect the collision with the planets ground"
      End
      Begin Project.Check IspSeaLevel 
         Height          =   225
         Left            =   225
         TabIndex        =   98
         Top             =   4275
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Isp at sea level"
         ToolTip         =   "Reduce the thrust due to the atmospheric pressure"
      End
      Begin Project.Check HiDefDetection 
         Height          =   225
         Left            =   225
         TabIndex        =   93
         Top             =   3975
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Caption         =   "High definition detection"
         ToolTip         =   "Calculate the object detection every simulation time step instead of every second"
      End
      Begin Project.Check StationVisibility 
         Height          =   225
         Left            =   225
         TabIndex        =   97
         Top             =   3675
         Width           =   2250
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Ground station visibility"
         ToolTip         =   "Detect the visibility of the ground stations or targets"
      End
      Begin Project.Check EmptyStages 
         Height          =   225
         Left            =   225
         TabIndex        =   96
         Top             =   3375
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Caption         =   "Empty stages"
         ToolTip         =   "Simulate the trajectory of the empty stages"
      End
      Begin Project.Check BalloonTrajectory 
         Height          =   225
         Left            =   225
         TabIndex        =   95
         Top             =   3075
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Balloon trajectory"
         ToolTip         =   "Simulate the trajectory of the balloon"
      End
      Begin Project.Check AtmosphereLift 
         Height          =   225
         Left            =   225
         TabIndex        =   222
         Top             =   2775
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Atmosphere lift"
         ToolTip         =   "Apply the air lift force using the lift to drag ratio"
      End
      Begin Project.Check AtmosphereDrag 
         Height          =   225
         Left            =   225
         TabIndex        =   94
         Top             =   2475
         Width           =   2100
         _ExtentX        =   3704
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Atmosphere drag"
         ToolTip         =   "Apply the atmosphere drag force"
      End
      Begin Project.Check AsteroidAlert 
         Height          =   225
         Left            =   225
         TabIndex        =   221
         Top             =   2175
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Asteroid proximity"
         ToolTip         =   "Detect the proximity of asteroids, comets and moons"
      End
      Begin Project.Check AreaDetection 
         Height          =   225
         Left            =   225
         TabIndex        =   125
         Top             =   1875
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Caption         =   "Area detection"
         ToolTip         =   "Detect the presence of the spacecraft inside the land or water boundaries of a country or a populated area"
      End
      Begin Project.Check AirspaceDetection 
         Height          =   225
         Left            =   225
         TabIndex        =   42
         Top             =   1575
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Airspace detection"
         ToolTip         =   "Detect the presence of the spacecraft inside a reserved airspace"
      End
      Begin Project.Check AdaptiveStep 
         Height          =   225
         Left            =   225
         TabIndex        =   225
         Top             =   1275
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Adaptive time step"
         ToolTip         =   "Increase the time step in deep space zones"
      End
      Begin Project.DropList AtmosphericModel 
         Height          =   225
         Left            =   225
         TabIndex        =   2
         Top             =   975
         Width           =   2250
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Atmospheric model"
         Text            =   "Off"
         List            =   "Off|Low|Med|High"
         ToolTip         =   "Atmospheric model quality used for the atmospheric parameters"
         Locked          =   -1  'True
      End
      Begin Project.DropList TerrainModel 
         Height          =   225
         Left            =   225
         TabIndex        =   1
         Top             =   675
         Width           =   2250
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Terrain model"
         Text            =   "Spherical"
         List            =   "Spherical|Ellipsoidal|Matrix"
         ToolTip         =   "Terrain model used for ground detection"
         Locked          =   -1  'True
      End
      Begin Project.DropList Gravity 
         Height          =   225
         Left            =   225
         TabIndex        =   0
         Top             =   375
         Width           =   2250
         _ExtentX        =   3704
         _ExtentY        =   397
         Caption         =   "Gravity"
         Text            =   "Earth-Moon-Sun"
         List            =   "Disabled|Earth|Earth-Moon|Earth-Moon-Sun|All planets"
         ToolTip         =   "Select the gravity forces that affects the spaceship"
         Locked          =   -1  'True
      End
      Begin Project.Check SimulationAll 
         Height          =   225
         Left            =   75
         TabIndex        =   92
         Top             =   75
         Width           =   1650
         _ExtentX        =   2910
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "All options"
         ToolTip         =   "Select or unselect all the simulation options"
      End
      Begin Project.Check LogToFile 
         Height          =   225
         Left            =   2775
         TabIndex        =   107
         Top             =   1275
         Width           =   1500
         _ExtentX        =   2646
         _ExtentY        =   397
         Caption         =   "Log to file"
         ToolTip         =   "Log the selected parameters of the simulation to a CSV format file"
      End
      Begin Project.Check LogDate 
         Height          =   225
         Left            =   2925
         TabIndex        =   108
         Top             =   1575
         Width           =   1800
         _ExtentX        =   3175
         _ExtentY        =   397
         Caption         =   "Date and time"
         ToolTip         =   "Log the date and time [UTC]"
      End
      Begin Project.Check LogTime 
         Height          =   225
         Left            =   2925
         TabIndex        =   109
         Top             =   1875
         Width           =   1650
         _ExtentX        =   2910
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Mission time"
         ToolTip         =   "Log the elapsed time from the start of the mission [s]"
      End
      Begin Project.Check2 LogCoordinates 
         Height          =   225
         Left            =   2925
         TabIndex        =   110
         Top             =   2175
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Coordinates"
         Caption2        =   "3D"
         ToolTip         =   "Log the latitude and longitude coordinates [degrees]"
         ToolTip2        =   "Log the cartesian coordinates using a XYZ vector [m]"
      End
      Begin Project.Check2 LogAltitude 
         Height          =   225
         Left            =   2925
         TabIndex        =   112
         Top             =   2475
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Altitude"
         Caption2        =   "Gnd"
         ToolTip         =   "Log the altitude relative to the sea level [m]"
         ToolTip2        =   "Log the altitude relative to the ground level [m]"
      End
      Begin Project.Check2 LogDistance 
         Height          =   225
         Left            =   2925
         TabIndex        =   114
         Top             =   2775
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Caption         =   "Distance"
         Caption2        =   "3D"
         ToolTip         =   "Log the distance relative to the planet center [m]"
         ToolTip2        =   "Log the distance relative to the planet center using a XYZ vector [m]"
      End
      Begin Project.Check2 LogSpeed 
         Height          =   225
         Left            =   2925
         TabIndex        =   116
         Top             =   3075
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Speed"
         Caption2        =   "3D"
         ToolTip         =   "Log the speed relative to the nearest planet center [m/s]"
         ToolTip2        =   "Log the speed relative to the nearest planet center using a XYZ vector [m/s]"
      End
      Begin Project.Check2 LogAirSpeed 
         Height          =   225
         Left            =   2925
         TabIndex        =   118
         Top             =   3375
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Air speed"
         Caption2        =   "3D"
         ToolTip         =   "Log the speed relative to the atmosphere [m/s]"
         ToolTip2        =   "Log the speed relative to the atmosphere using a XYZ vector [m/s]"
      End
      Begin Project.Check LogThrust 
         Height          =   225
         Left            =   2925
         TabIndex        =   120
         Top             =   3675
         Width           =   1200
         _ExtentX        =   2117
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Thrust"
         ToolTip         =   "Log the thrust of the spacecraft engine [N]"
      End
      Begin Project.Check2 LogAcceleration 
         Height          =   225
         Left            =   2925
         TabIndex        =   121
         Top             =   3975
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Acceleration"
         Caption2        =   "3D"
         ToolTip         =   "Log the total acceleration (including the gravity) [m/s]"
         ToolTip2        =   "Log the total acceleration (including the gravity) using a XYZ vector [m/s]"
      End
      Begin Project.Check2 LogInertial 
         Height          =   225
         Left            =   2925
         TabIndex        =   123
         Top             =   4275
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Caption         =   "Inertial"
         Caption2        =   "3D"
         ToolTip         =   "Log the inertial acceleration (without the gravity) [m/s]"
         ToolTip2        =   "Log the inertial acceleration (without the gravity) using a XYZ vector [m/s]"
      End
      Begin Project.Check2 LogAirDrag 
         Height          =   225
         Left            =   2925
         TabIndex        =   124
         Top             =   4575
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Air drag"
         Caption2        =   "3D"
         ToolTip         =   "Log the atmosphere drag deceleration [m/s]"
         ToolTip2        =   "Log the atmosphere drag deceleration using a XYZ vector [m/s]"
      End
      Begin Project.Check2 LogGravity 
         Height          =   225
         Left            =   2925
         TabIndex        =   126
         Top             =   4875
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Gravity"
         Caption2        =   "3D"
         ToolTip         =   "Log the gravity of the nearest planet [m/s]"
         ToolTip2        =   "Log the gravity of the nearest planet using a XYZ vector [m/s]"
      End
      Begin Project.Check LogMass 
         Height          =   225
         Left            =   2925
         TabIndex        =   128
         Top             =   5175
         Width           =   1050
         _ExtentX        =   1852
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Mass"
         ToolTip         =   "Log the total mass [kg]"
      End
      Begin Project.Check LogTemperature 
         Height          =   225
         Left            =   2925
         TabIndex        =   129
         Top             =   5475
         Width           =   1725
         _ExtentX        =   3043
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Temperature"
         ToolTip         =   "Log the static temperature [K]"
      End
      Begin Project.Check LogStations 
         Height          =   225
         Left            =   2925
         TabIndex        =   130
         Top             =   5775
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Ground stations"
         ToolTip         =   "Log the number of ground stations or targets available"
      End
      Begin Project.Check LogAirspaces 
         Height          =   225
         Left            =   2925
         TabIndex        =   127
         Top             =   6075
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Airspaces"
         ToolTip         =   "Log the number airspaces detected"
      End
      Begin VB.Label BarSimulation 
         BorderStyle     =   1  'Fixed Single
         Height          =   6525
         Left            =   2625
         TabIndex        =   132
         Top             =   75
         Width           =   45
      End
   End
   Begin VB.PictureBox TabTools 
      Appearance      =   0  'Flat
      BorderStyle     =   0  'None
      Height          =   7395
      Left            =   0
      ScaleHeight     =   493
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   343
      TabIndex        =   160
      TabStop         =   0   'False
      Top             =   375
      Visible         =   0   'False
      Width           =   5145
      Begin Project.Check Trace 
         Height          =   225
         Left            =   2550
         TabIndex        =   90
         Top             =   6975
         Width           =   1275
         _ExtentX        =   2249
         _ExtentY        =   397
         Caption         =   "Trace"
         ToolTip         =   "Target projection over X and Y axes"
      End
      Begin Project.Check2 Labels 
         Height          =   225
         Left            =   2550
         TabIndex        =   89
         Top             =   6675
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Checked         =   -1  'True
         Checked2        =   -1  'True
         Caption         =   "Labels"
         Caption2        =   "Time stamp"
         ToolTip         =   "Locations labels and information"
         ToolTip2        =   "Mission time"
      End
      Begin Project.Check2 FOV 
         Height          =   225
         Left            =   2550
         TabIndex        =   88
         Top             =   6375
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Checked         =   -1  'True
         Checked2        =   -1  'True
         Caption         =   "FOV projection"
         Caption2        =   "Area"
         ToolTip         =   "Field of view projection on ground"
         ToolTip2        =   "Visible area and pixel size"
      End
      Begin Project.Check Deviation 
         Height          =   225
         Left            =   2550
         TabIndex        =   87
         Top             =   6075
         Width           =   1575
         _ExtentX        =   2778
         _ExtentY        =   397
         Caption         =   "Deviation"
         ToolTip         =   "Deviation angles respect to the target"
      End
      Begin Project.Check Crosshair 
         Height          =   225
         Left            =   2550
         TabIndex        =   86
         Top             =   5775
         Width           =   1575
         _ExtentX        =   2778
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Crosshair"
         ToolTip         =   "Crosshair at the center of the image"
      End
      Begin Project.Check Sensors 
         Height          =   225
         Left            =   2400
         TabIndex        =   85
         Top             =   5475
         Width           =   1275
         _ExtentX        =   2249
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Sensor"
         ToolTip         =   "Onboard sensor tools (Ctrl+B)"
      End
      Begin Project.Check VerticalSpeed 
         Height          =   225
         Left            =   2550
         TabIndex        =   84
         Top             =   5025
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Caption         =   "Vertical speed"
         ToolTip         =   "Vertical speed relative to the planet"
      End
      Begin Project.Check Speed 
         Height          =   225
         Left            =   2550
         TabIndex        =   83
         Top             =   4725
         Width           =   1350
         _ExtentX        =   2381
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Speed"
         ToolTip         =   "Speed relative to the planet center"
      End
      Begin Project.Check NetGravity 
         Height          =   225
         Left            =   2550
         TabIndex        =   82
         Top             =   4425
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   397
         Caption         =   "Net gravity force"
         ToolTip         =   "Gravity minus centripetal acceleration"
      End
      Begin Project.Check MagneticVector 
         Height          =   225
         Left            =   2550
         TabIndex        =   81
         Top             =   4125
         Width           =   2400
         _ExtentX        =   4233
         _ExtentY        =   397
         Caption         =   "Magnetic field vector"
         ToolTip         =   "Earth magnetic field vector where the green part points to the North"
      End
      Begin Project.Check GroundSpeed 
         Height          =   225
         Left            =   2550
         TabIndex        =   80
         Top             =   3825
         Width           =   1950
         _ExtentX        =   3440
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Ground speed"
         ToolTip         =   "Speed relative to the planet surface"
      End
      Begin Project.Check GroundProjection 
         Height          =   225
         Left            =   2550
         TabIndex        =   79
         Top             =   3525
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Ground projection"
         ToolTip         =   "Altitude relative to the nearest planet"
      End
      Begin Project.Check AltitudeReference 
         Height          =   225
         Left            =   2550
         TabIndex        =   78
         Top             =   3225
         Width           =   2550
         _ExtentX        =   4498
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Altitude to reference plane"
         ToolTip         =   "Altitude relative to the reference plane"
      End
      Begin Project.Check AirDragLift 
         Height          =   225
         Left            =   2550
         TabIndex        =   77
         Top             =   2925
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Air drag and lift"
         ToolTip         =   "Atmosphere drag and lift forces"
      End
      Begin Project.Check Vectors 
         Height          =   225
         Left            =   2400
         TabIndex        =   76
         Top             =   2625
         Width           =   1275
         _ExtentX        =   2249
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Vectors"
         ToolTip         =   "Distances and force vectors (Ctrl+V)"
      End
      Begin Project.Check PlanetsOrbits 
         Height          =   225
         Left            =   2550
         TabIndex        =   74
         Top             =   2175
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Planets orbits"
         ToolTip         =   "Orbits of all the planets"
      End
      Begin Project.Check ObjectsOrbits 
         Height          =   225
         Left            =   2550
         TabIndex        =   75
         Top             =   1875
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Objects orbits"
         ToolTip         =   "Orbits of asteroids, comets, moons and satellites"
      End
      Begin Project.Check OrbitalPlane 
         Height          =   225
         Left            =   2550
         TabIndex        =   73
         Top             =   1575
         Width           =   1800
         _ExtentX        =   3175
         _ExtentY        =   397
         Caption         =   "Orbital plane"
         ToolTip         =   "Spaceship orbital plane defined by the initial heading"
      End
      Begin Project.Check BrakingDistance 
         Height          =   225
         Left            =   2550
         TabIndex        =   72
         Top             =   1275
         Width           =   2250
         _ExtentX        =   3969
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Braking distance"
         ToolTip         =   "Braking distance for the hover stage"
      End
      Begin Project.Check Apsis 
         Height          =   225
         Left            =   2550
         TabIndex        =   71
         Top             =   975
         Width           =   2550
         _ExtentX        =   4498
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Apoapsis and periapsis"
         ToolTip         =   "Planets apoapsis and periapsis"
      End
      Begin Project.Check Ionosphere 
         Height          =   225
         Left            =   2550
         TabIndex        =   70
         Top             =   675
         Width           =   2550
         _ExtentX        =   4498
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Atmosphere and ionosphere"
         ToolTip         =   "Earth atmosphere and ionosphere"
      End
      Begin Project.Check Altitude 
         Height          =   225
         Left            =   2550
         TabIndex        =   69
         Top             =   375
         Width           =   1275
         _ExtentX        =   2249
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Altitude"
         ToolTip         =   "Distance to the nearest planet center"
      End
      Begin Project.Check Ranges 
         Height          =   225
         Left            =   2400
         TabIndex        =   68
         Top             =   75
         Width           =   1275
         _ExtentX        =   2249
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Ranges"
         ToolTip         =   "Distances projected on the main plane (Ctrl+R)"
      End
      Begin Project.Check2 Trajectory 
         Height          =   225
         Left            =   225
         TabIndex        =   67
         Top             =   6975
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Caption         =   "Trajectory"
         ToolTip         =   "Spaceship trajectory prediction (Ctrl+C)"
         ToolTip2        =   "Position of the planets at the end of the stimated mission time (Alt+C)"
      End
      Begin Project.Check Terrain 
         Height          =   225
         Left            =   225
         TabIndex        =   64
         Top             =   6675
         Width           =   1275
         _ExtentX        =   2249
         _ExtentY        =   397
         Caption         =   "Terrain"
         ToolTip         =   "Terrain for the planets surface (Ctrl+T)"
      End
      Begin Project.Check2 Stations 
         Height          =   225
         Left            =   225
         TabIndex        =   63
         Top             =   6375
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Stations"
         ToolTip         =   "Ground radio-station network (Ctrl+K)"
         ToolTip2        =   "Labels of the ground radio-stations"
      End
      Begin Project.Check2 Stars 
         Height          =   225
         Left            =   225
         TabIndex        =   62
         Top             =   6075
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Stars"
         ToolTip         =   "Starfield background (Ctrl+F)"
         ToolTip2        =   "Labels of the brightest stars used in the star tracker (Alt+S)"
      End
      Begin Project.Check StageInfo 
         Height          =   225
         Left            =   225
         TabIndex        =   61
         Top             =   5775
         Width           =   1425
         _ExtentX        =   2514
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Stage info"
         ToolTip         =   "Current stage number (Ctrl+S)"
      End
      Begin Project.Check2 Satellites 
         Height          =   225
         Left            =   225
         TabIndex        =   213
         Top             =   5475
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Satellites"
         ToolTip         =   "Artificial satellites around Earth (Ctrl+H)"
         ToolTip2        =   "Labels of the satellites"
      End
      Begin Project.Check Report 
         Height          =   225
         Left            =   225
         TabIndex        =   58
         Top             =   5175
         Width           =   1200
         _ExtentX        =   2117
         _ExtentY        =   397
         Caption         =   "Report"
         ToolTip         =   "Presentation tool (Ctrl+J)"
      End
      Begin Project.Check2 Planets 
         Height          =   225
         Left            =   225
         TabIndex        =   57
         Top             =   4875
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Planets"
         ToolTip         =   "All the planets in the solar system (Ctrl+Y)"
         ToolTip2        =   "Labels of the planets"
      End
      Begin Project.Check2 Path 
         Height          =   225
         Left            =   225
         TabIndex        =   55
         Top             =   4575
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked         =   -1  'True
         Checked2        =   -1  'True
         Caption         =   "Path"
         ToolTip         =   "Spaceship current trajectory (Ctrl+P)"
         ToolTip2        =   "Saved snapshot points (Alt+N)"
      End
      Begin Project.Check2 Moons 
         Height          =   225
         Left            =   225
         TabIndex        =   212
         Top             =   4275
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Moons"
         ToolTip         =   "Natural satellites of the planets (Ctrl+Q)"
         ToolTip2        =   "Labels of the moons"
      End
      Begin Project.Check MagneticField 
         Height          =   225
         Left            =   225
         TabIndex        =   211
         Top             =   3975
         Width           =   1500
         _ExtentX        =   2646
         _ExtentY        =   397
         Caption         =   "Magnetic field"
         ToolTip         =   "Magnetic field of the Earth (Ctrl+M)"
      End
      Begin Project.Check2 Locations 
         Height          =   225
         Left            =   225
         TabIndex        =   54
         Top             =   3675
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Locations"
         ToolTip         =   "Predefined locations and cities (Ctrl+L)"
         ToolTip2        =   "Labels of the predefined locations and the cities"
      End
      Begin Project.Check Launch 
         Height          =   225
         Left            =   225
         TabIndex        =   53
         Top             =   3375
         Width           =   1500
         _ExtentX        =   2646
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Launch site"
         ToolTip         =   "Launch site and North and South Poles (Ctrl+U)"
      End
      Begin Project.Check Grid 
         Height          =   225
         Left            =   225
         TabIndex        =   49
         Top             =   3075
         Width           =   1050
         _ExtentX        =   1852
         _ExtentY        =   397
         Checked         =   -1  'True
         Caption         =   "Grid"
         ToolTip         =   "Parallels and meridians in planets (Ctrl+O)"
      End
      Begin Project.Check GravityField 
         Height          =   225
         Left            =   225
         TabIndex        =   48
         Top             =   2775
         Width           =   1500
         _ExtentX        =   2646
         _ExtentY        =   397
         Caption         =   "Gravity field"
         ToolTip         =   "Gravity field of the planets (Ctrl+G)"
      End
      Begin Project.Check2 Compass 
         Height          =   225
         Left            =   225
         TabIndex        =   210
         Top             =   2475
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Compass"
         ToolTip         =   "Compass aligned with the reference plane (Ctrl+I)"
         ToolTip2        =   "Grid projected in the background and aligned with the reference plane (Alt+G)"
      End
      Begin Project.Check2 Comets 
         Height          =   225
         Left            =   225
         TabIndex        =   226
         Top             =   2175
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Comets"
         ToolTip         =   "Comets orbiting around the Sun (Ctrl+Z)"
         ToolTip2        =   "Labels of the comets"
      End
      Begin Project.Check Boundaries 
         Height          =   225
         Left            =   225
         TabIndex        =   232
         Top             =   1875
         Width           =   1425
         _ExtentX        =   2514
         _ExtentY        =   397
         Caption         =   "Boundaries"
         ToolTip         =   "Land and water boundaries of the countries and highly populated areas (Ctrl+N)"
      End
      Begin Project.Check Axes 
         Height          =   225
         Left            =   225
         TabIndex        =   47
         Top             =   1575
         Width           =   1050
         _ExtentX        =   1852
         _ExtentY        =   397
         Caption         =   "Axes"
         ToolTip         =   "Simulator and object 3D axes (Ctrl+A)"
      End
      Begin Project.Check2 Atmosphere 
         Height          =   225
         Left            =   225
         TabIndex        =   46
         Top             =   1275
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked         =   -1  'True
         Checked2        =   -1  'True
         Caption         =   "Atmosphere"
         ToolTip         =   "Earth atmosphere layers (Ctrl+D)"
         ToolTip2        =   "Earth and Mars atmosphere glow (Alt+D)"
      End
      Begin Project.Check2 Asteroids 
         Height          =   225
         Left            =   225
         TabIndex        =   209
         Top             =   975
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Asteroids"
         ToolTip         =   "Asteroids and minor planets orbiting around the Sun (Ctrl+X)"
         ToolTip2        =   "Labels of the asteroids and the minor planets"
      End
      Begin Project.Check2 Altimeter 
         Height          =   225
         Left            =   225
         TabIndex        =   45
         Top             =   675
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Caption         =   "Altimeter"
         ToolTip         =   "Auto-scaled altimeter (Ctrl+E)"
         ToolTip2        =   "Distance from the target as circles projected on the main plane (Alt+E)"
      End
      Begin Project.Check2 Airways 
         Height          =   225
         Left            =   225
         TabIndex        =   208
         Top             =   375
         Width           =   1875
         _ExtentX        =   3307
         _ExtentY        =   397
         Checked2        =   -1  'True
         Caption         =   "Airways"
         ToolTip         =   "Airspaces, airways, airports and seaports (Ctrl+W)"
         ToolTip2        =   "Labels the airspaces, airways, airports and seaports"
      End
      Begin Project.Check2 ToolsAll 
         Height          =   225
         Left            =   75
         TabIndex        =   44
         Top             =   75
         Width           =   2025
         _ExtentX        =   3572
         _ExtentY        =   397
         Checked         =   -1  'True
         Checked2        =   -1  'True
         Caption         =   "All tools"
         Caption2        =   "Labels"
         ToolTip         =   "Select or unselect all the render tools"
         ToolTip2        =   "Show or hide all the labels"
      End
      Begin VB.Label BarTools 
         BorderStyle     =   1  'Fixed Single
         Height          =   7125
         Left            =   2250
         TabIndex        =   91
         Top             =   75
         Width           =   45
      End
   End
   Begin Project.Button BtnOptions 
      Height          =   255
      Left            =   4125
      TabIndex        =   169
      Top             =   75
      Width           =   900
      _ExtentX        =   1588
      _ExtentY        =   450
      Caption         =   "Options"
      ToolTip         =   "Viewer options"
   End
   Begin Project.Button BtnScreen 
      Height          =   255
      Left            =   3150
      TabIndex        =   168
      Top             =   75
      Width           =   900
      _ExtentX        =   1588
      _ExtentY        =   450
      Caption         =   "Screen"
      ToolTip         =   "Render options"
   End
   Begin Project.Button BtnEvents 
      Height          =   255
      Left            =   2175
      TabIndex        =   167
      Top             =   75
      Width           =   900
      _ExtentX        =   1588
      _ExtentY        =   450
      Caption         =   "Events"
      ToolTip         =   "Events control"
   End
   Begin Project.Button BtnSimulation 
      Height          =   255
      Left            =   975
      TabIndex        =   166
      Top             =   75
      Width           =   1125
      _ExtentX        =   1984
      _ExtentY        =   450
      Caption         =   "Simulation"
      ToolTip         =   "Simulation options"
   End
   Begin Project.Button BtnTools 
      Height          =   255
      Left            =   75
      TabIndex        =   165
      Top             =   75
      Width           =   825
      _ExtentX        =   1455
      _ExtentY        =   450
      Caption         =   "Tools"
      ToolTip         =   "Render tools"
   End
End
Attribute VB_Name = "Options"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim NoResize As Boolean

Private Sub Form_Load()
    LoadButton ShowColor, "Color.ico": LoadButton VideoSettings, "Movie.ico"
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    End Sub

Sub Activate(Optional Frame As String)
    If Main.WindowState = vbMinimized Then Exit Sub
    If Frame <> "" Then
        If Frame <> Caption Then SelectTab Frame _
        Else If Visible Then GoTo IsHide
        If Visible Then Refresh: ZOrder Else GoTo IsShow
    ElseIf Not Visible Then
IsShow:
        Update True
        Show vbModeless, Main
    Else
IsHide:
        Hide
        End If
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyC, vbKeyH, vbKeyV, vbKeyX, vbKeyZ
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn
        If Shift Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Sub Form_Resize()
    If NoResize Or IsInit Then Exit Sub
    NoResize = True: Move Left, Top, _
        (Round((ScaleWidth - 3) / OptionsWidth) * OptionsWidth + 3 - ScaleWidth) * TwipX + Width, _
        (Round((ScaleHeight - 3) / OptionsHeight) * OptionsHeight + 3 - ScaleHeight) * TwipY + Height: _
    ResizeOptions: NoResize = False: If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub BtnTools_OnClick()
    SelectTab "Tools"
    End Sub

Private Sub BtnSimulation_OnClick()
    SelectTab "Simulation"
    End Sub

Private Sub BtnEvents_OnClick()
    SelectTab "Events"
    End Sub

Private Sub BtnScreen_OnClick()
    SelectTab "Screen"
    End Sub

Private Sub BtnOptions_OnClick()
    SelectTab "Options"
    End Sub

Sub SelectTab(Optional Frame As String)
    If Frame = "" Then Frame = Caption
    SelectButton Frame, TabTools, BtnTools
    SelectButton Frame, TabSimulation, BtnSimulation
    SelectButton Frame, TabEvents, BtnEvents
    SelectButton Frame, TabScreen, BtnScreen
    SelectButton Frame, TabOptions, BtnOptions
    End Sub

Private Sub SelectButton(Name As String, Frame As PictureBox, Button As Button)
    If Frame.Name <> "Tab" & Name Then Frame.Visible = False: Button.SetDefault False _
    Else Frame.Visible = True: Button.SetDefault: Caption = Name
    End Sub

Function SelectedTab() As String
    If TabTools.Visible Then SelectedTab = "Tools" _
    Else If TabSimulation.Visible Then SelectedTab = "Simulation" _
    Else If TabEvents.Visible Then SelectedTab = "Events" _
    Else If TabScreen.Visible Then SelectedTab = "Screen" _
    Else SelectedTab = "Options"
    End Function

Sub Update(Optional ByVal Force As Boolean)
    If Not Force And Not Visible Then Exit Sub
    UpdateTools True
    UpdateSimulation True
    UpdateEvents True
    UpdateScreen True
    UpdateOptions True
    End Sub

Sub UpdateTools(Optional ByVal Force As Boolean)
    If Not Force And Not Visible Then Exit Sub
    
    ToolsAll = Tool And Not ToolNone
    ToolsAll.Checked2 = ToolL And Not LabelNone
    Airways = Tool And ToolAirways
    Airways.Checked2 = ToolL And AirwaysLabels
    Altimeter = Tool And ToolAltimeter
    Altimeter.Checked2 = ToolX And ToolDistances
    Asteroids = Tool And ToolAsteroids
    Asteroids.Checked2 = ToolL And AsteroidsLabels
    Atmosphere = Tool And ToolAtmosphere
    Atmosphere.Checked2 = ToolX And ToolGlow
    Axes = Tool And ToolAxes
    Boundaries = ToolX And ToolBoundaries
    Comets = Tool And ToolComets
    Comets.Checked2 = ToolL And CometsLabels
    Compass = ToolX And ToolCompass
    Compass.Checked2 = ToolX And ToolCompassGrid
    GravityField = Tool And ToolGravity
    Grid = Tool And ToolGrid
    Launch = Tool And ToolLaunch
    Locations = Tool And ToolLocations
    Locations.Checked2 = ToolL And LocationsLabels
    MagneticField = Tool And ToolMagnetic
    Moons = Tool And ToolMoons
    Moons.Checked2 = ToolL And MoonsLabels
    Path = Tool And ToolPath
    Path.Checked2 = Tool And ToolSnap
    Planets = Tool And ToolPlanets
    Planets.Checked2 = ToolL And PlanetsLabels
    Report = Tool And ToolReport
    Satellites = Tool And ToolSatellites
    Satellites.Checked2 = ToolL And SatellitesLabels
    StageInfo = Tool And ToolStage
    Stars = Tool And ToolStars
    Stars.Checked2 = ToolL And StarsLabels
    Stations = Tool And ToolStations
    Stations.Checked2 = ToolL And StationsLabels
    Terrain = Tool And ToolTerrain
    Trajectory = Tool And ToolTrajectory
    Trajectory.Checked2 = ToolX And ToolGhosts

    Ranges = Tool And ToolRanges
    Altitude = ToolX And ToolOrbit
    Ionosphere = ToolX And ToolIonosphere
    Apsis = ToolX And ToolApsis
    BrakingDistance = ToolX And ToolBraking
    OrbitalPlane = ToolX And ToolPlane
    ObjectsOrbits = ToolX And ToolObjects
    PlanetsOrbits = ToolX And ToolOrbits

    Vectors = Tool And ToolVectors
    AirDragLift = ToolX And ToolAirDrag
    AltitudeReference = ToolX And ToolReference
    GroundProjection = ToolX And ToolAltitude
    GroundSpeed = ToolX And ToolGroundSpeed
    MagneticVector = ToolX And ToolMagneticLine
    NetGravity = ToolX And ToolNetGravity
    Speed = ToolX And ToolSpeed
    VerticalSpeed = ToolX And ToolVertSpeed

    Sensors = Tool And ToolSensor
    Crosshair = ToolX And ToolCrosshair
    Deviation = ToolX And ToolDeviation
    FOV = ToolX And ToolFOV
    FOV.Checked2 = ToolX And ToolFOVArea
    Labels = ToolX And ToolLabels
    Labels.Checked2 = ToolX And ToolFOVTime
    Trace = ToolX And ToolTrace
    End Sub

Sub UpdateSimulation(Optional ByVal Force As Boolean)
    If Not Force And Not Visible Then Exit Sub
    SimulationAll = GetSimulation
    Gravity.SelectItem GravityMode
    TerrainModel.SelectItem TerrainMode
    AtmosphericModel.SelectItem AtmMode
    AirspaceDetection = IsAirspaceDetection
    AreaDetection = IsAreaDetection
    AdaptiveStep = IsAdaptive
    AsteroidAlert = IsAsteroidProximity
    AtmosphereDrag = IsDrag
    AtmosphereLift = IsLift
    BalloonTrajectory = IsBalloonTrajectory
    EmptyStages = IsEmptyStages
    StationVisibility = IsStationVisibility
    HiDefDetection = IsHiDefDetection
    IspSeaLevel = IsThrustSL
    RealTime = IsRealTime
    SatelliteAlert = IsSatelliteProximity
    SolarWind = IsSolarWind
    PlanetShadow = IsSunShadow
    PlanetCollision = IsCollision
    Statistics = IsStatistics
    Wind = IsWind
    LaunchTrajectory = IsLaunchTrajectory
    LandingManeuver = IsLandingManeuver
    SatelliteControl = IsSatelliteControl
    LogToFile = LogOption And Sys.LogToFile
    LogDate = LogOption And Sys.LogDate
    LogTime = LogOption And Sys.LogTime
    LogCoordinates = LogOption And Sys.LogCoordinates
    LogCoordinates.Checked2 = LogOption And Sys.LogCoordinates3D
    LogAltitude = LogOption And Sys.LogAltitude
    LogAltitude.Checked2 = LogOption And Sys.LogGround
    LogDistance = LogOption And Sys.LogDistance
    LogDistance.Checked2 = LogOption And Sys.LogDistance3D
    LogSpeed = LogOption And Sys.LogSpeed
    LogSpeed.Checked2 = LogOption And Sys.LogSpeed3D
    LogAirSpeed = LogOption And Sys.LogAirSpeed
    LogAirSpeed.Checked2 = LogOption And Sys.LogAirSpeed3D
    LogThrust = LogOption And Sys.LogThrust
    LogAcceleration = LogOption And Sys.LogAcceleration
    LogAcceleration.Checked2 = LogOption And Sys.LogAcceleration3D
    LogInertial = LogOption And Sys.LogInertial
    LogInertial.Checked2 = LogOption And Sys.LogInertial3D
    LogAirDrag = LogOption And Sys.LogAirDrag
    LogAirDrag.Checked2 = LogOption And Sys.LogAirDrag3D
    LogGravity = LogOption And Sys.LogGravity
    LogGravity.Checked2 = LogOption And Sys.LogGravity3D
    LogMass = LogOption And Sys.LogMass
    LogTemperature = LogOption And Sys.LogTemperature
    LogStations = LogOption And Sys.LogStations
    LogAirspaces = LogOption And Sys.LogAirspaces
    End Sub

Sub UpdateEvents(Optional ByVal Force As Boolean)
    If Not Force And Not Visible Then Exit Sub
    LiftOff = Sys.LiftOff
    StageEnginesOn = Sys.StageEnginesOn
    StageEnginesOff = Sys.StageEnginesOff
    HoverEnginesOn = Sys.HoverEnginesOn
    HoverEnginesOff = Sys.HoverEnginesOff
    LastStageEnginesOff = Sys.LastStageEnginesOff
    SatelliteDeployed = Sys.SatelliteDeployed
    MoonTransfer = Sys.MoonTransfer
    StageAbort = Sys.StageAbort
    EarthSoundSpeed = Sys.EarthSoundSpeed
    EarthOrbitalSpeed = Sys.EarthOrbitalSpeed
    EarthEscapeSpeed = Sys.EarthEscapeSpeed
    MoonOrbitalSpeed = Sys.MoonOrbitalSpeed
    MoonEscapeSpeed = Sys.MoonEscapeSpeed
    MarsOrbitalSpeed = Sys.MarsOrbitalSpeed
    MarsEscapeSpeed = Sys.MarsEscapeSpeed
    Apogee = Sys.Apogee
    Perigee = Sys.Perigee
    Aposelene = Sys.Aposelene
    Periselene = Sys.Periselene
    Apoapsis = Sys.Apoapsis
    Periapsis = Sys.Periapsis
    ExitAtmosphere = Sys.ExitAtmosphere
    EnterAtmosphere = Sys.EnterAtmosphere
    ExitIonosphere = Sys.ExitIonosphere
    EnterIonosphere = Sys.EnterIonosphere
    EquidistantPoint = Sys.EquidistantPoint
    L1LagrangePoint = Sys.L1LagrangePoint
    MoonDistance = Sys.MoonDistance
    PlanetDistance = Sys.PlanetDistance
    PlanetApproach = Sys.PlanetApproach
    PlanetProximity = Sys.PlanetProximity
    PlanetFaraway = Sys.PlanetFaraway
    BrakingAltitude = Sys.BrakingAltitude
    StationAvailable = Sys.StationAvailable
    StationUnAvailable = Sys.StationUnAvailable
    SatelliteProximity = Sys.SatelliteProximity
    SatelliteFaraway = Sys.SatelliteFaraway
    AsteroidProximity = Sys.AsteroidProximity
    AsteroidFaraway = Sys.AsteroidFaraway
    EnterAirspace = Sys.EnterAirspace
    ExitAirspace = Sys.ExitAirspace
    LinkError = Sys.LinkError
    End Sub

Sub UpdateScreen(Optional ByVal Force As Boolean)
    If Not Force And Not Visible Then Exit Sub
    'ShowColor
    ColorTheme.SelectItem Color
    PanelsStyle.SelectItem Theme
    'SnapPanels
    MainBorder = GetWindowLong(Main.hWnd, -16) And &H400000
    UseOpenGL = Cam1.hRC
    'VerticalSync
    Antialiasing_Update
    'VideoSettings
    VideoFPS_Update
    VideoMode.SelectItem Sys.VideoMode
    CaptureMouse = Sys.CaptureMouse
    TileTextures_Update
    EarthTexture_Update
    PlanetTextures = Tool And ToolTextures
    TextTextures = FontTextures
    SmoothLines = Tool And ToolSmooth
    HiddenPoints = Tool And ToolPoints
    HiddenLines = Tool And ToolHidden
    PathPoints = Tool And ToolPathAll
    TimePoints = Tool And ToolTime
    InfoLabel = Tool And ToolInfo
    ShowErrors = Sys.ShowErrors
    HideCursor = Sys.HideCursor
    ToolTipDelay_Update
    
    'ViewerMode
    MainPlane.SelectItem Plane
    Units.SelectItem -Sys.Units
    Coordinates.SelectItem Degrees
    AbsoulteTemp = Not RelativeTemp
    RelativeSpeed = Not SpeedInfo
    RelativeTime = Stimated
    GeoidAltitude = Not AltitudeInfo
    MagneticMoment = Sys.MagneticMoment
    AtmPressure = Sys.AtmPressure
    LogSeparator = LogOption And Sys.LogSeparator
    CameraMove = AxesMove Xor 6
    CameraRotate = AxesRotate Xor 6
    CameraZoom = IfInt(AxesZoom, 4, 0) Xor 6
    SunShadow_Update
    ShipScale_Update
    ShowIcons = Sys.ShowIcons Xor 6
    End Sub

Sub UpdateOptions(Optional ByVal Force As Boolean)
    If Not Force And Not Visible Then Exit Sub
    SnapTime_Update
    PathTime_Update
    GraphTime_Update
    TerrainQuality.SelectItem Sys.TerrainQuality
    TerrainScale_Update
    GridStep_Update
    Layer.SelectItem AtmLayer + 4 + (AtmLayer < 0)
    LayerTemp = AtmStyle And 1
    LayerHumidity = AtmStyle And 2
    LayerClouds = AtmStyle And 4
    LayerWind = AtmStyle And 8
    LayerWindVector = AtmStyle And &H10&
    LayerWindVector.Checked2 = AtmStyle And &H1000&
    AirspaceZone.SelectItem AirspaceZoneP + 1
    AirspaceGroup.SelectItem AirspaceGroupP + 1
    'AirspaceArea.SelectItem AirspaceP + 1
    Airspaces = Sys.Layers And LayersAirspaces
    Airspaces.Checked2 = Sys.Layers And AirspacesLabels
    Airports = Sys.Layers And LayersAirports
    Airports.Checked2 = Sys.Layers And AirportsLabels
    LowerAirways = Sys.Layers And LayersLower
    LowerAirways.Checked2 = Sys.Layers And LowerLabels
    RNAVRoutes = Sys.Layers And LayersRNAV
    RNAVRoutes.Checked2 = Sys.Layers And RNAVLabels
    Seaports = Sys.Layers And LayersSeaports
    Seaports.Checked2 = Sys.Layers And SeaportsLabels
    LandLimits = Sys.Layers And LayersLand
    SeaLimits = Sys.Layers And LayersSea
    PopulatedAreas = Sys.Layers And LayersAreas
    Cities = Sys.Layers And LayersCities
    Cities.Checked2 = Sys.Layers And CitiesLabels
    Places = Sys.Layers And LayersPlaces
    Places.Checked2 = Sys.Layers And PlacesLabels
    
    Station.SelectItem StationP
    StationAngle_Update
    'Sensor
    'Lens
    Satellite.SelectItem SatelliteP
    SatelliteDist_Update
    Asteroid.SelectItem AsteroidP
    AsteroidDist_Update
    AsteroidDensity.SelectItem Sys.AsteroidDensity
    StarDensity_Update
    GravityDisk = Sys.GravityField And 1
    GravityZone = Sys.GravityField And 2
    GravityGrid = Sys.GravityField And 4
    GravityVector = Sys.GravityField And 8
    MagneticLines = Sys.GravityField And &H20&
    MagneticPlanes = Sys.GravityField And &H40&
    MagneticVectors = Sys.GravityField And &H10&
    FieldDistance.SelectBool Sys.GravityField And &H100&
    FieldDensity.SelectBool Sys.GravityField And &H200&
    FieldScale_Update
    LabelsDensity.SelectItem -((Sys.Layers And LayersDensity) <> 0)
    LinesDefinition.SelectItem -((Sys.Layers And LayersDefinition) <> 0)
    AirwaysAltitude = Sys.Layers And LayersAltitude
    End Sub

'___Tools______________________________________________________________________

Private Sub ToolsAll_Click()
    SetTool , ToolsAll
    End Sub

Private Sub ToolsAll_Click2()
    SetToolL , ToolsAll.Checked2
    End Sub

Private Sub Airways_Click()
    SetTool ToolAirways, Airways
    End Sub

Private Sub Airways_Click2()
    SetToolL AirwaysLabels, Airways.Checked2
    End Sub

Private Sub Altimeter_Click()
    SetTool ToolAltimeter, Altimeter
    End Sub

Private Sub Altimeter_Click2()
    SetToolX ToolDistances, Altimeter.Checked2
    End Sub

Private Sub Asteroids_Click()
    SetTool ToolAsteroids, Asteroids
    End Sub

Private Sub Asteroids_Click2()
    SetToolL AsteroidsLabels, Asteroids.Checked2
    End Sub

Private Sub Atmosphere_Click()
    SetTool ToolAtmosphere, Atmosphere
    End Sub

Private Sub Atmosphere_Click2()
    SetToolX ToolGlow, Atmosphere.Checked2
    End Sub

Private Sub Axes_Click()
    SetTool ToolAxes, Axes
    End Sub

Private Sub Boundaries_Click()
    SetToolX ToolBoundaries, Boundaries.Checked
    End Sub

Private Sub Comets_Click()
    SetTool ToolComets, Comets
    End Sub

Private Sub Comets_Click2()
    SetToolL CometsLabels, Comets.Checked2
    End Sub

Private Sub Compass_Click()
    SetToolX ToolCompass, Compass
    End Sub

Private Sub Compass_Click2()
    SetToolX ToolCompassGrid, Compass.Checked2
    End Sub

Private Sub GravityField_Click()
    SetTool ToolGravity, GravityField
    End Sub

Private Sub Grid_Click()
    SetTool ToolGrid, Grid
    End Sub

Private Sub Launch_Click()
    SetTool ToolLaunch, Launch
    End Sub

Private Sub Locations_Click()
    SetTool ToolLocations, Locations
    End Sub

Private Sub Locations_Click2()
    SetToolL LocationsLabels, Locations.Checked2
    End Sub

Private Sub MagneticField_Click()
    SetTool ToolMagnetic, MagneticField
    End Sub

Private Sub Moons_Click()
    SetTool ToolMoons, Moons
    End Sub

Private Sub Moons_Click2()
    SetToolL MoonsLabels, Moons.Checked2
    End Sub

Private Sub Path_Click()
    SetTool ToolPath, Path
    End Sub

Private Sub Path_Click2()
    SetTool ToolSnap, Path.Checked2
    End Sub

Private Sub Planets_Click()
    SetTool ToolPlanets, Planets
    End Sub

Private Sub Planets_Click2()
    SetToolL PlanetsLabels, Planets.Checked2
    End Sub

Private Sub Report_Click()
    SetTool ToolReport, Report
    End Sub

Private Sub Satellites_Click()
    SetTool ToolSatellites, Satellites
    End Sub

Private Sub Satellites_Click2()
    SetToolL SatellitesLabels, Satellites.Checked2
    End Sub

Private Sub StageInfo_Click()
    SetTool ToolStage, StageInfo
    End Sub

Private Sub Stars_Click()
    SetTool ToolStars, Stars
    End Sub

Private Sub Stars_Click2()
    SetToolL StarsLabels, Stars.Checked2
    End Sub

Private Sub Stations_Click()
    SetTool ToolStations, Stations
    End Sub

Private Sub Stations_Click2()
    SetToolL StationsLabels, Stations.Checked2
    End Sub

Private Sub Terrain_Click()
    SetTool ToolTerrain, Terrain
    End Sub

Private Sub Trajectory_Click()
    SetTool ToolTrajectory, Trajectory
    End Sub

Private Sub Trajectory_Click2()
    SetToolX ToolGhosts, Trajectory.Checked2
    End Sub

'___Tools_Ranges_______________________________________________________________

Private Sub Ranges_Click()
    SetTool ToolRanges, Ranges
    End Sub

Private Sub Altitude_Click()
    SetToolX ToolOrbit, Altitude
    End Sub

Private Sub Ionosphere_Click()
    SetToolX ToolIonosphere, Ionosphere
    End Sub

Private Sub Apsis_Click()
    SetToolX ToolApsis, Apsis
    End Sub

Private Sub BrakingDistance_Click()
    SetToolX ToolBraking, BrakingDistance
    End Sub

Private Sub OrbitalPlane_Click()
    SetToolX ToolPlane, OrbitalPlane
    End Sub

Private Sub ObjectsOrbits_Click()
    SetToolX ToolObjects, ObjectsOrbits
    End Sub

Private Sub PlanetsOrbits_Click()
    SetToolX ToolOrbits, PlanetsOrbits
    End Sub

'___Tools_Vectors______________________________________________________________

Private Sub Vectors_Click()
    SetTool ToolVectors, Vectors
    End Sub

Private Sub AirDragLift_Click()
    SetToolX ToolAirDrag, AirDragLift
    End Sub

Private Sub AltitudeReference_Click()
    SetToolX ToolReference, AltitudeReference
    End Sub

Private Sub GroundProjection_Click()
    SetToolX ToolAltitude, GroundProjection
    End Sub

Private Sub GroundSpeed_Click()
    SetToolX ToolGroundSpeed, GroundSpeed
    End Sub

Private Sub MagneticVector_Click()
    SetToolX ToolMagneticLine, MagneticVector
    End Sub

Private Sub NetGravity_Click()
    SetToolX ToolNetGravity, NetGravity
    End Sub

Private Sub Speed_Click()
    SetToolX ToolSpeed, Speed
    End Sub

Private Sub VerticalSpeed_Click()
    SetToolX ToolVertSpeed, VerticalSpeed
    End Sub

'___Tools_Sensor_______________________________________________________________

Private Sub Sensors_Click()
    SetTool ToolSensor, Sensors
    End Sub

Private Sub Crosshair_Click()
    SetToolX ToolCrosshair, Crosshair
    End Sub

Private Sub Deviation_Click()
    SetToolX ToolDeviation, Deviation
    End Sub

Private Sub FOV_Click()
    SetToolX ToolFOV, FOV
    End Sub

Private Sub FOV_Click2()
    SetToolX ToolFOVArea, FOV.Checked2
    End Sub

Private Sub Labels_Click()
    SetToolX ToolLabels, Labels
    End Sub

Private Sub Labels_Click2()
    SetToolX ToolFOVTime, Labels.Checked2
    End Sub

Private Sub Trace_Click()
    SetToolX ToolTrace, Trace
    End Sub

'___Simulation_________________________________________________________________

Private Sub SimulationAll_Click()
    SetSimulation SimulationAll
    End Sub

Private Sub Gravity_Click(Item As Integer)
    SetGravityMode Item
    End Sub

Private Sub TerrainModel_Click(Item As Integer)
    SetTerrainMode Item
    End Sub

Private Sub AtmosphericModel_Click(Item As Integer)
    SetAtmMode Item, True
    End Sub

Private Sub AirspaceDetection_Click()
    SetAirspaceDetection AirspaceDetection
    End Sub

Private Sub AreaDetection_Click()
    IsAreaDetection = AreaDetection
    End Sub

Private Sub AdaptiveStep_Click()
    IsAdaptive = AdaptiveStep
    End Sub

Private Sub AsteroidAlert_Click()
    IsAsteroidProximity = AsteroidAlert: If Play = Paused Then Render: Info
    End Sub

Private Sub AtmosphereDrag_Click()
    IsDrag = AtmosphereDrag
    End Sub

Private Sub AtmosphereLift_Click()
    IsLift = AtmosphereLift
    End Sub

Private Sub BalloonTrajectory_Click()
    IsBalloonTrajectory = BalloonTrajectory
    If Play = Paused And T = 0 Then Nav Reset
    End Sub

Private Sub EmptyStages_Click()
    IsEmptyStages = EmptyStages
    If Play = Paused Then Render
    End Sub

Private Sub StationVisibility_Click()
    IsStationVisibility = StationVisibility
    End Sub

Private Sub HiDefDetection_Click()
    IsHiDefDetection = HiDefDetection
    End Sub

Private Sub IspSeaLevel_Click()
    IsThrustSL = IspSeaLevel
    End Sub

Private Sub RealTime_Click()
    IsRealTime = RealTime: If IsRealTime Then Play = Paused
    End Sub

Private Sub SatelliteAlert_Click()
    IsSatelliteProximity = SatelliteAlert: If Play = Paused Then Render: Info
    End Sub

Private Sub SolarWind_Click()
    IsSolarWind = SolarWind
    End Sub

Private Sub PlanetShadow_Click()
    IsSunShadow = PlanetShadow: If Play = Paused Then Stats: Render: Info
    End Sub

Private Sub PlanetCollision_Click()
    IsCollision = PlanetCollision
    End Sub

Private Sub Statistics_Click()
    IsStatistics = Statistics
    End Sub

Private Sub Wind_Click()
    IsWind = Wind
    End Sub

Private Sub LaunchTrajectory_Click()
    IsLaunchTrajectory = LaunchTrajectory
    End Sub

Private Sub LandingManeuver_Click()
    IsLandingManeuver = LandingManeuver
    End Sub

Private Sub SatelliteControl_Click()
    IsSatelliteControl = SatelliteControl
    End Sub

Private Sub LogToFile_Click()
    SetMask LogOption, LogToFile, Sys.LogToFile
    End Sub

Private Sub LogDate_Click()
    SetMask LogOption, LogDate, Sys.LogDate
    End Sub

Private Sub LogTime_Click()
    SetMask LogOption, LogTime, Sys.LogTime
    End Sub

Private Sub LogCoordinates_Click()
    SetMask LogOption, LogCoordinates, Sys.LogCoordinates
    End Sub

Private Sub LogCoordinates_Click2()
    SetMask LogOption, LogCoordinates.Checked2, Sys.LogCoordinates3D
    End Sub

Private Sub LogAltitude_Click()
    SetMask LogOption, LogAltitude, Sys.LogAltitude
    End Sub

Private Sub LogAltitude_Click2()
    SetMask LogOption, LogAltitude.Checked2, Sys.LogGround
    End Sub

Private Sub LogDistance_Click()
    SetMask LogOption, LogDistance, Sys.LogDistance
    End Sub

Private Sub LogDistance_Click2()
    SetMask LogOption, LogDistance.Checked2, Sys.LogDistance3D
    End Sub

Private Sub LogSpeed_Click()
    SetMask LogOption, LogSpeed, Sys.LogSpeed
    End Sub

Private Sub LogSpeed_Click2()
    SetMask LogOption, LogSpeed.Checked2, Sys.LogSpeed3D
    End Sub

Private Sub LogAirSpeed_Click()
    SetMask LogOption, LogAirSpeed, Sys.LogAirSpeed
    End Sub

Private Sub LogAirSpeed_Click2()
    SetMask LogOption, LogAirSpeed.Checked2, Sys.LogAirSpeed3D
    End Sub

Private Sub LogThrust_Click()
    SetMask LogOption, LogThrust, Sys.LogThrust
    End Sub

Private Sub LogAcceleration_Click()
    SetMask LogOption, LogAcceleration, Sys.LogAcceleration
    End Sub

Private Sub LogAcceleration_Click2()
    SetMask LogOption, LogAcceleration.Checked2, Sys.LogAcceleration3D
    End Sub

Private Sub LogInertial_Click()
    SetMask LogOption, LogInertial, Sys.LogInertial
    End Sub

Private Sub LogInertial_Click2()
    SetMask LogOption, LogInertial.Checked2, Sys.LogInertial3D
    End Sub

Private Sub LogAirDrag_Click()
    SetMask LogOption, LogAirDrag, Sys.LogAirDrag
    End Sub

Private Sub LogAirDrag_Click2()
    SetMask LogOption, LogAirDrag.Checked2, Sys.LogAirDrag3D
    End Sub

Private Sub LogGravity_Click()
    SetMask LogOption, LogGravity, Sys.LogGravity
    End Sub

Private Sub LogGravity_Click2()
    SetMask LogOption, LogGravity.Checked2, Sys.LogGravity3D
    End Sub

Private Sub LogMass_Click()
    SetMask LogOption, LogMass, Sys.LogMass
    End Sub

Private Sub LogTemperature_Click()
    SetMask LogOption, LogTemperature, Sys.LogTemperature
    End Sub

Private Sub LogStations_Click()
    SetMask LogOption, LogStations, Sys.LogStations
    End Sub

Private Sub LogAirspaces_Click()
    SetMask LogOption, LogAirspaces, Sys.LogAirspaces
    End Sub

'___Events_____________________________________________________________________

Private Sub EventsAll_Click(Item As Integer)
    Select Case Item
    Case 1: SetEvents EventsAll And 1, 1, False: SetEvents EventsAll And 8, 8
    Case 2: SetEvents EventsAll And 2, 2
    Case 3: SetEvents EventsAll And 4, 4
    'Case 4: SetEvents EventsAll And 8, 8
        End Select
    End Sub

Private Sub LiftOff_Click(Item As Integer)
    Sys.LiftOff = LiftOff
    End Sub

Private Sub StageEnginesOn_Click(Item As Integer)
    Sys.StageEnginesOn = StageEnginesOn
    End Sub

Private Sub StageEnginesOff_Click(Item As Integer)
    Sys.StageEnginesOff = StageEnginesOff
    End Sub

Private Sub HoverEnginesOn_Click(Item As Integer)
    Sys.HoverEnginesOn = HoverEnginesOn
    End Sub

Private Sub HoverEnginesOff_Click(Item As Integer)
    Sys.HoverEnginesOff = HoverEnginesOff
    End Sub

Private Sub LastStageEnginesOff_Click(Item As Integer)
    Sys.LastStageEnginesOff = LastStageEnginesOff
    End Sub

Private Sub SatelliteDeployed_Click(Item As Integer)
    Sys.SatelliteDeployed = SatelliteDeployed
    End Sub

Private Sub MoonTransfer_Click(Item As Integer)
    Sys.MoonTransfer = MoonTransfer
    End Sub

Private Sub StageAbort_Click(Item As Integer)
    Sys.StageAbort = StageAbort
    End Sub

Private Sub EarthSoundSpeed_Click(Item As Integer)
    Sys.EarthSoundSpeed = EarthSoundSpeed
    End Sub

Private Sub EarthOrbitalSpeed_Click(Item As Integer)
    Sys.EarthOrbitalSpeed = EarthOrbitalSpeed
    End Sub

Private Sub EarthEscapeSpeed_Click(Item As Integer)
    Sys.EarthEscapeSpeed = EarthEscapeSpeed
    End Sub

Private Sub MoonOrbitalSpeed_Click(Item As Integer)
    Sys.MoonOrbitalSpeed = MoonOrbitalSpeed
    End Sub

Private Sub MoonEscapeSpeed_Click(Item As Integer)
    Sys.MoonEscapeSpeed = MoonEscapeSpeed
    End Sub

Private Sub MarsOrbitalSpeed_Click(Item As Integer)
    Sys.MarsOrbitalSpeed = MarsOrbitalSpeed
    End Sub

Private Sub MarsEscapeSpeed_Click(Item As Integer)
    Sys.MarsEscapeSpeed = MarsEscapeSpeed
    End Sub

Private Sub Apogee_Click(Item As Integer)
    Sys.Apogee = Apogee
    End Sub

Private Sub Perigee_Click(Item As Integer)
    Sys.Perigee = Perigee
    End Sub

Private Sub Aposelene_Click(Item As Integer)
    Sys.Aposelene = Aposelene
    End Sub

Private Sub Periselene_Click(Item As Integer)
    Sys.Periselene = Periselene
    End Sub

Private Sub Apoapsis_Click(Item As Integer)
    Sys.Apoapsis = Apoapsis
    End Sub

Private Sub Periapsis_Click(Item As Integer)
    Sys.Periapsis = Periapsis
    End Sub

Private Sub ExitAtmosphere_Click(Item As Integer)
    Sys.ExitAtmosphere = ExitAtmosphere
    End Sub

Private Sub EnterAtmosphere_Click(Item As Integer)
    Sys.EnterAtmosphere = EnterAtmosphere
    End Sub

Private Sub ExitIonosphere_Click(Item As Integer)
    Sys.ExitIonosphere = ExitIonosphere
    End Sub

Private Sub EnterIonosphere_Click(Item As Integer)
    Sys.EnterIonosphere = EnterIonosphere
    End Sub

Private Sub EquidistantPoint_Click(Item As Integer)
    Sys.EquidistantPoint = EquidistantPoint
    End Sub

Private Sub L1LagrangePoint_Click(Item As Integer)
    Sys.L1LagrangePoint = L1LagrangePoint
    End Sub

Private Sub MoonDistance_Click(Item As Integer)
    Sys.MoonDistance = MoonDistance
    End Sub

Private Sub PlanetDistance_Click(Item As Integer)
    Sys.PlanetDistance = PlanetDistance
    End Sub

Private Sub PlanetApproach_Click(Item As Integer)
    Sys.PlanetApproach = PlanetApproach
    End Sub

Private Sub PlanetProximity_Click(Item As Integer)
    Sys.PlanetProximity = PlanetProximity
    End Sub

Private Sub PlanetFaraway_Click(Item As Integer)
    Sys.PlanetFaraway = PlanetFaraway
    End Sub

Private Sub BrakingAltitude_Click(Item As Integer)
    Sys.BrakingAltitude = BrakingAltitude
    End Sub

Private Sub StationAvailable_Click(Item As Integer)
    Sys.StationAvailable = StationAvailable
    End Sub

Private Sub StationUnAvailable_Click(Item As Integer)
    Sys.StationUnAvailable = StationUnAvailable
    End Sub

Private Sub SatelliteProximity_Click(Item As Integer)
    Sys.SatelliteProximity = SatelliteProximity
    End Sub

Private Sub SatelliteFaraway_Click(Item As Integer)
    Sys.SatelliteFaraway = SatelliteFaraway
    End Sub

Private Sub AsteroidProximity_Click(Item As Integer)
    Sys.AsteroidProximity = AsteroidProximity
    End Sub

Private Sub AsteroidFaraway_Click(Item As Integer)
    Sys.AsteroidFaraway = AsteroidFaraway
    End Sub

Private Sub EnterAirspace_Click(Item As Integer)
    Sys.EnterAirspace = EnterAirspace
    End Sub

Private Sub ExitAirspace_Click(Item As Integer)
    Sys.ExitAirspace = ExitAirspace
    End Sub

Private Sub LinkError_Click(Item As Integer)
    Sys.LinkError = LinkError
    End Sub

'___Screen_____________________________________________________________________

Private Sub ShowColor_Click()
    Colors.Activate
    End Sub

Private Sub ColorTheme_Click(Item As Integer)
    Sys.ColorTheme Item, True
    End Sub

Private Sub PanelsStyle_Click(Item As Integer)
    Sys.PanelsStyle Item
    End Sub

Private Sub SnapPanels_Click()
    If SnapPanels Then ResizeMain
    End Sub

Private Sub MainBorder_Click()
    Border Main, , MainBorder
    End Sub

Private Sub UseOpenGL_Click()
    If UseOpenGL Then UseOpenGL = InitOpenGL Else CleanUpOpenGL
    If Play = Paused Then Render
    End Sub

Private Sub VerticalSync_Click()
    If Cam1.hRC Then wglSwapIntervalEXT -VerticalSync
    End Sub

Private Sub Antialiasing_Click(Item As Integer)
    Dim X As Long
    X = Val(Mid(Antialiasing, 3)): If Antialias <> X Then Antialias = X Else Exit Sub
    If Cam1.hRC Then PostMessage Main.hWnd, &H100&, Settings: DoEvents
    End Sub

Private Sub Antialiasing_Update()
    Antialiasing = IIf(Antialias = 0, "Disabled", "x " & Antialias)
    End Sub

Private Sub VideoSettings_Click()
    RecordVideo Settings
    End Sub

Private Sub VideoFPS_Click(Item As Integer)
    VideoHdr.dwRate = Val(VideoFPS)
    End Sub

Private Sub VideoFPS_Update()
    VideoFPS = VideoHdr.dwRate & " fps"
    End Sub

Private Sub VideoMode_Click(Item As Integer)
    SetVideoMode Item, False
    End Sub

Private Sub CaptureMouse_Click()
    Sys.CaptureMouse = CaptureMouse
    End Sub

Private Sub TileTextures_Click(Item As Integer)
    Tiles = Choose(Item, 1, 2, 4): DeleteTextures: LoadTextures: If Play = Paused Then Render
    End Sub

Private Sub TileTextures_Update()
    TileTextures.SelectItem Find(Tiles, 1, 2, 4)
    End Sub

Private Sub EarthTexture_Click(Item As Integer)
    Dim S As String
    S = EarthTexture: S = IIf(S = "Default", "", S): If Sys.EarthTexture = S Then Exit Sub
    Sys.EarthTexture = S: If Cam1.hRC Then DeleteList LandList: DeleteList LandFlatList
    If Tool And ToolTextures Then UpdateTexture "Earth", Earth Else If Play = Paused Then Render
    End Sub

Private Sub EarthTexture_Update()
    EarthTexture = IIf(Sys.EarthTexture = "", "Default", Sys.EarthTexture)
    End Sub

Private Sub PlanetTextures_Click()
    SetTool ToolTextures, PlanetTextures
    End Sub

Private Sub TextTextures_Click()
    FontTextures = TextTextures: UpdateTextFonts
    End Sub

Private Sub SmoothLines_Click()
    SetTool ToolSmooth, SmoothLines
    End Sub

Private Sub HiddenPoints_Click()
    SetTool ToolPoints, HiddenPoints
    End Sub

Private Sub HiddenLines_Click()
    SetTool ToolHidden, HiddenLines
    End Sub

Private Sub PathPoints_Click()
    SetTool ToolPathAll, PathPoints
    End Sub

Private Sub TimePoints_Click()
    SetTool ToolTime, TimePoints
    End Sub

Private Sub InfoLabel_Click()
    SetTool ToolInfo, InfoLabel
    End Sub

Private Sub ShowErrors_Click()
    Sys.ShowErrors = ShowErrors
    End Sub

Private Sub HideCursor_Click()
    Sys.HideCursor = HideCursor: If SelectedType Then _
        If Sys.HideCursor Then IsCursor = True: Main.Cursor = False: Main.Cursor = True _
        Else If Play = Paused Then Render
    End Sub

Private Sub ToolTipDelay_Click(Item As Integer)
    TipDelay = LimitDbl(ValTime(ToolTipDelay), 0, 60): ToolTipDelay_Update
    End Sub

Private Sub ToolTipDelay_Update()
    If TipDelay <= 0 Then ToolTipDelay = "Disabled" Else ToolTipDelay = ToHms(TipDelay, "", True)
    End Sub

Private Sub ViewerMode_Click(Item As Integer)
    Viewer ViewerMode
    End Sub

Private Sub MainPlane_Click(Item As Integer)
    Plane = Item: If Play = Paused Then Render
    End Sub

Private Sub Units_Click(Item As Integer)
    Sys.Units = Item
    If Play = Paused Then If T = 0 Then Init Else Render: Info: Plot , 1
    If WaypointN Then Map.UpdateMap True
    Burn.UpdateMaterials: Burn.Update BurnModeLog
    End Sub

Private Sub Coordinates_Click(Item As Integer)
    Degrees = Item: If Play = Paused Then Render: Info
    If MapMode Then Map.InfoSize: If Not MapFollow Then Map.UpdateInfo
    End Sub

Private Sub AbsoulteTemp_Click()
    RelativeTemp = Not AbsoulteTemp: If Play = Paused Then Render: Info: Plot , 1
    End Sub

Private Sub RelativeSpeed_Click()
    SpeedInfo = Not RelativeSpeed: If Play = Paused Then Render
    End Sub

Private Sub RelativeTime_Click()
    Stimated = RelativeTime: If Play = Paused Then Render
    End Sub

Private Sub GeoidAltitude_Click()
    AltitudeInfo = Not GeoidAltitude: If Play = Paused Then Render: Info
    End Sub

Private Sub MagneticMoment_Click()
    Sys.MagneticMoment = MagneticMoment: If Play = Paused Then Render: Info
    End Sub

Private Sub AtmPressure_Click()
    Sys.AtmPressure = AtmPressure: Burn.Update BurnModeLog
    End Sub

Private Sub LogSeparator_Click()
    SetMask LogOption, LogSeparator, Sys.LogSeparator
    End Sub

Private Sub CameraMove_Click(Item As Integer)
    AxesMove = AxesMove Xor (2 ^ (Item - 1))
    End Sub

Private Sub CameraRotate_Click(Item As Integer)
    AxesRotate = AxesRotate Xor (2 ^ (Item - 1))
    End Sub

Private Sub CameraZoom_Click(Item As Integer)
    If Item = 3 Then AxesZoom = Not AxesZoom
    End Sub

Private Sub SunShadow_Click(Item As Integer)
    Sys.SunShadow = Choose(Item, -0.1, 0, 0.3, 0.6, 2): _
    RenderModels: RenderGraphs: If Play = Paused Then Render
    End Sub

Private Sub SunShadow_Update()
    SunShadow.SelectItem Find(Sys.SunShadow, -0.1, 0, 0.3, 0.6, 2)
    End Sub

Private Sub ShipScale_Click(Item As Integer)
    ShipSize = ValRatio(ShipScale): If Play = Paused Then Render
    End Sub

Private Sub ShipScale_Update()
    ShipScale = ToRatio(ShipSize)
    End Sub

Private Sub ShowIcons_Click(Item As Integer)
    Sys.ShowIcons = Sys.ShowIcons Xor (2 ^ (Item - 1)): If Play = Paused Then Render
    End Sub

'___Options____________________________________________________________________

Private Sub SnapTime_Click(Item As Integer)
    Sys.SnapTime = Round(ValTime(SnapTime))
    If Sys.SnapTime < Sys.PathTime Then Sys.PathTime = Sys.SnapTime: PathTime_Update
    End Sub

Private Sub SnapTime_Update()
    SnapTime = ToHms(Sys.SnapTime)
    End Sub

Private Sub PathTime_Click(Item As Integer)
    Sys.PathTime = Round(ValTime(PathTime))
    If Sys.PathTime > Sys.SnapTime Then Sys.SnapTime = Sys.PathTime: SnapTime_Update
    End Sub

Private Sub PathTime_Update()
    PathTime = ToHms(Sys.PathTime)
    End Sub

Private Sub GraphTime_Click(Item As Integer)
    RedimGraph Round(ValTime(GraphTime)) + 1
    End Sub

Private Sub GraphTime_Update()
    GraphTime = ToHms(GraphicMax - 1)
    End Sub

Private Sub TerrainQuality_Click(Item As Integer)
    Sys.TerrainQuality = Item: If Play = Paused Then Render
    End Sub

Private Sub TerrainScale_Click(Item As Integer)
    Sys.TerrainScale = ValRatio(TerrainScale)
    If TerrainMode = 2 And T = 0 Then Init Else If Play = Paused Then Stats: Render: Info
    End Sub

Private Sub TerrainScale_Update()
    TerrainScale = ToRatio(Sys.TerrainScale)
    End Sub

Private Sub GridStep_Click(Item As Integer)
    Sys.Grid = Round(Val(GridStep))
    If Cam1.hRC Then DeletePlanets
    If Play = Paused Then Render
    End Sub

Private Sub GridStep_Update()
    GridStep = Sys.Grid & ""
    End Sub

Private Sub Layer_Init()
    Dim C As Long, H As Double, T As String
    T = "All layers|Current|Default": If AtmN > 0 Then T = T & "|" Else GoTo Nxt
    For C = 0 To AtmN
        If C Then T = T & "|" & AtmP(C) & " mb" & vbTab Else T = T & "|Surface" & vbTab
        H = AtmC(C): If Sys.Units Then _
            H = RoundEx(H / Foot, 100): T = T & Format(H, FZero) & " ft" _
        Else H = RoundEx(H, 25): If H < 1000 Then T = T & Format(H, FZero) & " m" _
            Else T = T & NumX(H / 1000, FOne) & " km"
        Next
Nxt:
    Layer.List = T
    End Sub

Private Sub Layer_Click(Item As Integer)
    AtmLayer = Item - 4 - (Item < 3): SetAtmStyle
    End Sub

Private Sub LayerTemp_Click()
    SetAtmStyle 1
    End Sub

Private Sub LayerHumidity_Click()
    SetAtmStyle 2
    End Sub

Private Sub LayerClouds_Click()
    SetAtmStyle 4
    End Sub

Private Sub LayerWind_Click()
    SetAtmStyle 8
    End Sub

Private Sub LayerWindVector_Click()
    SetAtmStyle &H10&
    End Sub

Private Sub LayerWindVector_Click2()
    SetAtmStyle &H1000&
    End Sub

Private Sub AirspaceZone_Click(Item As Integer)
    SetAirspaceZone Item - 1
    End Sub

Private Sub AirspaceGroup_Click(Item As Integer)
    SetAirspaceZone , Item - 1
    End Sub

'Private Sub AirspaceArea_Click(Item As Integer)
'    SetAirspaceZone , , Item - 1
'    End Sub

Private Sub Airspaces_Click()
    SetLayersMode LayersAirspaces, Airspaces
    End Sub

Private Sub Airspaces_Click2()
    SetLayersMode AirspacesLabels, Airspaces.Checked2
    End Sub

Private Sub Airports_Click()
    SetLayersMode LayersAirports, Airports
    End Sub

Private Sub Airports_Click2()
    SetLayersMode AirportsLabels, Airports.Checked2
    End Sub

Private Sub LowerAirways_Click()
    SetLayersMode LayersLower, LowerAirways
    End Sub

Private Sub LowerAirways_Click2()
    SetLayersMode LowerLabels, LowerAirways.Checked2
    End Sub

Private Sub RNAVRoutes_Click()
    SetLayersMode LayersRNAV, RNAVRoutes
    End Sub

Private Sub RNAVRoutes_Click2()
    SetLayersMode RNAVLabels, RNAVRoutes.Checked2
    End Sub

Private Sub Seaports_Click()
    SetLayersMode LayersSeaports, Seaports
    End Sub

Private Sub Seaports_Click2()
    SetLayersMode SeaportsLabels, Seaports.Checked2
    End Sub

Private Sub LandLimits_Click()
    SetLayersMode LayersLand, LandLimits
    End Sub

Private Sub SeaLimits_Click()
    SetLayersMode LayersSea, SeaLimits
    End Sub

Private Sub PopulatedAreas_Click()
    SetLayersMode LayersAreas, PopulatedAreas
    End Sub

Private Sub Cities_Click()
    SetLayersMode LayersCities, Cities
    End Sub

Private Sub Cities_Click2()
    SetLayersMode CitiesLabels, Cities.Checked2
    End Sub

Private Sub Places_Click()
    SetLayersMode LayersPlaces, Places
    End Sub

Private Sub Places_Click2()
    SetLayersMode PlacesLabels, Places.Checked2
    End Sub

Private Sub Station_Click(Item As Integer)
    SetStation Item: If Play = Paused Then Render
    End Sub

Private Sub StationAngle_Click(Item As Integer)
    Sys.StationAngle = Val(StationAngle) * Rad: If Play = Paused Then Render
    End Sub

Private Sub StationAngle_Update()
    StationAngle = Round(Sys.StationAngle / Rad) & ""
    End Sub

Private Sub Sensor_Click(Item As Integer)
    Erase ErrorX, ErrorY, ErrorZ
    SensorP = Item: Lens.SelectItem 0
    If Cam(0).hRC And Cam(0).Follow = ToOnBoard Then FollowMode Cam(0), ToOnBoard
    If Cam1.Follow = ToOnBoard Then FollowMode Cam1, ToOnBoard
    End Sub

Private Sub Lens_OnClick(Item As Integer)
    Dim N As Double
    If SensorN <= 0 Or SensorP >= SensorN Then Exit Sub
    If Item = 0 Then N = Sys.Sensor(SensorP).FOV _
    Else If Sys.Sensor(SensorP).Lens = Sys.Lens(Item - 1).Lens Then N = Sys.Lens(Item - 1).FOV _
    Else Item = -1: Exit Sub
    If Cam1.Follow = ToOnBoard Then FOVCam Cam1, N, , False
    If Cam(0).Follow = ToOnBoard And Cam(0).hRC <> 0 Then FOVCam Cam(0), N, , False
    End Sub

Private Sub Satellite_Click(Item As Integer)
    SetSatellite Item
    If SatelliteP = 0 Then ToolL = ToolL And Not SatellitesLabels: _
        ToolX = ToolX And Not ToolObjects: UpdateTools
    If Play = Paused Then Render
    End Sub

Private Sub SatelliteDist_Click(Item As Integer)
    Sys.SatelliteDist = ValSpace(SatelliteDist): If Play = Paused Then Render
    End Sub

Private Sub SatelliteDist_Update()
    SatelliteDist = NumM(Sys.SatelliteDist, "0") & "m"
    End Sub

Private Sub Asteroid_Click(Item As Integer)
    AsteroidP = Item: If Play = Paused Then Render
    End Sub

Private Sub AsteroidDist_Click(Item As Integer)
    Sys.AsteroidDist = ValSpace(AsteroidDist): If Play = Paused Then Render
    End Sub

Private Sub AsteroidDist_Update()
    AsteroidDist = NumM(Sys.AsteroidDist, "0") & "m"
    End Sub

Private Sub ObjectVisibility_Click(Item As Integer)
    Sys.ObjectVisibility = ValSpace(ObjectVisibility): If Play = Paused Then Render
    End Sub

Private Sub ObjectVisibility_Update()
    ObjectVisibility = NumM(Sys.ObjectVisibility, "0") & "m"
    End Sub

Private Sub AsteroidDensity_Click(Item As Integer)
    Sys.AsteroidDensity = Item: LoadAsteroids: LoadComets: LoadMoons
    If Sys.AsteroidDensity >= 2 Then _
        ToolL = ToolL And Not (AsteroidsLabels Or CometsLabels Or MoonsLabels): _
        ToolX = ToolX And Not ToolObjects: UpdateTools
    If Play = Paused Then Render
    End Sub

Private Sub StarDensity_Click(Item As Integer)
    StarsDensity = Choose(Item, 4, 5.8, 10): DeleteList SkyList: If Play = Paused Then Render
    End Sub

Private Sub StarDensity_Update()
    StarDensity.SelectItem Find(Sys.StarsDensity, 4, 5.8, 10)
    End Sub

Private Sub GravityDisk_Click()
    ClearGravity True: SetGravity Mask(Sys.GravityField, GravityDisk, 1)
    End Sub

Private Sub GravityZone_Click()
    ClearGravity True: SetGravity Mask(Sys.GravityField, GravityZone, 2)
    End Sub

Private Sub GravityGrid_Click()
    ClearGravity True: SetGravity Mask(Sys.GravityField, GravityGrid, 4)
    End Sub

Private Sub GravityVector_Click()
    ClearGravity True: SetGravity Mask(Sys.GravityField, GravityVector, 8)
    End Sub

Private Sub MagneticVectors_Click()
    ClearGravity True: SetGravity Mask(Sys.GravityField, MagneticVectors, &H10&)
    End Sub

Private Sub MagneticLines_Click()
    ClearGravity True: SetGravity Mask(Sys.GravityField, MagneticLines, &H20&)
    End Sub

Private Sub MagneticPlanes_Click()
    ClearGravity True: SetGravity Mask(Sys.GravityField, MagneticPlanes, &H40&)
    End Sub

Private Sub FieldDistance_Click(Item As Integer)
    SetGravity Mask(Sys.GravityField, Item, &H100&)
    End Sub

Private Sub FieldDensity_Click(Item As Integer)
    SetGravity Mask(Sys.GravityField, Item, &H200&)
    End Sub

Private Sub FieldScale_Click(Item As Integer)
    GravityScale = ValRatio(FieldScale): SetGravity
    End Sub

Private Sub FieldScale_Update()
    FieldScale = ToRatio(GravityScale)
    End Sub

Private Sub LabelsDensity_Click(Item As Integer)
    SetLayersMode LayersDensity, Item > 0
    End Sub

Private Sub LinesDefinition_Click(Item As Integer)
    SetLayersMode LayersDefinition, Item > 0
    End Sub

Private Sub AirwaysAltitude_Click()
    SetLayersMode LayersAltitude, AirwaysAltitude
    End Sub


