VERSION 5.00
Begin VB.Form Search 
   AutoRedraw      =   -1  'True
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Search"
   ClientHeight    =   7890
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   2145
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Search.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   526
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   143
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin Project.DropList Item 
      Height          =   225
      Left            =   75
      TabIndex        =   0
      Top             =   75
      Width           =   2025
      _ExtentX        =   3572
      _ExtentY        =   397
      Caption         =   ""
      ToolTip         =   "Type a word to search objects in the database"
   End
   Begin VB.ListBox List 
      Height          =   7455
      IntegralHeight  =   0   'False
      ItemData        =   "Search.frx":000C
      Left            =   75
      List            =   "Search.frx":000E
      MultiSelect     =   2  'Extended
      OLEDragMode     =   1  'Automatic
      Sorted          =   -1  'True
      TabIndex        =   1
      Top             =   375
      Width           =   2025
   End
   Begin VB.Menu mnMenu 
      Caption         =   "Menu"
      Visible         =   0   'False
      Begin VB.Menu mnAllObjects 
         Caption         =   "All objects"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnAirports 
         Caption         =   "Airports"
      End
      Begin VB.Menu mnAirspaces 
         Caption         =   "Airspaces"
      End
      Begin VB.Menu mnAsteroids 
         Caption         =   "Asteroids"
      End
      Begin VB.Menu mnCities 
         Caption         =   "Cities"
      End
      Begin VB.Menu mnComets 
         Caption         =   "Comets"
      End
      Begin VB.Menu mnLocations 
         Caption         =   "Locations"
      End
      Begin VB.Menu mnMoons 
         Caption         =   "Moons"
      End
      Begin VB.Menu mnPlanets 
         Caption         =   "Planets"
      End
      Begin VB.Menu mnSatellites 
         Caption         =   "Satellites"
      End
      Begin VB.Menu mnSeaports 
         Caption         =   "Seaports"
      End
      Begin VB.Menu mnStars 
         Caption         =   "Stars"
      End
      Begin VB.Menu mnStations 
         Caption         =   "Stations"
      End
      Begin VB.Menu mnS1 
         Caption         =   "-"
      End
      Begin VB.Menu mnItemLimit 
         Caption         =   "Item limit"
         Begin VB.Menu mnItems 
            Caption         =   "1 item"
            Index           =   1
         End
         Begin VB.Menu mnItems 
            Caption         =   "5 items"
            Index           =   2
         End
         Begin VB.Menu mnItems 
            Caption         =   "10 items"
            Index           =   3
         End
         Begin VB.Menu mnItems 
            Caption         =   "20 items"
            Checked         =   -1  'True
            Index           =   4
         End
         Begin VB.Menu mnItems 
            Caption         =   "50 items"
            Index           =   5
         End
         Begin VB.Menu mnItems 
            Caption         =   "100 items"
            Index           =   6
         End
         Begin VB.Menu mnItems 
            Caption         =   "500 items"
            Index           =   7
         End
         Begin VB.Menu mnItems 
            Caption         =   "1000 items"
            Index           =   8
         End
         Begin VB.Menu mnItems 
            Caption         =   "5000 items"
            Index           =   9
         End
         Begin VB.Menu mnItems 
            Caption         =   "10000 items"
            Index           =   10
         End
         Begin VB.Menu mnItems 
            Caption         =   "All items"
            Index           =   11
         End
      End
      Begin VB.Menu mnSortList 
         Caption         =   "Sort list"
      End
   End
   Begin VB.Menu mnList 
      Caption         =   "List"
      Visible         =   0   'False
      Begin VB.Menu mnCopy 
         Caption         =   "Copy"
      End
      Begin VB.Menu mnSelectAll 
         Caption         =   "Select all"
      End
   End
End
Attribute VB_Name = "Search"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim Items As Long, NoChange As Boolean, NoSelect As Boolean

Private Sub Form_Load()
    RemoveListBorder List
    If Not IsDebug Then SetSearchListProc List.hWnd
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    If Not IsDebug Then SetSearchListProc List.hWnd, False
    End Sub

Sub Activate()
    If Main.WindowState = vbMinimized Then Exit Sub
    If Visible Then Hide Else Show vbModeless, Main
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyC, vbKeyH, vbKeyV, vbKeyX, vbKeyZ
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn: If Shift Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0 _
        Else If List.SelCount > 0 Then List_DblClick: Setup.CopyItems: KeyCode = 0 _
        Else Exec
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Main.Form_KeyUp KeyCode, Shift
    End Sub

Sub Form_Resize()
    Dim X As Long, Y As Long, W As Long, H As Long
    If NoResize Or IsInit Then Exit Sub
    H = TextHeight("") + 2: W = ScaleWidth - 3 - 5
    If W > 0 And H > 0 Then Item.Move 5, 5, W, H
    Y = Item.Top + Item.Height + 5: W = ScaleWidth - 8: H = ScaleHeight - Y - 3
    If W > 0 And H > 0 Then List.Move 5, Y, W, H
    If Options.SnapPanels Then ResizeMain
    End Sub

Sub Exec()
    Dim C As Long, N As Long, T As String ', X As Double
    List.Clear: T = LCase(Item) ': If T = "" Then Exit Sub
    Items = 0 ': X = TimerEx
    'Asteroids
    If SearchClass = TypeAll Or SearchClass = TypeAsteroid Then
        For N = 0 To AsteroidN - 1
            If InStr(LCase(Asteroid(N).Name), T) Then _
                If AddItem(Asteroid(N).Name, TypeAsteroid, N) Then GoTo Nxt
            Next
        If List.ListCount <= 0 Then
            For C = 0 To UBound(AsteroidZones)
                If InStr(LCase(AsteroidZones(C)), T) Then
                    For N = 0 To AsteroidN - 1
                        If Asteroid(N).Class = C Then _
                            If AddItem(Asteroid(N).Name, TypeAsteroid, N) Then GoTo Nxt
                        Next
                    End If
                Next
            End If
        End If
    'Comets
    If SearchClass = TypeAll Or SearchClass = TypeComet Then
        For N = 0 To CometN - 1
            If InStr(LCase(Comet(N).Name), T) Then _
                If AddItem(Comet(N).Name, TypeComet, N) Then GoTo Nxt
            Next
        If List.ListCount <= 0 Then
            For C = 0 To UBound(CometGroups)
                If InStr(LCase(CometGroups(C)), T) Then
                    For N = 0 To CometN - 1
                        If Comet(N).Class = C Then _
                            If AddItem(Comet(N).Name, TypeComet, N) Then GoTo Nxt
                        Next
                    End If
                Next
            End If
        End If
    'Moons
    If SearchClass = TypeAll Or SearchClass = TypeMoon Then
        For N = 0 To MoonN - 1
            If InStr(LCase(Moons(N).Name), T) Then _
                If AddItem(Moons(N).Name, TypeMoon, N) Then GoTo Nxt
            Next
        End If
    'Planets
    If SearchClass = TypeAll Or SearchClass = TypePlanet Then
        For N = ToEarth To ToPluto
            If InStr(LCase(Planets(N)), T) Then _
                If AddItem(Planets(N), TypePlanet, N) Then GoTo Nxt
            Next
        End If
    'Stars
    If SearchClass = TypeAll Or SearchClass = TypeStar Then
        For N = 0 To StarsN - 1
            If InStr(LCase(Stars(N).Name), T) Then _
                If AddItem(Stars(N).Name, TypeStar, N) Then GoTo Nxt
            Next
        End If
    'Satellites
    If SearchClass = TypeAll Or SearchClass = TypeSatellite Then
        For N = 0 To SatelliteN - 1
            If InStr(LCase(Satellite(N).Name), T) Then _
                If AddItem(Satellite(N).Name, TypeSatellite, N) Then GoTo Nxt
            Next
        If List.ListCount <= 0 Then
            For C = 0 To UBound(SatelliteGroup)
                If InStr(LCase(SatelliteGroup(C).Name), T) Then
                    For N = 0 To SatelliteN - 1
                        If Satellite(N).Class = C Then _
                            If AddItem(Satellite(N).Name, TypeSatellite, N) Then GoTo Nxt
                        Next
                    End If
                Next
            End If
        End If
    'Stations
    If SearchClass = TypeAll Or SearchClass = TypeStation Then
        For N = 0 To StationN - 1
            If InStr(LCase(Station(N).Name), T) Then _
                If AddItem(Station(N).Name, TypeStation, N) Then GoTo Nxt
            Next
        If List.ListCount <= 0 Then
            For C = 0 To UBound(StationGroup)
                If InStr(LCase(StationGroup(C).Name), T) Then
                    For N = 0 To StationN - 1
                        If Station(N).Planet = C Then _
                            If AddItem(Station(N).Name, TypeStation, N) Then GoTo Nxt
                        Next
                    End If
                Next
            End If
        End If
    'Locations
    If SearchClass = TypeAll Or SearchClass = TypeLocation Then
        For N = 0 To LocationN - 1
            If InStr(LCase(Location(N).Name), T) Then _
                If AddItem(Location(N).Name, TypeLocation, N) Then GoTo Nxt
            Next
        End If
    'Airspaces
    If SearchClass = TypeAll Or SearchClass = TypeAirspace Then
        For N = 0 To AirspaceN - 1
            If InStr(LCase(Airspace(N).Name), T) Then _
                If AddItem(Airspace(N).Name, TypeAirspace, N) Then GoTo Nxt
            Next
        End If
    'Airports
    If SearchClass = TypeAll Or SearchClass = TypeAirport Then
        For N = 0 To AirportN - 1
            If InStr(LCase(Airport(N).Name), T) Then _
                If AddItem(Airport(N).Name, TypeAirport, N) Then GoTo Nxt
            Next
        End If
    'Seaports
    If SearchClass = TypeAll Or SearchClass = TypeSeaport Then
        For N = 0 To SeaportN - 1
            If InStr(LCase(Seaport(N).Name), T) Then _
                If AddItem(Seaport(N).Name, TypeSeaport, N) Then GoTo Nxt
            Next
        End If
    'Cities
    If SearchClass = TypeAll Or SearchClass = TypeCity Then
        For N = 0 To CityN - 1
            If InStr(LCase(City(N).Name), T) Then _
                If AddItem(City(N).Name, TypeCity, N) Then GoTo Nxt
            Next
        End If
Nxt:
    'Caption = Items & " items: " & Num(TimerEx - X, FShort) & "s"
    End Sub

Function AddItem(Name As String, ByVal Class As ObjectType, ByVal N As Long) As Boolean
    If SearchSort Then List.AddItem Name Else List.AddItem Name, List.ListCount
    List.ItemData(List.NewIndex) = Class * &H1000000 + N
    Items = Items + 1: If SearchItems > 0 And Items >= SearchItems Then AddItem = True
    End Function

Sub SelectItem(Optional ByVal N As Long, Optional ByVal Relative As Boolean = True)
    Dim C As Long ', S As String, X As Double
    If List.ListCount <= 0 Then Exit Sub
    If Relative Then If N Then N = N + List.ListIndex Else N = List.ListIndex: GoTo Nxt
    If N < 0 Then N = 0 Else If N > List.ListCount - 1 Then N = List.ListCount - 1
    If List.ListIndex = N And List.Selected(N) Then Exit Sub
    NoSelect = True
    If List.ListIndex <> N Then List.Selected(List.ListIndex) = False: List.ListIndex = N
    If Not List.Selected(N) Then List.Selected(N) = True
    List.Refresh
    NoSelect = False
Nxt:
    If N < 0 Then Exit Sub
    'S = List.List(N): If Item <> S Then NoChange = True: Item = S
    C = List.ItemData(N): N = C And &HFFFFFF: C = C \ &H1000000
    'X = TimerEx
    SetObject C, N
    'Caption = "Render: " & Num(TimerEx - X, FShort) & "s"
    End Sub

Sub Update()
    Dim B As Long, C As Long, N As Long, M As Long
    B = 0: Do While B < List.ListCount
        C = List.ItemData(B): N = C And &HFFFFFF: C = C \ &H1000000
        M = GetN(C, List.List(B)): If M >= 0 Then List.ItemData(B) = C * &H1000000 + M: B = B + 1 _
        Else List.RemoveItem B
        Loop
    End Sub

Private Sub Item_Change()
    If NoChange Then NoChange = False Else Exec
    End Sub

Private Sub Item_Key(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyReturn: If Shift = 0 Then Exec
    Case vbKeyUp: SelectItem -1
    Case vbKeyDown: SelectItem 1
        End Select
    End Sub

Private Sub Item_Init()
    ShowSearchMenu
    End Sub

Private Sub List_Click()
    If Not NoSelect Then SelectItem
    End Sub

Private Sub List_DblClick()
    If Cam1.Follow <> ToObject Then FollowMode Cam1, ToObject
    End Sub

Private Sub List_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyContextMenu: ShowMenu Me, mnList, List, , False
        End Select
    End Sub

Private Sub List_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case 1: ShowMenu Me, mnList: End Select
    End Sub

Private Sub List_OLEStartDrag(Data As DataObject, AllowedEffects As Long)
    Dim C As Long
    With List
    Data.SetData , vbCFFiles
    For C = 0 To .ListCount - 1
        If .Selected(C) Then Select Case .ItemData(C) \ &H1000000: _
            Case TypeStation, TypeLocation: Data.Files.Add .List(C): End Select
        Next
    If Data.Files.Count > 0 Then AllowedEffects = vbDropEffectMove
    End With
    End Sub

Private Sub mnCopy_Click()
    Dim C As Long
    With List
    If .SelCount <= 0 Then Exit Sub
    For C = 0 To .ListCount - 1
        If .Selected(C) Then Select Case .ItemData(C) \ &H1000000: _
            Case TypeStation, TypeLocation: StrAdd .List(C) & vbCrLf: End Select
        Next
    End With
    Clipboard.Clear: Clipboard.SetText StrAdd
    End Sub

Private Sub mnSelectAll_Click()
    Dim C As Long
    With List
    NoSelect = True: For C = .ListCount - 1 To 0 Step -1: .Selected(C) = True: Next: NoSelect = False
    End With
    End Sub

Private Sub mnAllObjects_Click()
    SearchClass = TypeAll: Exec
    End Sub

Private Sub mnAirports_Click()
    SearchClass = TypeAirport: Exec
    End Sub

Private Sub mnAirspaces_Click()
    SearchClass = TypeAirspace: Exec
    End Sub

Private Sub mnAsteroids_Click()
    SearchClass = TypeAsteroid: Exec
    End Sub

Private Sub mnCities_Click()
    SearchClass = TypeCity: Exec
    End Sub

Private Sub mnComets_Click()
    SearchClass = TypeComet: Exec
    End Sub

Private Sub mnLocations_Click()
    SearchClass = TypeLocation: Exec
    End Sub

Private Sub mnMoons_Click()
    SearchClass = TypeMoon: Exec
    End Sub

Private Sub mnPlanets_Click()
    SearchClass = TypePlanet: Exec
    End Sub

Private Sub mnSatellites_Click()
    SearchClass = TypeSatellite: Exec
    End Sub

Private Sub mnSeaports_Click()
    SearchClass = TypeSeaport: Exec
    End Sub

Private Sub mnStars_Click()
    SearchClass = TypeStar: Exec
    End Sub

Private Sub mnStations_Click()
    SearchClass = TypeStation: Exec
    End Sub

Private Sub mnSortList_Click()
    SearchSort = IfInt(SearchSort, 0, 1): Exec
    End Sub

Private Sub mnItemsNoLimit_Click()
    SearchItems = 0: Exec
    End Sub

Private Sub mnItems_Click(Index As Integer)
    SearchItems = Val(mnItems(Index).Caption): Exec
    End Sub

Sub ShowSearchMenu()
    Dim N As Long
    Check mnAllObjects, SearchClass = TypeAll
    Check mnAirports, SearchClass = TypeAirport
    Check mnAirspaces, SearchClass = TypeAirspace
    Check mnAsteroids, SearchClass = TypeAsteroid
    Check mnCities, SearchClass = TypeCity
    Check mnComets, SearchClass = TypeComet
    Check mnLocations, SearchClass = TypeLocation
    Check mnMoons, SearchClass = TypeMoon
    Check mnPlanets, SearchClass = TypePlanet
    Check mnSatellites, SearchClass = TypeSatellite
    Check mnSeaports, SearchClass = TypeSeaport
    Check mnStars, SearchClass = TypeStar
    Check mnStations, SearchClass = TypeStation
    Check mnSortList, SearchSort
    For N = mnItems.LBound To mnItems.UBound
        mnItems(N).Checked = SearchItems = Val(mnItems(N).Caption)
        Next
    'ShowMenu Me, mnMenu, ShowOptions, True, True
    ShowMenu Me, mnMenu, Item, True, True
    End Sub
