VERSION 5.00
Begin VB.Form Splash 
   BorderStyle     =   0  'None
   Caption         =   "Splash"
   ClientHeight    =   2400
   ClientLeft      =   60
   ClientTop       =   60
   ClientWidth     =   7500
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Splash.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   160
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   500
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Timer Tm 
      Interval        =   50
      Left            =   150
      Top             =   225
   End
   Begin VB.Shape Border 
      BackColor       =   &H00000000&
      BorderColor     =   &H00C0C0C0&
      Height          =   2400
      Left            =   0
      Top             =   0
      Width           =   7500
   End
   Begin VB.Image Pic 
      Height          =   2400
      Left            =   0
      Picture         =   "Splash.frx":058A
      Top             =   0
      Width           =   7500
   End
End
Attribute VB_Name = "Splash"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetDesktopWindow Lib "User32" () As Long
Private Declare Function GetWindowLong Lib "User32" Alias "GetWindowLongA" (ByVal hWnd As Long, ByVal nIndex As Long) As Long
Private Declare Function GetWindowRect Lib "User32" (ByVal hWnd As Long, lpRect As Any) As Long
Private Declare Function RedrawWindow Lib "User32" (ByVal hWnd As Long, Optional ByVal lprcUpdate As Long, Optional ByVal hrgnUpdate As Long, Optional ByVal fuRedraw As Long) As Long
'RDW_INVALIDATE=1 RDW_INTERNALPAINT=2 RDW_ERASE=4 RDW_VALIDATE=8 RDW_NOINTERNALPAINT=&H10 RDW_NOERASE=&H20 RDW_NOCHILDREN=&H40 RDW_ALLCHILDREN=&H80 RDW_UPDATENOW=&H100 RDW_ERASENOW=&H200 RDW_FRAME=&H400 RDW_NOFRAME=&H800
Private Declare Function SetLayeredWindowAttributes Lib "User32" (ByVal hWnd As Long, Optional ByVal crKey As Long, Optional ByVal bAlpha As Byte, Optional ByVal dwFlags As Long) As Long
Private Declare Function SetWindowLong Lib "User32" Alias "SetWindowLongA" (ByVal hWnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function SetWindowPos Lib "User32" (ByVal hWnd As Long, Optional ByVal hWndInsertAfter As Long, Optional ByVal X As Long, Optional ByVal Y As Long, Optional ByVal CX As Long, Optional ByVal CY As Long, Optional ByVal wFlags As Long) As Long
'1=NoSize 2=NoMove 4=NoZOrd 8=NoRedraw &H10=NoAct &H20=FrameChanged &H40=Show &H80=Hide   NoTopMost=-2 TopMost=-1 Top=0 Bottom=1

Private Type Rect: Left As Long: Top As Long: Right As Long: Bottom As Long: End Type

Private Const Timeout As Single = 10

Dim Alpha As Long, Init As Single, IsHide As Boolean, _
    ScreenWidth As Long, ScreenHeight As Long, Scr As Rect

Private Sub Form_Load()
    Alpha = 0
    On Error Resume Next: Pic = LoadPicture(IIf(Command <> "", Command, "Splash.jpg")): On Error GoTo 0
    SetWindowLong hWnd, -20, GetWindowLong(hWnd, -20) Or &H80000 'GWL_EXSTYLE=-20 WS_EX_LAYERED=&H80000 WS_EX_TRANSPARENT=&H20
    SetLayeredWindowAttributes hWnd, 0, Alpha, 2 'LWA_COLORKEY=1 LWA_ALPHA=2
    GetWindowRect GetDesktopWindow, Scr
    ScreenWidth = Scr.Right - Scr.Left: ScreenHeight = Scr.Bottom - Scr.Top
    With Pic
    Border.Move 0, 0, .Width, .Height
    SetWindowPos hWnd, -1, (ScreenWidth - .Width) / 2, (ScreenHeight - .Height) / 2, _
        .Width, .Height, &H50& '1=NoSize 2=NoMove 4=NoZOrd 8=NoRedraw &H10=NoAct &H40=Show
    End With
    RedrawWindow hWnd, , , &H485& 'RDW_INVALIDATE=1 RDW_ERASE=4 RDW_ALLCHILDREN=&H80 RDW_FRAME=&H400
    Init = VBA.Timer
    End Sub

Private Sub Form_Unload(Cancel As Integer)
    Hide
    SetWindowLong hWnd, -20, GetWindowLong(hWnd, -20) And Not &H80020 'GWL_EXSTYLE=-20 WS_EX_LAYERED=&H80000 WS_EX_TRANSPARENT=&H20
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = 1 Or KeyCode = vbKeySpace Then Quit
    End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Quit
    End Sub

Private Sub Pic_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Quit
    End Sub

Private Sub Quit()
    If Not IsHide Then IsHide = True: Init = VBA.Timer
    End Sub

Private Sub SetAlpha(ByVal hWnd As Long, Optional Alpha As Double = 1, Optional Activate As Long = 1)
    Dim N As Long
    If Activate = False Then SetWindowLong _
        hWnd, -20, GetWindowLong(hWnd, -20) And Not &H80020: Exit Sub 'GWL_EXSTYLE=-20 WS_EX_LAYERED=&H80000 WS_EX_TRANSPARENT=&H20
    If Alpha <= 0 Then N = 0 Else If Alpha >= 1 Then N = 255 Else N = Round(Alpha * 255)
    If Activate = True Then SetWindowLong _
        hWnd, -20, GetWindowLong(hWnd, -20) Or &H80020 'GWL_EXSTYLE=-20 WS_EX_LAYERED=&H80000 WS_EX_TRANSPARENT=&H20
    SetLayeredWindowAttributes hWnd, 0, N, 2 'LWA_COLORKEY=1 LWA_ALPHA=2
    RedrawWindow hWnd, , , &H485& 'RDW_INVALIDATE=1 RDW_ERASE=4 RDW_ALLCHILDREN=&H80 RDW_FRAME=&H400
    End Sub

Private Sub Tm_Timer()
    Dim N As Single
    N = VBA.Timer - Init
    If IsHide Then
        If N <= 1 Then
            Alpha = Round((1 - N) * 255)
        Else
            Unload Me: Exit Sub
            End If
    Else
        If N >= 0 And N <= 1 Then
            Alpha = Round(N * 255)
        ElseIf N < -1 Or N >= Timeout Then
            Quit
            Exit Sub
        ElseIf N < 3 And Alpha < 255 Then
            Alpha = 255
        Else
            Exit Sub
            End If
        End If
    SetLayeredWindowAttributes hWnd, 0, Alpha, 2 'LWA_COLORKEY=1 LWA_ALPHA=2
    RedrawWindow hWnd, , , &H485& 'RDW_INVALIDATE=1 RDW_ERASE=4 RDW_ALLCHILDREN=&H80 RDW_FRAME=&H400
    End Sub
