VERSION 5.00
Begin VB.Form Video 
   BackColor       =   &H00000000&
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Video"
   ClientHeight    =   4800
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   4800
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00FFFFFF&
   Icon            =   "Video.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   320
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   320
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.Menu mnMenu 
      Caption         =   "Menu"
      Visible         =   0   'False
      Begin VB.Menu mnPlay 
         Caption         =   "Play"
      End
      Begin VB.Menu mnOpen 
         Caption         =   "Open video "
      End
      Begin VB.Menu mnOpenURL 
         Caption         =   "Open URL "
      End
      Begin VB.Menu mnS1 
         Caption         =   "-"
      End
      Begin VB.Menu mnVideoSize 
         Caption         =   "Video size"
         Begin VB.Menu mnSizeX 
            Caption         =   "Fixed"
            Begin VB.Menu mnSize 
               Caption         =   ""
               Index           =   0
            End
         End
         Begin VB.Menu mnSize25 
            Caption         =   "25 %"
         End
         Begin VB.Menu mnSize50 
            Caption         =   "50 %"
         End
         Begin VB.Menu mnSize75 
            Caption         =   "75 %"
         End
         Begin VB.Menu mnSize100 
            Caption         =   "100 %"
            Checked         =   -1  'True
         End
         Begin VB.Menu mnSize150 
            Caption         =   "150 %"
         End
         Begin VB.Menu mnSize200 
            Caption         =   "200 %"
         End
      End
      Begin VB.Menu mnFullScreen 
         Caption         =   "Full screen"
      End
      Begin VB.Menu mnShowControls 
         Caption         =   "Show controls"
      End
      Begin VB.Menu mnSync 
         Caption         =   "Sync video"
      End
      Begin VB.Menu mnS2 
         Caption         =   "-"
      End
      Begin VB.Menu mnAddPlayer 
         Caption         =   "Add player"
      End
      Begin VB.Menu mnS3 
         Caption         =   "-"
      End
      Begin VB.Menu mnHide 
         Caption         =   "Hide"
      End
   End
End
Attribute VB_Name = "Video"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'Public WMP As WindowsMediaPlayer
Public WithEvents WMP As VBControlExtender
Attribute WMP.VB_VarHelpID = -1
Public LastX As Single, LastY As Single
Dim Op As OpenFileName, OpenState As Long '0=busy 1=ok 2=error

Const VideoStatusBar As Long = 69 '45(vista) 46(xp) 64(new) 69(vista+statusbar)

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    On Error Resume Next
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    If Not WMP Is Nothing Then Set WMP = Nothing: Controls.Remove "Player"
    On Error GoTo 0
    End Sub

Sub Activate(Optional ByVal UseURL As Boolean, Optional ByVal Add As Boolean)
    On Error Resume Next
    If Not Visible Then
        If WMP Is Nothing Then
            'Set WMP = Controls.Add("WMPlayer.OCX.7", "Player", Me)
            Set WMP = Controls.Add("MediaPlayer.MediaPlayer.1", "Player", Me)
            'Set WMP = Controls.Add("MSVidCtl", "Player", Me)
            'Licenses.Add "Project.WindowsMediaPlayer", "ewrinvcmcoe"
            'Set WMP = Controls.Add("Project.WindowsMediaPlayer", "Player", Me)
            If WMP Is Nothing Then Exit Sub
            With WMP.object
            '.EnableContextMenu = False
            '.Settings.AutoStart = False
            '.StretchToFit = True
            'mpTime=0 mpFrames=1 .. mpDefaultSize=0 mpHalfSize=1 mpDoubleSize=2 mpFullScreen=3 mpFitToSize=4
            .AutoRewind = True: .AutoSize = False: .AutoStart = True
            .ClickToPlay = False: .DisplayMode = 0: .DisplaySize = 4
            .EnableContextMenu = False: .EnableFullScreenControls = True
            .EnablePositionControls = True: .EnableTracker = True
            .InvokeURLs = True: .PlayCount = 1
            .SendErrorEvents = True: .SendKeyboardEvents = True: .SendMouseClickEvents = True
            .SendMouseMoveEvents = True: .SendOpenStateChangeEvents = True
            .SendPlayStateChangeEvents = True: .SendWarningEvents = True
            .ShowAudioControls = True: .ShowCaptioning = False: .ShowControls = True
            .ShowDisplay = False: .ShowGotoBar = False: .ShowPositionControls = True
            .ShowStatusBar = VideoStatusBar = 69: .ShowTracker = True: .WindowlessVideo = False
            End With
            WMP.Visible = True
            End If
        If UseURL Then OpenFile , True Else If WMP.object.FileName = "" Then OpenFile
        'If WMP.object.URL = "" Then OpenFile
        'If WMP.URL = "" Then OpenFile
        Show vbModeless, Main
    ElseIf Add Then
        AddPanel
    ElseIf UseURL Then
        OpenFile , True
    Else
        If Not WMP Is Nothing Then If InStr(WMP.object.FileName, "://") Then WMP.object.Stop Else WMP.object.Pause
        'If Not WMP Is Nothing Then WMP.object.Controls.Pause
        'WMP.Controls.Pause
        Hide
        End If
    On Error GoTo 0
    End Sub

Private Sub Form_Resize()
    On Error Resume Next
    If WMP Is Nothing Then Exit Sub
    WMP.object.DisplaySize = 4
    WMP.Move 0, 0, ScaleWidth, ScaleHeight
    On Error GoTo 0
    End Sub

Private Sub WMP_ObjectEvent(Info As EventInfo)
    Dim KeyCode As Integer, Shift As Integer, X As Single, Y As Single
    On Error Resume Next
    Dim N As Long
    'If Info.Name <> "MouseMove" Then _
        Log.Txt.SelText = VBA.Timer & ":'" & Info.Name & "'" & vbCrLf: _
        For N = 0 To Info.EventParameters.Count - 1: _
            Log.Txt.SelText = vbTab & Info.EventParameters.Item(N).Name & "='" & _
            Info.EventParameters.Item(N).Value & "'" & vbCrLf: Next
    Select Case Info
    Case "MouseDown"
        With Info.EventParameters: _
            KeyCode = .Item(0): Shift = .Item(1): X = .Item(2): Y = .Item(3): End With
        If KeyCode = 1 And Shift = 0 Then _
            If Y < WMP.Height - IfInt(VideoControls, VideoStatusBar, 0) Then mnPlay_Click
    Case "MouseMove"
        With Info.EventParameters: _
            KeyCode = .Item(0): Shift = .Item(1): X = .Item(2): Y = .Item(3): End With
        If KeyCode = 4 Or (KeyCode = 1 And Shift <> 0) Then _
            If Y < WMP.Height - IfInt(VideoControls, VideoStatusBar, 0) Then _
                WMP.object.CurrentPosition = WMP.object.CurrentPosition + (X - MouseX) * _
                IfSng((KeyCode = 4 And Shift <> 0) Or (KeyCode = 1 And (Shift And 5) <> 0), 0.04, 1)
        MouseX = X: MouseY = Y
    Case "MouseUp"
        With Info.EventParameters: KeyCode = .Item(0): End With
        If KeyCode = 2 Then ShowVideoMenu
    Case "KeyDown"
        With Info.EventParameters: KeyCode = .Item(0): Shift = .Item(1): End With
        With WMP.object
        Select Case KeyCode
        Case vbKeyContextMenu: ShowVideoMenu
        Case vbKeyPageUp: .CurrentPosition = .CurrentPosition - _
            Switch(Shift And 1, 0.04, Shift, 10, True, 1)
        Case vbKeyPageDown: .CurrentPosition = .CurrentPosition + _
            Switch(Shift And 1, 0.04, Shift, 10, True, 1)
        Case vbKeyHome: .CurrentPosition = 0
        Case vbKeyEnd: .CurrentPosition = .Duration
        Case vbKeySpace
            If Shift = 0 Then mnPlay_Click Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
        Case vbKeyReturn
            If Shift = 0 Then OpenFile Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
        Case vbKeyEscape: If .DisplaySize <> 3 Then Activate
        Case vbKeyF11: If Shift = 2 Then FullScreen _
            Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
        Case vbKeyF1 To vbKeyF12: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
        Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeyTab
            If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
        End With
    Case "KeyUp"
        With Info.EventParameters: KeyCode = .Item(0): Shift = .Item(1): End With
        Select Case KeyCode
        Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift
            End Select
    Case "NewStream"
        OpenState = 1
    Case "Error"
        OpenState = 2
    'Case "OpenStateChange" 'OldState As Long, NewState As Long
    'Case "PlayStateChange" 'OldState As Long, NewState As Long .. 0=stop 1=pause 2=play 3=nomedia?
        End Select
    On Error GoTo 0
    End Sub

Private Sub mnPlay_Click()
    If WMP Is Nothing Then Exit Sub
    On Error Resume Next
    With WMP.object 'Play Pause Stop Next Previous FastForward FastReverse
    If .PlayState = 2 Then If InStr(.FileName, "://") Then .Stop Else .Pause Else .Play
    'If .PlayState = 3 Then .Controls.Pause Else .Controls.Play
    End With
    On Error GoTo 0
    End Sub

Private Sub mnOpen_Click()
    OpenFile
    End Sub

Private Sub mnOpenURL_Click()
    OpenFile , True
    End Sub

Private Sub mnSync_Click()
    VideoSync = Not VideoSync
    If VideoSync Then IsRealTime = True: Options.UpdateSimulation: Play = Paused
    End Sub

Private Sub mnShowControls_Click()
    If WMP Is Nothing Then Exit Sub
    If WMP.object.DisplaySize <> 3 Then VideoControls = Not VideoControls: ResizeVideo
    'If Not WMP.object.FullScreen Then VideoControls = Not VideoControls: ResizeVideo
    End Sub

Private Sub mnFullScreen_Click()
    FullScreen
    End Sub

Private Sub mnSize_Click(Index As Integer)
    Dim W As Long, H As Long
    If WindowState <> vbNormal Then WindowState = vbNormal
    GetNumItems mnSize(Index).Caption, " x ", W, H
    If W > 0 And H > 0 Then Resize Me, W, H
    End Sub

Private Sub mnSize25_Click()
    ResizeVideo 25
    End Sub

Private Sub mnSize50_Click()
    ResizeVideo 50
    End Sub

Private Sub mnSize75_Click()
    ResizeVideo 75
    End Sub

Private Sub mnSize100_Click()
    ResizeVideo 100
    End Sub

Private Sub mnSize150_Click()
    ResizeVideo 150
    End Sub

Private Sub mnSize200_Click()
    ResizeVideo 200
    End Sub

Private Sub mnAddplayer_Click()
    Activate , True
    End Sub

Private Sub mnHide_Click()
    Activate
    End Sub

Sub FullScreen()
    If WMP Is Nothing Then Exit Sub
    With WMP.object
    .DisplaySize = IfInt(.DisplaySize <> 3, 3, 4)
    'If Not .currentMedia Is Nothing Then If .currentMedia.ImageSourceWidth > 0 And _
        .currentMedia.ImageSourceHeight > 0 Then .FullScreen = Not .FullScreen
    End With
    End Sub

Private Sub AddPanel()
    Dim N As Single, F As Form
    If Not Video.Visible Then Set F = Video: GoTo Nxt
    For Each F In Forms
        If F.Name = Name Then If Not F.Visible Then GoTo Nxt
        Next
    Set F = New Video: Load F
    With Video
    If .LastX = 0 And .LastY = 0 Then .LastX = .Left: .LastY = .Top
    N = 25: .LastX = .LastX + N * TwipX: .LastY = .LastY + N * TwipY: F.Move .LastX, .LastY
    End With
Nxt:
    F.Activate
    End Sub

Sub StopAll()
    Dim F As Form
    For Each F In Forms
        If F.Name = Name Then _
            If Not F.WMP Is Nothing Then With F.WMP.object: .Pause: .Stop: End With
        Next
    End Sub

Sub ResizeVideo(Optional ByVal N As Long)
    Dim S As String, Width As Single, Height As Single
    If N > 0 Then VideoSize = N
    If VideoSize <= 0 Then VideoSize = 100
    If WMP Is Nothing Then Exit Sub
    With WMP.object
    If .ImageSourceWidth = 0 Or .ImageSourceHeight = 0 Then Exit Sub
    .ShowControls = VideoControls: .ShowStatusBar = VideoControls And VideoStatusBar = 69
    Width = .ImageSourceWidth * VideoSize \ 100: Height = .ImageSourceHeight * VideoSize \ 100 + _
        IfInt(VideoControls, VideoStatusBar, 0)
    If Width <> ScaleWidth Or Height <> ScaleHeight Then Resize Me, Width, Height Else Form_Resize
    'If .currentMedia Is Nothing Then Exit Sub
    'If .currentMedia.ImageSourceWidth = 0 Or .currentMedia.ImageSourceHeight = 0 Then Exit Sub
    'S = IIf(VideoControls, "full", "none"): If .uiMode <> S Then .uiMode = S
    'Resize Me, .currentMedia.ImageSourceWidth * VideoSize \ 100, _
        .currentMedia.ImageSourceHeight * VideoSize \ 100 + IfInt(VideoControls, VideoStatusBar, 0)
    End With
    End Sub

Sub OpenFile(Optional File As String, Optional ByVal IsURL As Boolean)
    Dim T1 As Double
    If WMP Is Nothing Then Exit Sub
    If File = "" Then _
        If IsURL Then File = InputBox.Exec("Type a server address to connect " & vbCrLf & _
                "Example: ""mms://server.com:8080""", "Open URL", "mms://", True) _
        Else File = GetOpenFile(Op, , FileVideo, VideosDir)
    If File = "" Then Exit Sub
    IsURL = InStr(File, "://"): If IsURL Then Caption = File Else Caption = FileNameFromPath(File)
    Message "Opening video " & IIf(IsURL, "stream", "file") & " "
    With WMP.object
    OpenState = 0: .FileName = File: T1 = TimerEx + 60
    Do: DoEvents: Loop While OpenState = 0 And TimerEx < T1
    Do: DoEvents: Loop While .PlayState = 3 And TimerEx < T1 '0=stop 1=pause 2=play 3=busy
    If OpenState = 2 Or ((.Duration <= 0 Or _
        .ImageSourceWidth <= 0 Or .ImageSourceHeight <= 0) And Not IsURL) Then GoTo NoFile
    '.URL = File
    '.Controls.Play
    'Do: DoEvents: Loop While .openState = 12 Or .openState = 21
    'If .currentMedia Is Nothing Then GoTo NoFile
    'If .currentMedia.imageSourceWidth = 0 Or .currentMedia.imageSourceHeight = 0 Then GoTo NoFile
    'If Not .currentPlaylist Is Nothing Then .currentPlaylist.Name = Caption
    End With
    Message
    ResizeVideo
    Exit Sub
NoFile:
    If OpenState = 2 Then Message "Open " & IIf(IsURL, "stream", "file") & " error", 2000 Else Message
    End Sub

Sub ShowVideoMenu()
    Dim N As Long
    If WMP Is Nothing Then Exit Sub
    mnPlay.Caption = IIf(WMP.object.PlayState = 2, "Pause", "Play")
    'mnPlay.Caption = IIf(WMP.object.PlayState = 3, "Pause", "Play")
    Check mnSync, VideoSync
    Check mnShowControls, VideoControls
    Check mnFullScreen, WMP.object.DisplaySize = 3
    'Check mnFullScreen, WMP.object.FullScreen
    If mnSize.UBound = 0 Then
        For N = 0 To UBound(WindowSizes)
            If N Then Load mnSize(N)
            mnSize(N).Caption = WindowSizes(N)
            Next
        End If
    Check mnSize25, VideoSize = 25
    Check mnSize50, VideoSize = 50
    Check mnSize75, VideoSize = 75
    Check mnSize100, VideoSize = 100
    Check mnSize150, VideoSize = 150
    Check mnSize200, VideoSize = 200
    PopupMenu mnMenu
    End Sub
