VERSION 5.00
Begin VB.Form View 
   BackColor       =   &H00000000&
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "View"
   ClientHeight    =   4800
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   4800
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00FFFFFF&
   Icon            =   "View.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   320
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   320
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.Menu mnMenu 
      Caption         =   "Menu"
      Visible         =   0   'False
      Begin VB.Menu mnFollow 
         Caption         =   "Follow"
         Begin VB.Menu mnFollowObject 
            Caption         =   "Free"
            Index           =   0
         End
         Begin VB.Menu mnFollowObject 
            Caption         =   "Simul"
            Checked         =   -1  'True
            Index           =   1
         End
         Begin VB.Menu mnFollowObject 
            Caption         =   "Tactic"
            Index           =   2
         End
         Begin VB.Menu mnFollowObject 
            Caption         =   "Onboard"
            Index           =   3
         End
         Begin VB.Menu mnFollowObject 
            Caption         =   "Ship"
            Index           =   4
         End
         Begin VB.Menu mnFollowObject 
            Caption         =   "Earth"
            Index           =   5
         End
         Begin VB.Menu mnFollowObject 
            Caption         =   "Moon"
            Index           =   6
         End
         Begin VB.Menu mnFollowObject 
            Caption         =   "Sun"
            Index           =   7
         End
         Begin VB.Menu mnSF0 
            Caption         =   "-"
         End
         Begin VB.Menu mnFollowPlanet 
            Caption         =   ""
            Index           =   9
         End
         Begin VB.Menu mnSF1 
            Caption         =   "-"
         End
         Begin VB.Menu mnFollowSelection 
            Caption         =   "Object"
         End
      End
      Begin VB.Menu mnLookAt 
         Caption         =   "Look at"
         Begin VB.Menu mnLookAtObject 
            Caption         =   "Free"
            Checked         =   -1  'True
            Index           =   0
         End
         Begin VB.Menu mnLookAtObject 
            Caption         =   "Ship"
            Index           =   4
         End
         Begin VB.Menu mnLookAtObject 
            Caption         =   "Earth"
            Index           =   5
         End
         Begin VB.Menu mnLookAtObject 
            Caption         =   "Moon"
            Index           =   6
         End
         Begin VB.Menu mnLookAtObject 
            Caption         =   "Sun"
            Index           =   7
         End
         Begin VB.Menu mnSL0 
            Caption         =   "-"
         End
         Begin VB.Menu mnLookAtPlanet 
            Caption         =   ""
            Index           =   9
         End
         Begin VB.Menu mnSL1 
            Caption         =   "-"
         End
         Begin VB.Menu mnLookAtSelection 
            Caption         =   "Object"
         End
      End
      Begin VB.Menu mnRelativeTo 
         Caption         =   "Relative to"
         Begin VB.Menu mnRelativeToObject 
            Caption         =   "Auto"
            Checked         =   -1  'True
            Index           =   4
         End
         Begin VB.Menu mnRelativeToObject 
            Caption         =   "Earth"
            Index           =   5
         End
         Begin VB.Menu mnRelativeToObject 
            Caption         =   "Moon"
            Index           =   6
         End
         Begin VB.Menu mnRelativeToObject 
            Caption         =   "Sun"
            Index           =   7
         End
         Begin VB.Menu mnRelativeToObject 
            Caption         =   "Air"
            Index           =   8
         End
         Begin VB.Menu mnSR0 
            Caption         =   "-"
         End
         Begin VB.Menu mnRelativeToPlanet 
            Caption         =   ""
            Index           =   9
         End
      End
      Begin VB.Menu mnFOVX 
         Caption         =   "FOV"
         Begin VB.Menu mnFOV 
            Caption         =   "Default"
            Index           =   0
         End
      End
      Begin VB.Menu mnFlat 
         Caption         =   "Flat view"
      End
      Begin VB.Menu mnOrtho 
         Caption         =   "Orthogonal"
      End
      Begin VB.Menu mnAutoZoom 
         Caption         =   "Auto zoom"
      End
      Begin VB.Menu mnShipScaleX 
         Caption         =   "Ship scale"
         Begin VB.Menu mnShipScale 
            Caption         =   "Disabled"
            Index           =   0
         End
         Begin VB.Menu mnShipScale 
            Caption         =   "Default"
            Index           =   1
         End
      End
      Begin VB.Menu mnS0 
         Caption         =   "-"
      End
      Begin VB.Menu mnClone 
         Caption         =   "Clone"
         Begin VB.Menu mnCloneFromMain 
            Caption         =   "Copy from main"
         End
         Begin VB.Menu mnCloneToMain 
            Caption         =   "Copy to main"
         End
         Begin VB.Menu mnSwapMain 
            Caption         =   "Swap with main"
         End
      End
      Begin VB.Menu mnSizeX 
         Caption         =   "Size"
         Begin VB.Menu mnSize 
            Caption         =   ""
            Index           =   0
         End
      End
      Begin VB.Menu mnS1 
         Caption         =   "-"
      End
      Begin VB.Menu mnAddView 
         Caption         =   "Add view"
      End
      Begin VB.Menu mnS2 
         Caption         =   "-"
      End
      Begin VB.Menu mnHide 
         Caption         =   "Hide"
      End
   End
End
Attribute VB_Name = "View"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public N As Long

Private Sub Form_Load()
    If Not IsDebug Then SetViewProc hWnd
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: ActivateView Cam(N): Exit Sub
    If Not IsDebug Then SetViewProc hWnd, False
    End Sub

Sub Form_Resize()
    If NoResizeView Then NoResizeView = False: Exit Sub
    If Cam(N).Follow = ToOnBoard Then If WindowState = vbMaximized Then WindowState = vbNormal
    If Visible And WindowState <> vbMinimized Then InitCamera Cam(N): If Play = Paused Then Render
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_Paint()
    If Cam1.hRC Then If Play = Paused Then Render
    End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If MouseButton = 0 Then GetCursorPos Click
    NoClick = False: MouseX = X: MouseY = Y: MouseButton = MouseButton Or Button
    End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim CX As Single, CY As Single, CZ As Single
    On Error Resume Next
    CX = X - MouseX: CY = Y - MouseY: If CX = 0 And CY = 0 Then Exit Sub
    If Button Then
        If Not NoClick Then NoClick = True: If Button > 1 Then SetCursor 0
        Select Case True
        Case Button = 3:    RotateCam Cam(N), , , CX / IfInt(Shift, 200, 2)
        Case Button And 4:  If Shift Then FOVCam Cam(N), CY / 10 _
                            Else ZoomCam Cam(N), -CY / 100, True
        Case Button And 2:  RotateCam Cam(N), CX / IfInt(Shift, 200, 2), CY / IfInt(Shift, 200, 2)
        Case Button And 1:  If Shift = 0 Then MoveCam Cam(N), -CX, -CY, , True _
                            Else If Shift = 1 Then MoveCam Cam(N), -CX, , -CY, True _
                            Else If Shift And 2 Then SetLaunchEx Cam(N), CX, CY
            End Select
        End If
    MouseX = X: MouseY = Y
    On Error GoTo 0
    End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    MouseButton = MouseButton And Not Button
    If MouseButton = 0 Then
        If Button > 1 Then SetCursorPos Click.X, Click.Y: Screen.MousePointer = vbDefault
        If NoClick Then NoClick = False: Exit Sub
        End If
    If NoClick Then Exit Sub
    Select Case Button
    Case 1: CheckSelected X, Y, Cam(N), Shift
    Case 2: ShowViewMenu
    Case 4: If Not IsDebug Then FollowMode Cam(N)
        End Select
    End Sub

Private Sub Form_DblClick()
    If SelectedType = TypeNone Then ResetCam Cam(N) Else FollowMode Cam(N), ToObject
    NoClick = True
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case Shift
    Case 0 'Key
        Select Case KeyCode
        Case 1:             ZoomIn Cam(N), Shift, True
        Case 2:             ZoomOut Cam(N), Shift, True
        Case vbKeyLeft:     MoveCam Cam(N), 100
        Case vbKeyRight:    MoveCam Cam(N), -100
        Case vbKeyUp:       MoveCam Cam(N), , 100
        Case vbKeyDown:     MoveCam Cam(N), , -100
        Case vbKeyContextMenu: ShowViewMenu
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
    Case 1 'Shift+Key
        Select Case KeyCode
        Case 1:             FOVCam Cam(N), -5, True
        Case 2:             FOVCam Cam(N), 5, True
        Case vbKeyLeft:     RotateCam Cam(N), , , 1
        Case vbKeyRight:    RotateCam Cam(N), , , -1
        Case vbKeyUp:       ZoomIn Cam(N)
        Case vbKeyDown:     ZoomOut Cam(N)
        Case vbKeyF1 To vbKeyF5: FollowMode Cam(N), KeyCode - vbKeyF1
        Case vbKeyF6:       RelativeMode Cam(N), ToNone
        Case vbKeyF7:       RelativeMode Cam(N), ToEarth
        Case vbKeyF8:       FlatMode Cam(N)
        Case vbKeyF9:       OrthoMode Cam(N)
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
    Case 2 'Ctrl+Key
        Select Case KeyCode
        Case 1:             ZoomIn Cam(N), Shift, True
        Case 2:             ZoomOut Cam(N), Shift, True
        Case vbKeyLeft:     RotateCam Cam(N), -1
        Case vbKeyRight:    RotateCam Cam(N), 1
        Case vbKeyUp:       RotateCam Cam(N), , -1
        Case vbKeyDown:     RotateCam Cam(N), , 1
        Case vbKeyF11:      Maximize Me
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
    Case 3 'Ctrl+Shift+Key
        Select Case KeyCode
        Case vbKeyLeft:     RotateCam Cam(N), -0.01
        Case vbKeyRight:    RotateCam Cam(N), 0.01
        Case vbKeyUp:       RotateCam Cam(N), , -0.01
        Case vbKeyDown:     RotateCam Cam(N), , 0.01
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
    Case 4 'Alt+Key
        Select Case KeyCode
        Case vbKeyUp:       FOVCam Cam(N), -5, True
        Case vbKeyDown:     FOVCam Cam(N), 5, True
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
    Case 5 'Alt+Shift+Key
        Select Case KeyCode
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
    Case 6 'Alt+Ctrl+Key
        Select Case KeyCode
        Case vbKeyF8: AddView , N
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
    Case 7 'Alt+Ctrl+Shift+Key
        Select Case KeyCode
        Case Else: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
            End Select
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Private Sub mnFollowObject_Click(Index As Integer)
    FollowMode Cam(N), Index
    End Sub

Private Sub mnFollowPlanet_Click(Index As Integer)
    FollowMode Cam(N), Index
    End Sub

Private Sub mnFollowSelection_Click()
    FollowMode Cam(N), ToObject
    End Sub

Private Sub mnLookAtObject_Click(Index As Integer)
    LookAtMode Cam(N), Index
    End Sub

Private Sub mnLookAtPlanet_Click(Index As Integer)
    LookAtMode Cam(N), Index
    End Sub

Private Sub mnLookAtSelection_Click()
    LookAtMode Cam(N), ToObject
    End Sub

Private Sub mnRelativeToObject_Click(Index As Integer)
    RelativeMode Cam(N), Index
    End Sub

Private Sub mnRelativeToPlanet_Click(Index As Integer)
    RelativeMode Cam(N), Index
    End Sub

Private Sub mnCloneToMain_Click()
    CloneView Cam(N), Cam1, True
    End Sub

Private Sub mnCloneFromMain_Click()
    CloneView Cam1, Cam(N), True
    End Sub

Private Sub mnSwapMain_Click()
    SwapView Cam1, Cam(N), True
    End Sub

Private Sub mnSize_Click(Index As Integer)
    Dim W As Long, H As Long
    If WindowState <> vbNormal Then WindowState = vbNormal
    GetNumItems mnSize(Index).Caption, " x ", W, H
    If W > 0 And H > 0 Then Resize Me, W, H
    End Sub

Private Sub mnFOV_Click(Index As Integer)
    Dim F As Double
    If Index Then F = ValAngleEx(mnFOV(Index).Caption, True) _
    Else If Cam(N).Follow = ToOnBoard And SensorN > 0 Then F = Sensor(SensorP).FOV _
    Else F = 45
    FOVCam Cam(N), F, , False
    End Sub

Private Sub mnOrtho_Click()
    OrthoMode Cam(N)
    End Sub

Private Sub mnFlat_Click()
    FlatMode Cam(N)
    End Sub

Private Sub mnAutoZoom_Click()
    Cam(N).Auto = Cam(N).Auto = False: InitCamera Cam(N): If Play = Paused Then Render
    End Sub

Private Sub mnShipScale_Click(Index As Integer)
    With Cam(N)
    Select Case Index
    Case 0:    .ShipSize = -1
    Case 1:    .ShipSize = 0
    Case Else: .ShipSize = ValRatio(mnShipScale(Index).Caption)
        End Select
    End With
    If Play = Paused Then Render
    End Sub

Private Sub mnAddView_Click()
    AddView , N
    End Sub

Private Sub mnHide_Click()
    ActivateView Cam(N)
    End Sub

Sub ShowViewMenu()
    Dim C As Long, S As String
    With Cam(N)
    If mnFollowPlanet.UBound <= ToMercury Then
        For C = ToMercury To ToPluto
            If C > ToMercury Then Load mnFollowPlanet(C)
            mnFollowPlanet(C).Caption = Planets(C)
            Next
        End If
    Check mnFollowObject(ToNone), .Free
    For C = ToSimul To ToSun: Check mnFollowObject(C), .Follow = C: Next
    For C = ToMercury To ToPluto: Check mnFollowPlanet(C), .Follow = C: Next
    Check mnFollowSelection, .Follow = ToObject
    'mnLookAt = (Play = Paused Or .Follow <> ToOnBoard)
    If mnLookAtPlanet.UBound <= ToMercury Then
        For C = ToMercury To ToPluto
            If C > ToMercury Then Load mnLookAtPlanet(C)
            mnLookAtPlanet(C).Caption = Planets(C)
            Next
        End If
    Check mnLookAtObject(ToNone), .LookAt = ToNone
    For C = ToShip To ToSun: Check mnLookAtObject(C), .LookAt = C: Next
    For C = ToMercury To ToPluto: Check mnLookAtPlanet(C), .LookAt = C: Next
    Check mnLookAtSelection, .LookAt = ToObject
    If mnRelativeToPlanet.UBound <= ToMercury Then
        For C = ToMercury To ToPluto
            If C > ToMercury Then Load mnRelativeToPlanet(C)
            mnRelativeToPlanet(C).Caption = Planets(C)
            Next
        End If
    Check mnRelativeToObject(ToShip), .Relative <= ToShip
    For C = ToEarth To ToAir: Check mnRelativeToObject(C), .Relative = C: Next
    For C = ToMercury To ToPluto: Check mnRelativeToPlanet(C), .Relative = C: Next
    If mnSize.UBound = 0 Then
        For C = 0 To UBound(WindowSizes)
            If C Then Load mnSize(C)
            mnSize(C).Caption = WindowSizes(C)
            Next
        End If
    If mnFOV.UBound = 0 Then
            C = 1: Load mnFOV(C): mnFOV(C).Caption = "1"""
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "1'"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "1"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "2"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "5"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "10"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "20"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "30"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "45"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "60"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "90"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "120"
        C = C + 1: Load mnFOV(C): mnFOV(C).Caption = "150"
        End If
    For C = 1 To mnFOV.UBound: Check mnFOV(C), .FOV = ValAngleEx(mnFOV(C).Caption, True): Next
    Check mnFlat, .Flat
    Check mnOrtho, .Ortho
    Check mnAutoZoom, .Auto
    If mnShipScale.UBound = 1 Then
            C = 2: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 20"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 15"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 10"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 7.5"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 5"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 3"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 2"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 1.5"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "1.5 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "2 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "3 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "5 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "7.5 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "10 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "15 : 1"
        C = C + 1: Load mnShipScale(C): mnShipScale(C).Caption = "20 : 1"
        End If
    Check mnShipScale(0), .ShipSize < 0: Check mnShipScale(1), .ShipSize = 0
    S = ToRatio(.ShipSize): For C = 2 To mnShipScale.UBound
        Check mnShipScale(C), S = mnShipScale(C).Caption
        Next
    End With
    PopupMenu mnMenu
    If Play = Paused Then Render
    End Sub
