VERSION 5.00
Begin VB.Form Browser 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Web browser"
   ClientHeight    =   9000
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   12000
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000000&
   Icon            =   "Browser.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   600
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   800
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.Timer Tm 
      Enabled         =   0   'False
      Interval        =   50
      Left            =   75
      Top             =   450
   End
   Begin VB.PictureBox Address 
      BorderStyle     =   0  'None
      Height          =   360
      Left            =   0
      ScaleHeight     =   24
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   800
      TabIndex        =   0
      Top             =   0
      Width           =   12000
      Begin VB.TextBox URL 
         BackColor       =   &H8000000F&
         BorderStyle     =   0  'None
         Height          =   195
         Left            =   1875
         TabIndex        =   1
         Top             =   75
         Width           =   10050
      End
      Begin VB.Image iHide 
         Height          =   240
         Left            =   1470
         Picture         =   "Browser.frx":000C
         Tag             =   "Hide toolbar (Ctrl+F12)"
         Top             =   60
         Width           =   240
      End
      Begin VB.Image iLinks 
         Height          =   240
         Left            =   1140
         Picture         =   "Browser.frx":0596
         Tag             =   "Web links"
         Top             =   60
         Width           =   240
      End
      Begin VB.Image iRefresh 
         Height          =   240
         Left            =   810
         Picture         =   "Browser.frx":0B20
         Tag             =   "Reload page (F5)"
         Top             =   60
         Width           =   240
      End
      Begin VB.Image iFwd 
         Height          =   240
         Left            =   480
         Picture         =   "Browser.frx":10AA
         Tag             =   "Go forward (Alt+Right)"
         Top             =   60
         Width           =   240
      End
      Begin VB.Image iBack 
         Height          =   240
         Left            =   150
         Picture         =   "Browser.frx":1634
         Tag             =   "Go back (Alt+Left)"
         Top             =   60
         Width           =   240
      End
      Begin VB.Shape Cursor 
         BackColor       =   &H00D0D0D0&
         BorderColor     =   &H00C0C0C0&
         Height          =   300
         Left            =   120
         Top             =   30
         Visible         =   0   'False
         Width           =   300
      End
   End
End
Attribute VB_Name = "Browser"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public WithEvents Web As VBControlExtender
Attribute Web.VB_VarHelpID = -1

Private Sub Form_Load()
    LoadPic iBack, "Backward.ico": LoadPic iFwd, "Forward.ico"
    LoadPic iRefresh, "Refresh.ico": LoadPic iLinks, "Links.ico"
    LoadPic iHide, "Hide.ico"
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Activate: Cancel = True: Exit Sub
    If Not Web Is Nothing Then Set Web = Nothing: Controls.Remove "Web"
    End Sub

Sub Activate()
    If Visible Then Hide _
    Else If Not Web Is Nothing Then Show vbModeless, Main _
    Else Explore
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_Resize()
    Dim X As Single
    Address.Width = ScaleWidth: URL.Width = Address.Width - URL.Left - 4
    URL.Height = 1: X = URL.Height + 4: Address.Height = IfSng(X < 24, 24, X)
    URL.Top = Int((Address.Height - URL.Height) / 2)
    X = Int((Address.Height - iHide.Height) / 2)
    iBack.Top = X: iFwd.Top = X: iRefresh.Top = X: iLinks.Top = X: iHide.Top = X
    Address.Visible = BrowserBar: X = IfSng(BrowserBar, Address.Height, 0)
    If Not Web Is Nothing Then Web.Move 0, X, ScaleWidth, ScaleHeight - X
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If Tip.Visible Then Tip.Update
    Select Case KeyCode
    'Case vbKey1 To vbKey5: If Shift = 2 Then N = KeyCode - vbKey1: Web.Object.ExecWB &H13&, 0, VarPtr(N), 0 'OLECMDID_ZOOM=&H13 OLECMDID_OPTICAL_ZOOM=&H3F OLECMDEXECOPT_DODEFAULT=0
    Case vbKeyF11: If Shift = 2 Then FullScreenPanel Me _
        Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyF12: If Shift = 2 Then ActivateBar _
        Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyEscape: If WindowState = vbMaximized Then FullScreenPanel Me Else Activate
    Case vbKeyF1 To vbKeyF12: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Private Sub Address_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'If X < 4 Or X >= URL.Left - 8 Then SetCursor
    SetCursor
    End Sub

Sub ActivateBar(Optional ByVal Activate As Long = -2)
    If Activate = 0 Or Activate = -1 Then BrowserBar = Activate _
    Else If Activate = -2 Then BrowserBar = Not BrowserBar
    Address.Visible = BrowserBar: If BrowserBar Then SetFocusX Address.hWnd: SetFocusX URL.hWnd
    Form_Resize
    End Sub

Sub Explore(Optional URL As String, Optional ByVal InfoBox As Boolean)
    Dim W As Single, H As Single
    On Error Resume Next
    If Web Is Nothing Then
        If InfoBox Then W = 800: H = 560 Else W = 1100: H = 650
        Move (ScreenLeft + ScreenWidth - W - 10) * TwipX, _
             (ScreenTop + ScreenHeight - H - 10) * TwipY, W * TwipX, H * TwipY
        With Search: .Move Left - .Width, Top, .Width, Height: End With
        Show vbModeless, Main
        DoEvents
        'Dim IE As SHDocVw.InternetExplorer: Set IE = CreateObject("InternetExplorer.Application")
        'IE.Visible = True: IE.Navigate URL
        'IE.GoBack: IE.GoForward: IE.GoHome: IE.GoSearch: IE.Refresh: IE.Stop
        Set Web = Controls.Add("Shell.Explorer", "Web", Me)
        If Web Is Nothing Then Exit Sub
        If URL = "" Then URL = Links(0).URL
        End If
    If Not Web.Visible Then
        'C = Web.object.hWnd: SetWindowLong C, -20, GetWindowLong(C, -20) And Not &H200& 'GWL_EXSTYLE=-20 WS_EX_CLIENTEDGE=&H200
        Form_Resize
        Web.object.Silent = 1 'Web.Object.ScriptErrorsSuppressed = 1
        Web.Visible = True
        End If
    If URL <> Web.object.LocationURL Then Web.object.Navigate IIf(URL <> "", URL, Links(0).URL)
    If Not Visible Then Show vbModeless, Main: If Options.SnapPanels Then ResizeMain
    On Error GoTo 0
    End Sub

Private Sub URL_GotFocus()
    URL.SelStart = 0: URL.SelLength = &HFFFF&
    End Sub

Private Sub URL_KeyDown(KeyCode As Integer, Shift As Integer)
    Dim S As String
    Select Case KeyCode
    Case vbKeyReturn
        URL_GotFocus
        S = URL: If InStr(S, ":/") = 0 And InStr(S, ":\") = 0 Then S = "http://" & S
        Explore S
        End Select
    End Sub

Private Sub URL_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor
    End Sub

Private Sub iBack_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iBack, Button
    End Sub

Private Sub iBack_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iBack, Button
    End Sub

Private Sub iBack_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iBack
    If Not Web Is Nothing Then On Error Resume Next: Web.object.GoBack: On Error GoTo 0
    End Sub

Private Sub iBack_DblClick()
    iBack_MouseDown 1, 0, 0, 0
    End Sub

Private Sub iFwd_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iFwd, Button
    End Sub

Private Sub iFwd_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iFwd, Button
    End Sub

Private Sub iFwd_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iFwd
    If Not Web Is Nothing Then On Error Resume Next: Web.object.GoForward: On Error GoTo 0
    End Sub

Private Sub iFwd_DblClick()
    iFwd_MouseDown 1, 0, 0, 0
    End Sub

Private Sub iRefresh_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iRefresh, Button
    End Sub

Private Sub iRefresh_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iRefresh, Button
    End Sub

Private Sub iRefresh_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iRefresh
    If Not Web Is Nothing Then On Error Resume Next: Web.object.Refresh: On Error GoTo 0
    End Sub

Private Sub iLinks_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iLinks, Button
    End Sub

Private Sub iLinks_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iLinks, Button
    End Sub

Private Sub iLinks_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Main.SetLinksMenu: ShowMenu Me, Main.mnLinksMenu, iLinks
    SetCursor iLinks
    End Sub

Private Sub iHide_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iHide, Button
    End Sub

Private Sub iHide_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iHide, Button
    End Sub

Private Sub iHide_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor iHide
    ActivateBar
    End Sub

Private Sub SetCursor(Optional I As Image, Optional Button As Integer)
    If I Is Nothing Then
        Cursor.Visible = False: Cursor.BackStyle = 0: Tm = False
        If Tip.Visible Then Tip.Update
    Else
        If Not Tm Then Tm = True
        Cursor.BackStyle = IfInt(Button, 1, 0)
        Cursor.Move I.Left - 2, I.Top - 2: Cursor.Visible = True
        Tip.Update I.Tag
        'Address.Refresh: DoEvents
        End If
    End Sub

Private Sub Tm_Timer()
    Dim Pt As PointApi
    GetCursorPos Pt: If WindowFromPoint(Pt.X, Pt.Y) <> Address.hWnd Then SetCursor
    End Sub

Private Sub Web_ObjectEvent(Info As EventInfo)
    On Error Resume Next
    Select Case Info
    'Case "CommandStateChange"
    Case "StatusTextChange"
        'Caption = Info.EventParameters(0).Value 'Web.Object.StatusText
    Case "TitleChange"
        'Info.EventParameters(0).Value
        URL = Web.object.LocationURL: URL_GotFocus
        Caption = "Web browser - " & Web.object.LocationName
    'Case "DownloadBegin"
    'Case "DownloadComplete"
    'Case "ProgressChange"
    'Case "BeforeNavigate2"
    Case "NavigateComplete", "NavigateComplete2"
        'Caption = Web.Object.LocationURL 'Info.EventParameters(1).Value
    'Case "DocumentComplete"
        End Select
    'Print Timer; "Event: " & Info.Name
    'Dim E As EventParameter
    'For Each E In Info.EventParameters
    '    Print "  " & E.Name & " (" & E.Value & ")"
    ''    If Err = -2147024809 Then Print "  " & E.Name & " ERROR"
    '    Next
    On Error GoTo 0
    End Sub
