VERSION 5.00
Begin VB.UserControl Edit 
   Appearance      =   0  'Flat
   ClientHeight    =   225
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1950
   ClipBehavior    =   0  'None
   ClipControls    =   0   'False
   FillColor       =   &H8000000F&
   FillStyle       =   0  'Solid
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   HasDC           =   0   'False
   HitBehavior     =   0  'None
   MaskColor       =   &H00FF00FF&
   ScaleHeight     =   15
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   130
   ToolboxBitmap   =   "Edit.ctx":0000
   Begin VB.TextBox Edit 
      BorderStyle     =   0  'None
      Height          =   225
      Left            =   450
      TabIndex        =   0
      Top             =   0
      Width           =   1500
   End
   Begin VB.Label Txt 
      Appearance      =   0  'Flat
      AutoSize        =   -1  'True
      Caption         =   "Edit"
      Height          =   195
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Width           =   270
   End
End
Attribute VB_Name = "Edit"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim Border As Single, IsNum As Boolean

Event Apply()
Event Update()
Event Change()
Event Key(KeyCode As Integer, Shift As Integer)
Event KeyUp(KeyCode As Integer, Shift As Integer)
Event KeyPress(KeyAscii As Integer)
Event Up()
Event Down()
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Event Focus()

Property Get Caption() As String
Attribute Caption.VB_Description = "Text of the label on the left."
    Caption = Txt.Caption
    End Property

Property Let Caption(Value As String)
    Txt.Caption = Value: UserControl_Resize
    PropertyChanged "Caption"
    End Property

Property Get Text() As String
Attribute Text.VB_Description = "Text of the edit box."
Attribute Text.VB_UserMemId = 0
Attribute Text.VB_MemberFlags = "200"
    Text = Edit.Text
    End Property

Property Let Text(Value As String)
    Edit.Text = Value: SelectText
    PropertyChanged "Text"
    End Property

'Property Get Margin() As Single
'    Margin = Border
'    End Property

'Property Let Margin(Value As Single)
'    Border = Value: UserControl_Resize
'    PropertyChanged "Margin"
'    End Property

Property Get Numeric() As Boolean
    Numeric = IsNum
    End Property

Property Let Numeric(Value As Boolean)
    IsNum = Value
    PropertyChanged "Numeric"
    End Property

Property Get Alignment() As AlignmentConstants
    Alignment = Edit.Alignment
    End Property

Property Let Alignment(Value As AlignmentConstants)
    Edit.Alignment = Value
    PropertyChanged "Alignment"
    End Property

Property Get ToolTip() As String
Attribute ToolTip.VB_Description = "Tool tip text for the text box."
    ToolTip = Tag
    End Property

Property Let ToolTip(Value As String)
    Tag = Value
    PropertyChanged "ToolTip"
    End Property

Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Foreground color for the text."
    ForeColor = UserControl.ForeColor
    End Property

Property Let ForeColor(Value As OLE_COLOR)
    UserControl.ForeColor = Value: Txt.ForeColor = Value: Edit.ForeColor = Value
    PropertyChanged "ForeColor"
    End Property

Property Get LabelColor() As OLE_COLOR
Attribute LabelColor.VB_Description = "Background color of the text."
    LabelColor = UserControl.BackColor
    End Property

Property Let LabelColor(Value As OLE_COLOR)
    UserControl.BackColor = Value: Txt.BackColor = Value
    PropertyChanged "LabelColor"
    End Property

Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Background color of the edit box and the button."
    BackColor = Edit.BackColor
    End Property

Property Let BackColor(Value As OLE_COLOR)
    Edit.BackColor = Value
    PropertyChanged "BackColor"
    End Property

Property Get Locked() As Boolean
Attribute Locked.VB_Description = "The text box is locked and cannot be modified."
    Locked = Edit.Locked
    End Property

Property Let Locked(Value As Boolean)
    Edit.Locked = Value
    PropertyChanged "Locked"
    End Property

Property Get Font() As StdFont
Attribute Font.VB_Description = "Font used for the text."
    Set Font = UserControl.Font
    End Property

Property Let Font(Value As StdFont)
    Set UserControl.Font = Value: Set Txt.Font = Value: Set Edit.Font = Value: UserControl_Resize
    PropertyChanged "Font"
    End Property

Property Set Font(Value As StdFont)
    Set UserControl.Font = Value: Set Txt.Font = Value: Set Edit.Font = Value: UserControl_Resize
    PropertyChanged "Font"
    End Property

Sub SymbolFont(Value As StdFont)
    'Set Chk.Font = Value
    End Sub

Function hWnd() As Long
    hWnd = UserControl.hWnd
    End Function

Sub Refresh()
    UserControl.Refresh
    End Sub

Sub SetFocus()
    If Edit.Visible Then Edit.SetFocus
    End Sub

Sub SelectAll()
    Selection 0, &HFFFF&
    End Sub

Sub SelectToEnd()
    Selection , &HFFFF&
    End Sub

Sub Selection(Optional ByVal Start As Long = -1, Optional ByVal Length As Long = -1)
    If Start >= 0 Then Edit.SelStart = Start
    If Length >= 0 Then Edit.SelLength = Length
    End Sub

Function SelStart() As Long
    SelStart = Edit.SelStart
    End Function

Function SelLength() As Long
    SelLength = Edit.SelLength
    End Function

Private Sub SelectText()
    Dim C As Long, S As String
    Edit.SelStart = 0: If Not IsNum Then Edit.SelLength = &HFFFF&: Exit Sub
    S = Edit: For C = 1 To Len(S)
        Select Case Mid(S, C, 1)
        Case ".", ",", "-", "+", "0" To "9"
        Case Else: If C > 1 Then C = C - 1 Else C = &HFFFF&
            Exit For
            End Select
        Next
    Edit.SelLength = C
    End Sub

Private Sub Edit_GotFocus()
    RaiseEvent Focus
    SelectText
    End Sub

Private Sub Edit_LostFocus()
    RaiseEvent Apply
    End Sub

Private Sub Edit_Change()
    RaiseEvent Change
    End Sub

Private Sub Edit_KeyDown(KeyCode As Integer, Shift As Integer)
    If Tip.Visible Then Tip.Update
    RaiseEvent Key(KeyCode, Shift)
    Select Case KeyCode
    Case vbKeyUp: KeyCode = 0: RaiseEvent Up
    Case vbKeyDown: KeyCode = 0: RaiseEvent Down
    Case vbKeyReturn: If Not Edit.Locked Then SelectText: RaiseEvent Apply
        End Select
    End Sub

Private Sub Edit_KeyUp(KeyCode As Integer, Shift As Integer)
    RaiseEvent KeyUp(KeyCode, Shift)
    End Sub

Private Sub Edit_KeyPress(KeyAscii As Integer)
    RaiseEvent KeyPress(KeyAscii)
    End Sub

Private Sub Edit_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseDown Button, Shift, X, Y
    End Sub

Private Sub Edit_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseMove Button, Shift, X, Y
    End Sub

Private Sub Txt_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseDown Button, Shift, X, Y
    End Sub

Private Sub Txt_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseMove Button, Shift, X, Y
    RaiseEvent MouseMove(Button, Shift, X, Y)
    End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Tip.Visible Then Tip.Update
    End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Tip.Update Tag
    End Sub

Private Sub UserControl_Resize()
    Dim X As Single, W As Single
    If Txt.Caption <> "" Then X = Txt.Width + ScaleWidth * Border / 100
    W = ScaleWidth - X: If W < 1 Then W = 1
    Edit.Move X, 0, W, ScaleHeight
    End Sub

Private Sub UserControl_Initialize()
    Border = 5: IsNum = False
    End Sub

Private Sub UserControl_ReadProperties(P As PropertyBag)
    Caption = P.ReadProperty("Caption", UserControl.Name)
    Text = P.ReadProperty("Text", "")
    'Margin = P.ReadProperty("Margin", 5)
    Numeric = P.ReadProperty("Numeric", False)
    Alignment = P.ReadProperty("Alignment", vbLeftJustify)
    ToolTip = P.ReadProperty("ToolTip", "")
    ForeColor = P.ReadProperty("ForeColor", vbButtonText)
    LabelColor = P.ReadProperty("LabelColor", vbButtonFace)
    BackColor = P.ReadProperty("BackColor", vbWindowBackground)
    Locked = P.ReadProperty("Locked", False)
    Font = P.ReadProperty("Font", UserControl.Extender.Container.Font)
    End Sub

Private Sub UserControl_WriteProperties(P As PropertyBag)
    P.WriteProperty "Caption", Caption, UserControl.Name
    P.WriteProperty "Text", Text, ""
    'P.WriteProperty "Margin", Margin, 5
    P.WriteProperty "Numeric", Numeric, False
    P.WriteProperty "Alignment", Alignment, vbLeftJustify
    P.WriteProperty "ToolTip", ToolTip, ""
    P.WriteProperty "ForeColor", ForeColor, vbButtonText
    P.WriteProperty "LabelColor", LabelColor, vbButtonFace
    P.WriteProperty "BackColor", BackColor, vbWindowBackground
    P.WriteProperty "Locked", Locked, False
    P.WriteProperty "Font", Font, UserControl.Extender.Container.Font
    End Sub
