VERSION 5.00
Begin VB.Form Graph2 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Input graph"
   ClientHeight    =   2070
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   6675
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Graph2.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   138
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   445
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.PictureBox Pic 
      AutoRedraw      =   -1  'True
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   2070
      Left            =   0
      ScaleHeight     =   138
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   445
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   0
      Width           =   6675
   End
   Begin VB.Menu mnMenu 
      Caption         =   "Menu"
      Visible         =   0   'False
      Begin VB.Menu mnData 
         Caption         =   "Data"
         Checked         =   -1  'True
         Index           =   1
      End
      Begin VB.Menu mnSS2 
         Caption         =   "-"
      End
      Begin VB.Menu mnTimeScale 
         Caption         =   "Time scale"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnTimeLabels 
         Caption         =   "Time labels"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnDataScale 
         Caption         =   "Data scale"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnDataLabels 
         Caption         =   "Data labels"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnAutoScroll 
         Caption         =   "Auto scroll"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnSS3 
         Caption         =   "-"
      End
      Begin VB.Menu mnHistogram 
         Caption         =   "Histogram"
      End
      Begin VB.Menu mnDensity 
         Caption         =   "Density"
         Begin VB.Menu mnStep 
            Caption         =   ""
            Index           =   0
         End
      End
      Begin VB.Menu mnSS4 
         Caption         =   "-"
      End
      Begin VB.Menu mnCopyImage 
         Caption         =   "Copy image"
      End
      Begin VB.Menu mnCopyData 
         Caption         =   "Copy data"
      End
      Begin VB.Menu mnSaveData 
         Caption         =   "Save data "
      End
      Begin VB.Menu mnSS5 
         Caption         =   "-"
      End
      Begin VB.Menu mnClearGraph 
         Caption         =   "Clear graph"
      End
      Begin VB.Menu mnSS6 
         Caption         =   "-"
      End
      Begin VB.Menu mnHide 
         Caption         =   "Hide"
      End
   End
End
Attribute VB_Name = "Graph2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    If Not IsDebug Then SetGraph2Proc hWnd
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    If Not IsDebug Then SetGraph2Proc hWnd, False
    End Sub

Sub Activate()
    If Main.WindowState = vbMinimized Then Exit Sub
    If Visible Then Hide Else Show vbModeless, Main: Plot2
    'If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If Tip.Visible Then Tip.Update
    Select Case KeyCode
    Case 1: Plot2 IfInt(Shift, -1000, -100), -5: Pic.Refresh
    Case 2: Plot2 IfInt(Shift, 1000, 100), -5: Pic.Refresh
    Case vbKeyAdd: NumAddInt Graph2Step, 1: Plot2: Pic.Refresh
    Case vbKeySubtract: NumAddInt Graph2Step, -1: Plot2: Pic.Refresh
    'Case vbKeyUp: mnScaleUp_Click
    'Case vbKeyDown: mnScaleDown_Click
    Case vbKeyLeft: Plot2 IfInt(Shift, -10, -1): Pic.Refresh
    Case vbKeyRight: Plot2 IfInt(Shift, 10, 1): Pic.Refresh
    Case vbKeyPageUp: Plot2 IfInt(Shift, -1000, -100): Pic.Refresh
    Case vbKeyPageDown: Plot2 IfInt(Shift, 1000, 100): Pic.Refresh
    Case vbKeyHome: Plot2 , True: Pic.Refresh
    Case vbKeyEnd: Plot2 Graph2N - 1, True: Pic.Refresh
    Case vbKeyContextMenu: ShowGraph2Menu
    Case vbKeyInsert, vbKeyC: If Shift = 2 Then CopyGraph2
    Case vbKey1 To vbKey8: Graph2Mode = Graph2Mode Xor (&H10& * 2 ^ (KeyCode - vbKey1)): Plot2
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn
        If Shift Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Private Sub Form_Resize()
    Pic.Move 0, 0, ScaleWidth, ScaleHeight: If Visible Then Plot2
    'If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub mnData_Click(Index As Integer)
    Graph2Mode = Graph2Mode Xor (&H10& * 2 ^ (Index - 1)): Plot2
    End Sub

Private Sub mnTimeScale_Click()
    Graph2Mode = Graph2Mode Xor 1: Plot2
    End Sub

Private Sub mnTimeLabels_Click()
    Graph2Mode = Graph2Mode Xor 4: Plot2
    End Sub

Private Sub mnDataScale_Click()
    Graph2Mode = Graph2Mode Xor 2: Plot2
    End Sub

Private Sub mnDataLabels_Click()
    Graph2Mode = Graph2Mode Xor 8: Plot2
    End Sub

Private Sub mnAutoScroll_Click()
    Graph2Scroll = Not Graph2Scroll: Plot2
    End Sub

Private Sub mnHistogram_Click()
    Graph2Hist = Not Graph2Hist: Plot2
    End Sub

Private Sub mnStep_Click(Index As Integer)
    Graph2Step = Val(mnStep(Index).Caption): Plot2
    End Sub

Private Sub mnCopyImage_Click()
    CopyImage Pic
    End Sub

Private Sub mnCopyData_Click()
    CopyGraph2
    End Sub

Private Sub mnSaveData_Click()
    SaveGraph2
    End Sub

Private Sub mnClearGraph_Click()
    InitGraph2
    End Sub

Private Sub mnHide_Click()
    Activate
    End Sub

Private Sub Pic_DblClick()
    Plot2 , -4, MouseX, MouseY
    End Sub

Private Sub Pic_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Select Case Button
    Case 1: Plot2 , -3, X, Y
        End Select
    End Sub

Private Sub Pic_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Select Case Button
    Case 0: If Shift = 0 Then Plot2 , -2, X: Pic.Refresh
    Case 1: Graph2W = Graph2W - X + MouseX: Plot2 , 1: Pic.Refresh
        End Select
    MouseX = X: MouseY = Y
    End Sub

Private Sub Pic_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Select Case Button
    Case 2: ShowGraph2Menu
    Case 4: Graph2Hist = Not Graph2Hist: Plot2
        End Select
    End Sub

Sub ShowGraph2Menu()
    Dim C As Long, N As Long, Q As Boolean
    C = &H10&: For N = 1 To Graph2C
        If N > mnData.UBound Then Load mnData(N)
        With mnData(N)
        If Graph2N <= 0 Then
            .Visible = False
        Else
            .Caption = IIf(Graph2L(N) = "", " -", Graph2L(N)): .Visible = Graph2T(N) <> 0
            Q = Q Or .Visible: .Checked = (Graph2Mode And C) = 0
            End If
        End With
        C = C * 2
        Next
    For N = Graph2C + 1 To mnData.UBound: Unload mnData(N): Next
    mnSS2.Visible = Q
    Check mnTimeScale, Graph2Mode And 1
    Check mnTimeLabels, Graph2Mode And 4
    Check mnDataScale, Graph2Mode And 2
    Check mnDataLabels, Graph2Mode And 8
    Check mnAutoScroll, Graph2Scroll
    Check mnHistogram, Graph2Hist
    If mnStep.UBound = 0 Then
                            N = 0: mnStep(N).Caption = "5 steps"
        N = N + 1: Load mnStep(N): mnStep(N).Caption = "10 steps"
        N = N + 1: Load mnStep(N): mnStep(N).Caption = "20 steps"
        N = N + 1: Load mnStep(N): mnStep(N).Caption = "50 steps"
        N = N + 1: Load mnStep(N): mnStep(N).Caption = "100 steps"
        N = N + 1: Load mnStep(N): mnStep(N).Caption = "200 steps"
        N = N + 1: Load mnStep(N): mnStep(N).Caption = "500 steps"
        N = N + 1: Load mnStep(N): mnStep(N).Caption = "1000 steps"
        End If
    For N = 0 To mnStep.UBound
        Check mnStep(N), Graph2Step = Val(mnStep(N).Caption)
        Next
    PopupMenu mnMenu
    End Sub
