VERSION 5.00
Begin VB.Form Help 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Help"
   ClientHeight    =   3000
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   3000
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Help.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   200
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   200
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.TextBox Txt 
      BackColor       =   &H8000000F&
      BorderStyle     =   0  'None
      Height          =   3000
      HideSelection   =   0   'False
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   0
      Visible         =   0   'False
      Width           =   3000
   End
End
Attribute VB_Name = "Help"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public BarX As Long, BarY As Long, PDF As VBControlExtender

Dim BorderX As Single, BorderY As Single, TxtHeight As Single, NoBar As Boolean

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Activate: Cancel = True: Exit Sub
    If Not PDF Is Nothing Then Set PDF = Nothing: Controls.Remove "PDF"
    End Sub

Sub Activate()
    If Visible Then Hide Else Load: Show vbModeless, Main
    End Sub

Private Sub Form_Resize()
    If PDF Is Nothing Then
        Txt.Move BorderX, BorderY, ScaleWidth - BorderX, ScaleHeight - BorderY * 2
        If NoBar Then NoBar = False Else ShowScrollBar Txt.hWnd, 1, _
            -(SendMessage(Txt.hWnd, &HBA&) * TxtHeight > Txt.Height) 'SB_VERT=1
    Else
        PDF.Move 0, 0, ScaleWidth, ScaleHeight
        End If
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyEscape, vbKeyF1: Activate
    Case vbKeyF2 To vbKeyF12: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyC
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn
        If Shift Or IsTest Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Private Sub Load()
    Dim W As Long, H As Long
    If Not PDF Is Nothing Then Exit Sub
    On Error Resume Next
    Set PDF = Controls.Add("AcroPDF.PDF.1", "PDF"): If PDF Is Nothing Then _
    Set PDF = Controls.Add("PDF.PdfCtrl.6", "PDF"): If PDF Is Nothing Then _
    Set PDF = Controls.Add("PDF.PdfCtrl.5", "PDF"): If PDF Is Nothing Then _
    Set PDF = Controls.Add("PDF.PdfCtrl.1", "PDF"): If PDF Is Nothing Then _
    GoTo NoPDF 'Version 7,6,5,4
    If PDF.object.LoadFile(EXEPathName & ".pdf") = 0 Then
        Set PDF = Nothing: Controls.Remove "PDF"
        GoTo NoPDF
        End If
    With Main
    W = 910: H = 720: SnapForm Me, 5, _
        .Left + .Width - (W + 5) * TwipX, .Top + .Height - (H + 5) * TwipY, _
        W * TwipX, H * TwipY
    End With
    Txt.Visible = False: PDF.Visible = True
    Exit Sub
NoPDF:
    If Txt.Visible Then Exit Sub
    StrAdd "F1" & Tab2 & "Show Help panel" & vbCrLf
    StrAdd "F2" & Tab2 & "Show Data panel" & vbCrLf
    StrAdd "F3" & Tab2 & "Show Log panel" & vbCrLf
    StrAdd "F4" & Tab2 & "Show Graph panel" & vbCrLf
    StrAdd "F5" & Tab2 & "Show Setup panel" & vbCrLf
    StrAdd "F6" & Tab2 & "Show Stages panel" & vbCrLf
    StrAdd "F7" & Tab2 & "Show Propellant editor" & vbCrLf
    StrAdd "F8" & Tab2 & "Show View panel" & vbCrLf
    StrAdd "F9" & Tab2 & "Show Link panel" & vbCrLf
    StrAdd "F10" & Tab2 & "Show Options panel" & vbCrLf
    StrAdd "F11" & Tab2 & "Full screen mode" & vbCrLf
    StrAdd "F12" & Tab2 & "Show Toolbar" & vbCrLf
    StrAdd "Left Mouse+Drag" & Tab1 & "Free camera mode" & vbCrLf
    StrAdd "Right Mouse+Drag" & Tab1 & "Rotate camera" & vbCrLf
    StrAdd "Mouse Wheel" & Tab1 & "Zoom camera" & vbCrLf
    StrAdd "Ctl + 1 ... 9" & Tab1 & "Select path" & vbCrLf
    StrAdd "Alt + Delete" & Tab1 & "Clear statistics" & vbCrLf
    StrAdd "PrintScreen" & Tab1 & "Take screen snapshot" & vbCrLf
    StrAdd "Escape" & Tab2 & "Exit" & vbCrLf
    StrAdd vbCrLf
    StrAdd " LEO orbital speed at 250 km: 7.756 km/s" & vbCrLf
    StrAdd " GEO orbital speed at 35.786 Mm: 3.075 km/s" & vbCrLf
    StrAdd " Escape velocity at 130 km: 11.069 km/s" & vbCrLf
    StrAdd vbCrLf
    StrAdd " Procedure to design mini-launchers:" & vbCrLf
    StrAdd "1: Define the Payload mass (Payload)." & vbCrLf
    StrAdd "2: Define the number of stages and its" & vbCrLf
    StrAdd "    performances: Mass, Dry, Thrust, Delay," & vbCrLf
    StrAdd "    Area, Length and Type." & vbCrLf
    StrAdd vbCrLf
    StrAdd " Procedure to put a satellite in orbit:" & vbCrLf
    StrAdd "1: Adjust the total Mass until the required" & vbCrLf
    StrAdd "    orbital speed is reached. See table before." & vbCrLf
    StrAdd "2: Adjust angles and altitudes for the minimum" & vbCrLf
    StrAdd "    energy trajectory (Start at, End at) until" & vbCrLf
    StrAdd "    the desired orbital altitude is reached." & vbCrLf
    StrAdd "3: Adjust the delay time between the two last" & vbCrLf
    StrAdd "    stages until perform a null vertical speed" & vbCrLf
    StrAdd "    at the burn out." & vbCrLf
    StrAdd vbCrLf
    StrAdd " Procedure to put a lunar rover on the Moon:" & vbCrLf
    StrAdd "1: Adjust the total Mass until the required" & vbCrLf
    StrAdd "    escape velocity is reached." & vbCrLf
    StrAdd "2: Adjust the launch Date and Time in such a" & vbCrLf
    StrAdd "    way that the Moon's orbital plane is in the" & vbCrLf
    StrAdd "    same plane as the launcher heading plane" & vbCrLf
    StrAdd "    and the launcher trajectory touches the" & vbCrLf
    StrAdd "    Moon." & vbCrLf
    StrAdd vbCrLf
    StrAdd AppName & " BSD license" & vbCrLf
    StrAdd "    Programmed by Juan Martnez" & vbCrLf
    StrAdd "    Designed by Joshua Tristancho" & vbCrLf
    Txt = StrAdd: Txt.SelStart = &HFFFF&
    Resize True
    Txt.Visible = True
    On Error GoTo 0
    End Sub

Sub Resize(Optional ByVal Center As Boolean)
    If Not PDF Is Nothing Then Exit Sub
    BorderX = 10: BorderY = 5: TxtHeight = TextHeight("")
    Width = (Width / TwipX - ScaleWidth + BorderX * 2 + TextWidth(Txt)) * TwipX
    Height = (Height / TwipY - ScaleHeight + BorderY * 2 + TextHeight(Txt) - TxtHeight) * TwipY
    If Center Then Move ScreenLeft * TwipX + (ScreenWidth * TwipX - Width) / 2, _
                        ScreenTop * TwipY + (ScreenHeight * TwipY - Height) / 2
    ShowScrollBar Txt.hWnd, 3, 0: NoBar = True 'SB_BOTH=3
    End Sub
