VERSION 5.00
Begin VB.UserControl IconEx 
   BackStyle       =   0  'Transparent
   CanGetFocus     =   0   'False
   ClientHeight    =   240
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   240
   ClipBehavior    =   0  'None
   ClipControls    =   0   'False
   Enabled         =   0   'False
   HitBehavior     =   0  'None
   MaskColor       =   &H00FF00FF&
   ScaleHeight     =   16
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   16
   ToolboxBitmap   =   "Icon.ctx":0000
   Windowless      =   -1  'True
End
Attribute VB_Name = "IconEx"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Declare Function DestroyIcon Lib "User32" (ByVal hIcon As Long) As Long
Private Declare Function DrawIconEx Lib "User32" (ByVal hDC As Long, ByVal xLeft As Long, ByVal yTop As Long, ByVal hIcon As Long, Optional ByVal cxWidth As Long, Optional ByVal cyHeight As Long, Optional ByVal istepIfAniCur As Long, Optional ByVal hbrFlickerFreeDraw As Long, Optional ByVal diFlags As Long) As Boolean
'Private Declare Function LoadImage Lib "User32" Alias "LoadImageA" (ByVal hInst As Long, ByVal lpszName As String, ByVal uType As Long, Optional ByVal cxDesired As Long, Optional ByVal cyDesired As Long, Optional ByVal fuLoad As Long) As Long

Enum ButtonState: Pressed = -1: UnPressed: Focus: Activated: End Enum

Public PaintIcon As Long, State As ButtonState, Repeat As Boolean, _
    iFocus As Image, iPressed As Image, iActivated As Image, _
    Icon1 As Long, Left1 As Long, Top1 As Long, _
    Icon2 As Long, Left2 As Long, Top2 As Long, _
    Icon3 As Long, Left3 As Long, Top3 As Long

'Function LoadIcon(File As String, _
'        Optional ByVal Width As Long = 32, Optional ByVal Height As Long = 32) As Long
'    LoadIcon = LoadImage(0, File, 1, Width, Height, &H10&)  'IMAGE_ICON=1 LR_LOADFROMFILE=&H10
'    End Function

Sub SetIcon(Optional ByVal Icon As Long = 1)
    PaintIcon = Icon: Refresh
    End Sub

Sub SetState(Optional ByVal NewState As ButtonState = UnPressed)
    State = NewState: Refresh
    End Sub

Private Sub UserControl_Terminate()
    If Icon1 Then DestroyIcon Icon1: Icon1 = 0
    If Icon2 Then DestroyIcon Icon2: Icon2 = 0
    If Icon3 Then DestroyIcon Icon3: Icon3 = 0
    End Sub

Private Sub UserControl_Paint()
    If Theme = StyleBasic Then
        If State Then Line (0, 0)-(ScaleWidth - 1, ScaleHeight - 1), &HC0C0C0, B: _
            If State = Pressed Then Line (1, 1)-(ScaleWidth - 2, ScaleHeight - 2), &HC0C0C0, BF _
            Else If State = Activated Then Line (1, 1)-(ScaleWidth - 2, ScaleHeight - 2), &HC0A080, BF
    Else
        If State = Focus And Not iFocus Is Nothing Then PaintPicture iFocus, 0, 0 _
        Else If State = Pressed And Not iPressed Is Nothing Then PaintPicture iPressed, 0, 0 _
        Else If State = Activated And Not iActivated Is Nothing Then PaintPicture iActivated, 0, 0
        End If
    If PaintIcon And 1 Then If Icon1 Then DrawIconEx hDC, Left1, Top1, Icon1, , , , , 3 'DI_NORMAL=3
    If PaintIcon And 2 Then If Icon2 Then DrawIconEx hDC, Left2, Top2, Icon2, , , , , 3 'DI_NORMAL=3
    If PaintIcon And 4 Then If Icon3 Then DrawIconEx hDC, Left3, Top3, Icon3, , , , , 3 'DI_NORMAL=3
    End Sub
