VERSION 5.00
Begin VB.Form Preset 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Preset editor"
   ClientHeight    =   6300
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   13545
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Preset.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   420
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   903
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.TextBox StgModel 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   12225
      Locked          =   -1  'True
      TabIndex        =   286
      ToolTipText     =   "Payload 3D model (Default=Payload)"
      Top             =   2040
      Width           =   960
   End
   Begin VB.TextBox StgModel 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   12225
      Locked          =   -1  'True
      TabIndex        =   285
      ToolTipText     =   "Hover 3D model (Default=Hover)"
      Top             =   1800
      Width           =   960
   End
   Begin VB.TextBox StgModel 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   12225
      Locked          =   -1  'True
      TabIndex        =   284
      ToolTipText     =   "Stage 3D model (Default=Stage5)"
      Top             =   1560
      Width           =   960
   End
   Begin VB.TextBox StgModel 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   12225
      Locked          =   -1  'True
      TabIndex        =   283
      ToolTipText     =   "Stage 3D model (Default=Stage4)"
      Top             =   1320
      Width           =   960
   End
   Begin VB.TextBox StgModel 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   12225
      Locked          =   -1  'True
      TabIndex        =   282
      ToolTipText     =   "Stage 3D model (Default=Stage3)"
      Top             =   1080
      Width           =   960
   End
   Begin VB.TextBox StgModel 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   12225
      Locked          =   -1  'True
      TabIndex        =   281
      ToolTipText     =   "Stage 3D model (Default=Stage2)"
      Top             =   840
      Width           =   960
   End
   Begin VB.TextBox StgModel 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   12225
      Locked          =   -1  'True
      TabIndex        =   280
      ToolTipText     =   "Stage 3D model (Default=Stage1)"
      Top             =   600
      Width           =   960
   End
   Begin VB.TextBox StgCenterZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   11715
      TabIndex        =   279
      ToolTipText     =   "Payload center of mass in Z axis [m], [in], [ft]"
      Top             =   2040
      Width           =   420
   End
   Begin VB.TextBox StgCenterY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   11265
      TabIndex        =   278
      ToolTipText     =   "Payload center of mass in Y axis [m], [in], [ft]"
      Top             =   2040
      Width           =   420
   End
   Begin VB.TextBox StgCenterX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   10815
      TabIndex        =   277
      ToolTipText     =   "Payload center of mass in X axis [m], [in], [ft]"
      Top             =   2040
      Width           =   420
   End
   Begin VB.TextBox StgInertiaZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   10305
      TabIndex        =   276
      ToolTipText     =   "Payload moment of inertia around Z axis (Roll) [kgm], [lbft] (Default=Cylinder)"
      Top             =   2040
      Width           =   420
   End
   Begin VB.TextBox StgInertiaY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   9855
      TabIndex        =   275
      ToolTipText     =   "Payload moment of inertia around Y axis (Yaw) [kgm], [lbft] (Default=Cylinder)"
      Top             =   2040
      Width           =   420
   End
   Begin VB.TextBox StgInertiaX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   9405
      TabIndex        =   274
      ToolTipText     =   "Payload moment of inertia around X axis (Pitch) [kgm], [lbft] (Default=Cylinder)"
      Top             =   2040
      Width           =   420
   End
   Begin VB.TextBox StgCenterZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   11715
      TabIndex        =   273
      ToolTipText     =   "Hover center of mass in Z axis [m], [in], [ft]"
      Top             =   1800
      Width           =   420
   End
   Begin VB.TextBox StgCenterY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   11265
      TabIndex        =   272
      ToolTipText     =   "Hover center of mass in Y axis [m], [in], [ft]"
      Top             =   1800
      Width           =   420
   End
   Begin VB.TextBox StgCenterX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   10815
      TabIndex        =   271
      ToolTipText     =   "Hover center of mass in X axis [m], [in], [ft]"
      Top             =   1800
      Width           =   420
   End
   Begin VB.TextBox StgInertiaZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   10305
      TabIndex        =   270
      ToolTipText     =   "Hover moment of inertia around Z axis (Roll) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1800
      Width           =   420
   End
   Begin VB.TextBox StgInertiaY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   9855
      TabIndex        =   269
      ToolTipText     =   "Hover moment of inertia around Y axis (Yaw) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1800
      Width           =   420
   End
   Begin VB.TextBox StgInertiaX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   9405
      TabIndex        =   268
      ToolTipText     =   "Hover moment of inertia around X axis (Pitch) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1800
      Width           =   420
   End
   Begin VB.TextBox StgCenterZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   11715
      TabIndex        =   267
      ToolTipText     =   "Stage center of mass in Z axis [m], [in], [ft]"
      Top             =   1560
      Width           =   420
   End
   Begin VB.TextBox StgCenterY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   11265
      TabIndex        =   266
      ToolTipText     =   "Stage center of mass in Y axis [m], [in], [ft]"
      Top             =   1560
      Width           =   420
   End
   Begin VB.TextBox StgCenterX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   10815
      TabIndex        =   265
      ToolTipText     =   "Stage center of mass in X axis [m], [in], [ft]"
      Top             =   1560
      Width           =   420
   End
   Begin VB.TextBox StgInertiaZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   10305
      TabIndex        =   264
      ToolTipText     =   "Stage moment of inertia around Z axis (Roll) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1560
      Width           =   420
   End
   Begin VB.TextBox StgInertiaY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   9855
      TabIndex        =   263
      ToolTipText     =   "Stage moment of inertia around Y axis (Yaw) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1560
      Width           =   420
   End
   Begin VB.TextBox StgInertiaX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   9405
      TabIndex        =   262
      ToolTipText     =   "Stage moment of inertia around X axis (Pitch) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1560
      Width           =   420
   End
   Begin VB.TextBox StgCenterZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   11715
      TabIndex        =   261
      ToolTipText     =   "Stage center of mass in Z axis [m], [in], [ft]"
      Top             =   1320
      Width           =   420
   End
   Begin VB.TextBox StgCenterY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   11265
      TabIndex        =   260
      ToolTipText     =   "Stage center of mass in Y axis [m], [in], [ft]"
      Top             =   1320
      Width           =   420
   End
   Begin VB.TextBox StgCenterX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   10815
      TabIndex        =   259
      ToolTipText     =   "Stage center of mass in X axis [m], [in], [ft]"
      Top             =   1320
      Width           =   420
   End
   Begin VB.TextBox StgInertiaZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   10305
      TabIndex        =   258
      ToolTipText     =   "Stage moment of inertia around Z axis (Roll) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1320
      Width           =   420
   End
   Begin VB.TextBox StgInertiaY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   9855
      TabIndex        =   257
      ToolTipText     =   "Stage moment of inertia around Y axis (Yaw) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1320
      Width           =   420
   End
   Begin VB.TextBox StgInertiaX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   9405
      TabIndex        =   256
      ToolTipText     =   "Stage moment of inertia around X axis (Pitch) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1320
      Width           =   420
   End
   Begin VB.TextBox StgCenterZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   11715
      TabIndex        =   255
      ToolTipText     =   "Stage center of mass in Z axis [m], [in], [ft]"
      Top             =   1080
      Width           =   420
   End
   Begin VB.TextBox StgCenterY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   11265
      TabIndex        =   254
      ToolTipText     =   "Stage center of mass in Y axis [m], [in], [ft]"
      Top             =   1080
      Width           =   420
   End
   Begin VB.TextBox StgCenterX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   10815
      TabIndex        =   253
      ToolTipText     =   "Stage center of mass in X axis [m], [in], [ft]"
      Top             =   1080
      Width           =   420
   End
   Begin VB.TextBox StgInertiaZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   10305
      TabIndex        =   252
      ToolTipText     =   "Stage moment of inertia around Z axis (Roll) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1080
      Width           =   420
   End
   Begin VB.TextBox StgInertiaY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   9855
      TabIndex        =   251
      ToolTipText     =   "Stage moment of inertia around Y axis (Yaw) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1080
      Width           =   420
   End
   Begin VB.TextBox StgInertiaX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   9405
      TabIndex        =   250
      ToolTipText     =   "Stage moment of inertia around X axis (Pitch) [kgm], [lbft] (Default=Cylinder)"
      Top             =   1080
      Width           =   420
   End
   Begin VB.TextBox StgCenterZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   11715
      TabIndex        =   249
      ToolTipText     =   "Stage center of mass in Z axis [m], [in], [ft]"
      Top             =   840
      Width           =   420
   End
   Begin VB.TextBox StgCenterY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   11265
      TabIndex        =   248
      ToolTipText     =   "Stage center of mass in Y axis [m], [in], [ft]"
      Top             =   840
      Width           =   420
   End
   Begin VB.TextBox StgCenterX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   10815
      TabIndex        =   247
      ToolTipText     =   "Stage center of mass in X axis [m], [in], [ft]"
      Top             =   840
      Width           =   420
   End
   Begin VB.TextBox StgInertiaZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   10305
      TabIndex        =   246
      ToolTipText     =   "Stage moment of inertia around Z axis (Roll) [kgm], [lbft] (Default=Cylinder)"
      Top             =   840
      Width           =   420
   End
   Begin VB.TextBox StgInertiaY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   9855
      TabIndex        =   245
      ToolTipText     =   "Stage moment of inertia around Y axis (Yaw) [kgm], [lbft] (Default=Cylinder)"
      Top             =   840
      Width           =   420
   End
   Begin VB.TextBox StgInertiaX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   9405
      TabIndex        =   244
      ToolTipText     =   "Stage moment of inertia around X axis (Pitch) [kgm], [lbft] (Default=Cylinder)"
      Top             =   840
      Width           =   420
   End
   Begin VB.TextBox StgCenterZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   11715
      TabIndex        =   243
      ToolTipText     =   "Stage center of mass in Z axis [m], [in], [ft]"
      Top             =   600
      Width           =   420
   End
   Begin VB.TextBox StgCenterY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   11265
      TabIndex        =   242
      ToolTipText     =   "Stage center of mass in Y axis [m], [in], [ft]"
      Top             =   600
      Width           =   420
   End
   Begin VB.TextBox StgCenterX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   10815
      TabIndex        =   241
      ToolTipText     =   "Stage center of mass in X axis [m], [in], [ft]"
      Top             =   600
      Width           =   420
   End
   Begin VB.TextBox StgInertiaZ 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   10305
      TabIndex        =   240
      ToolTipText     =   "Stage moment of inertia around Z axis (Roll) [kgm], [lbft] (Default=Cylinder)"
      Top             =   600
      Width           =   420
   End
   Begin VB.TextBox StgInertiaY 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   9855
      TabIndex        =   239
      ToolTipText     =   "Stage moment of inertia around Y axis (Yaw) [kgm], [lbft] (Default=Cylinder)"
      Top             =   600
      Width           =   420
   End
   Begin VB.TextBox StgInertiaX 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   9405
      TabIndex        =   238
      ToolTipText     =   "Stage moment of inertia around X axis (Pitch) [kgm], [lbft] (Default=Cylinder)"
      Top             =   600
      Width           =   420
   End
   Begin VB.TextBox StgD 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   6660
      TabIndex        =   71
      ToolTipText     =   "Derivative parameter"
      Top             =   3225
      Width           =   300
   End
   Begin VB.TextBox StgD 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   6660
      TabIndex        =   75
      ToolTipText     =   "Derivative parameter"
      Top             =   3465
      Width           =   300
   End
   Begin VB.TextBox StgD 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   6660
      TabIndex        =   79
      ToolTipText     =   "Derivative parameter"
      Top             =   3705
      Width           =   300
   End
   Begin VB.TextBox StgD 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   6660
      TabIndex        =   83
      ToolTipText     =   "Derivative parameter"
      Top             =   3945
      Width           =   300
   End
   Begin VB.TextBox StgD 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   6660
      TabIndex        =   87
      ToolTipText     =   "Derivative parameter"
      Top             =   4185
      Width           =   300
   End
   Begin VB.TextBox StgD 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   6660
      TabIndex        =   91
      ToolTipText     =   "Derivative parameter"
      Top             =   4425
      Width           =   300
   End
   Begin VB.TextBox StgD 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   6660
      TabIndex        =   95
      ToolTipText     =   "Derivative parameter"
      Top             =   4665
      Width           =   300
   End
   Begin VB.TextBox StgI 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   6330
      TabIndex        =   94
      ToolTipText     =   "Integral parameter"
      Top             =   4665
      Width           =   300
   End
   Begin VB.TextBox StgP 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   6000
      TabIndex        =   93
      ToolTipText     =   "Proportional parameter"
      Top             =   4665
      Width           =   300
   End
   Begin VB.TextBox StgForce 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   5520
      TabIndex        =   92
      ToolTipText     =   "Nozzle force [N] or [%] or magnetorquer [Tesla]"
      Top             =   4665
      Width           =   450
   End
   Begin VB.TextBox StgVmax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   10380
      TabIndex        =   145
      ToolTipText     =   "Maximum allowable voltage [A]"
      Top             =   4665
      Width           =   450
   End
   Begin VB.TextBox StgImax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   9900
      TabIndex        =   144
      ToolTipText     =   "Maximum allowable current [A]"
      Top             =   4665
      Width           =   450
   End
   Begin VB.TextBox StgBattery 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   9180
      TabIndex        =   143
      ToolTipText     =   "Battery capacity [Ah] or [C]"
      Top             =   4665
      Width           =   690
   End
   Begin VB.TextBox StgMaxTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   8385
      TabIndex        =   117
      ToolTipText     =   "Maximum operating temperature [K], [C] or [F]"
      Top             =   4665
      Width           =   450
   End
   Begin VB.TextBox StgMinTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   7905
      TabIndex        =   116
      ToolTipText     =   "Minimum operating temperature [K], [C] or [F]"
      Top             =   4665
      Width           =   450
   End
   Begin VB.TextBox StgEmmisivity 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   7350
      TabIndex        =   115
      ToolTipText     =   "Stage emissivity (Copper=0.15 Aluminum=0.25 Glass fiber=0.90 Default=Aluminum)"
      Top             =   4665
      Width           =   525
   End
   Begin VB.TextBox StgThrust 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   3420
      TabIndex        =   66
      ToolTipText     =   "Thrust (Sea level) [N], [kgf], [lbf] or [%] or Burning time [s] or Burning rate [m/s]"
      Top             =   4665
      Width           =   600
   End
   Begin VB.TextBox StgPropellant 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   4050
      TabIndex        =   67
      ToolTipText     =   "Stage propellant or engine type"
      Top             =   4665
      Width           =   960
   End
   Begin VB.TextBox StgLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   6795
      TabIndex        =   41
      ToolTipText     =   "Stage length [m], [in], [ft] or [%]"
      Top             =   1800
      Width           =   600
   End
   Begin VB.TextBox StgDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   6165
      TabIndex        =   40
      ToolTipText     =   "Stage diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   1800
      Width           =   600
   End
   Begin VB.TextBox StgDryMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   5535
      TabIndex        =   39
      ToolTipText     =   "Stage dry mass [kg], [lb], [t] or [%]"
      Top             =   1800
      Width           =   600
   End
   Begin VB.TextBox StgWetMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   4905
      TabIndex        =   38
      ToolTipText     =   "Stage wet mass [kg], [lb], [t] or [%]"
      Top             =   1800
      Width           =   600
   End
   Begin VB.TextBox StgPower 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   10860
      TabIndex        =   146
      ToolTipText     =   "Electrical power [W]"
      Top             =   4665
      Width           =   600
   End
   Begin VB.TextBox StgDelay 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   11790
      TabIndex        =   154
      ToolTipText     =   "Delay before next stage [s]"
      Top             =   4665
      Width           =   450
   End
   Begin VB.TextBox StgMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   4275
      TabIndex        =   44
      ToolTipText     =   "Stage mass [kg], [lb], [t] or [%]"
      Top             =   2040
      Width           =   600
   End
   Begin VB.TextBox StgLiftToDrag 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   7425
      TabIndex        =   49
      ToolTipText     =   "Lift to drag ratio (Default=1:1)"
      Top             =   2040
      Width           =   600
   End
   Begin VB.TextBox StgDragCoeff 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   8055
      TabIndex        =   50
      ToolTipText     =   "Drag coefficient or drag curve (Cube=1.0, Sphere=0.5, Wing=0.05)"
      Top             =   2040
      Width           =   1035
   End
   Begin VB.TextBox StgDragCoeff 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   8055
      TabIndex        =   43
      ToolTipText     =   "Drag coefficient or drag curve (Cube=1.0, Sphere=0.5, Wing=0.05)"
      Top             =   1800
      Width           =   1035
   End
   Begin VB.TextBox StgLiftToDrag 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   7425
      TabIndex        =   42
      ToolTipText     =   "Lift to drag ratio (Default=1:1)"
      Top             =   1800
      Width           =   600
   End
   Begin VB.TextBox StgDragCoeff 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   8055
      TabIndex        =   36
      ToolTipText     =   "Drag coefficient or drag curve (Cube=1.0, Sphere=0.5, Wing=0.05)"
      Top             =   1560
      Width           =   1035
   End
   Begin VB.TextBox StgLiftToDrag 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   7425
      TabIndex        =   35
      ToolTipText     =   "Lift to drag ratio (Default=1:1)"
      Top             =   1560
      Width           =   600
   End
   Begin VB.TextBox StgDragCoeff 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   8055
      TabIndex        =   29
      ToolTipText     =   "Drag coefficient or drag curve (Cube=1.0, Sphere=0.5, Wing=0.05)"
      Top             =   1320
      Width           =   1035
   End
   Begin VB.TextBox StgLiftToDrag 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   7425
      TabIndex        =   28
      ToolTipText     =   "Lift to drag ratio (Default=1:1)"
      Top             =   1320
      Width           =   600
   End
   Begin VB.TextBox StgDragCoeff 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   8055
      TabIndex        =   22
      ToolTipText     =   "Drag coefficient or drag curve (Cube=1.0, Sphere=0.5, Wing=0.05)"
      Top             =   1080
      Width           =   1035
   End
   Begin VB.TextBox StgLiftToDrag 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   7425
      TabIndex        =   21
      ToolTipText     =   "Lift to drag ratio (Default=1:1)"
      Top             =   1080
      Width           =   600
   End
   Begin VB.TextBox StgDragCoeff 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   8055
      TabIndex        =   15
      ToolTipText     =   "Drag coefficient or drag curve (Cube=1.0, Sphere=0.5, Wing=0.05)"
      Top             =   840
      Width           =   1035
   End
   Begin VB.TextBox StgLiftToDrag 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   7425
      TabIndex        =   14
      ToolTipText     =   "Lift to drag ratio (Default=1:1)"
      Top             =   840
      Width           =   600
   End
   Begin VB.TextBox StgDragCoeff 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   8055
      TabIndex        =   8
      ToolTipText     =   "Drag coefficient or drag curve (Cube=1.0, Sphere=0.5, Wing=0.05)"
      Top             =   600
      Width           =   1035
   End
   Begin VB.TextBox StgLiftToDrag 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   7425
      TabIndex        =   7
      ToolTipText     =   "Lift to drag ratio (Default=1:1)"
      Top             =   600
      Width           =   600
   End
   Begin VB.TextBox StgMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   4275
      TabIndex        =   37
      ToolTipText     =   "Stage mass [kg], [lb], [t] or [%]"
      Top             =   1800
      Width           =   600
   End
   Begin VB.TextBox StgMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   4275
      TabIndex        =   30
      ToolTipText     =   "Stage mass [kg], [lb], [t] or [%]"
      Top             =   1560
      Width           =   600
   End
   Begin VB.TextBox StgMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   4275
      TabIndex        =   23
      ToolTipText     =   "Stage mass [kg], [lb], [t] or [%]"
      Top             =   1320
      Width           =   600
   End
   Begin VB.TextBox StgMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   4275
      TabIndex        =   16
      ToolTipText     =   "Stage mass [kg], [lb], [t] or [%]"
      Top             =   1080
      Width           =   600
   End
   Begin VB.TextBox StgMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   4275
      TabIndex        =   9
      ToolTipText     =   "Stage mass [kg], [lb], [t] or [%]"
      Top             =   840
      Width           =   600
   End
   Begin VB.TextBox StgMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   4275
      TabIndex        =   2
      ToolTipText     =   "Stage mass [kg], [lb], [t] or [%]"
      Top             =   600
      Width           =   600
   End
   Begin VB.TextBox StgDelay 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   11790
      TabIndex        =   153
      ToolTipText     =   "Delay before next stage [s]"
      Top             =   4425
      Width           =   450
   End
   Begin VB.TextBox StgPower 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   10860
      TabIndex        =   142
      ToolTipText     =   "Electrical power [W]"
      Top             =   4425
      Width           =   600
   End
   Begin VB.TextBox StgPower 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   10860
      TabIndex        =   138
      ToolTipText     =   "Electrical power [W]"
      Top             =   4185
      Width           =   600
   End
   Begin VB.TextBox StgPower 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   10860
      TabIndex        =   134
      ToolTipText     =   "Electrical power [W]"
      Top             =   3945
      Width           =   600
   End
   Begin VB.TextBox StgPower 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   10860
      TabIndex        =   130
      ToolTipText     =   "Electrical power [W]"
      Top             =   3705
      Width           =   600
   End
   Begin VB.TextBox StgPower 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   10860
      TabIndex        =   126
      ToolTipText     =   "Electrical power [W]"
      Top             =   3465
      Width           =   600
   End
   Begin VB.TextBox StgPower 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   10860
      TabIndex        =   122
      ToolTipText     =   "Electrical power [W]"
      Top             =   3225
      Width           =   600
   End
   Begin VB.TextBox Charges 
      BorderStyle     =   0  'None
      Height          =   1200
      Left            =   9225
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   147
      ToolTipText     =   "Charges"
      Top             =   5025
      Width           =   2250
   End
   Begin VB.TextBox ThermalNodes 
      BorderStyle     =   0  'None
      Height          =   1200
      Left            =   7350
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   118
      ToolTipText     =   "Thermal nodes"
      Top             =   5025
      Width           =   1575
   End
   Begin VB.TextBox Waypoints 
      BorderStyle     =   0  'None
      Height          =   1200
      Left            =   5550
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   96
      ToolTipText     =   "Waypoints"
      Top             =   5025
      Width           =   1485
   End
   Begin VB.TextBox GroundStations 
      BorderStyle     =   0  'None
      Height          =   2100
      Left            =   75
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   155
      ToolTipText     =   "Ground stations"
      Top             =   4125
      Width           =   3000
   End
   Begin VB.TextBox TotalDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Left            =   6165
      TabIndex        =   52
      ToolTipText     =   "Maximum diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   2340
      Width           =   600
   End
   Begin VB.TextBox TotalLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Left            =   6795
      TabIndex        =   53
      ToolTipText     =   "Total length [m], [in], [ft] or [%]"
      Top             =   2340
      Width           =   600
   End
   Begin VB.TextBox PresetName 
      BorderStyle     =   0  'None
      Height          =   225
      Left            =   825
      TabIndex        =   0
      Top             =   165
      Width           =   2115
   End
   Begin VB.TextBox PresetOverview 
      BorderStyle     =   0  'None
      Height          =   2625
      Left            =   135
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      ToolTipText     =   "Preset overview"
      Top             =   525
      Width           =   3045
   End
   Begin VB.TextBox StgWetMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   4905
      TabIndex        =   45
      ToolTipText     =   "Stage wet mass [kg], [lb], [t] or [%]"
      Top             =   2040
      Width           =   600
   End
   Begin VB.TextBox StgDryMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   5535
      TabIndex        =   46
      ToolTipText     =   "Stage dry mass [kg], [lb], [t] or [%]"
      Top             =   2040
      Width           =   600
   End
   Begin VB.TextBox StgDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   6165
      TabIndex        =   47
      ToolTipText     =   "Stage diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   2040
      Width           =   600
   End
   Begin VB.TextBox StgLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   7
      Left            =   6795
      TabIndex        =   48
      ToolTipText     =   "Stage length [m], [in], [ft] or [%]"
      Top             =   2040
      Width           =   600
   End
   Begin VB.TextBox StgWetMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   4905
      TabIndex        =   31
      ToolTipText     =   "Stage wet mass [kg], [lb], [t] or [%]"
      Top             =   1560
      Width           =   600
   End
   Begin VB.TextBox StgDryMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   5535
      TabIndex        =   32
      ToolTipText     =   "Stage dry mass [kg], [lb], [t] or [%]"
      Top             =   1560
      Width           =   600
   End
   Begin VB.TextBox StgDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   6165
      TabIndex        =   33
      ToolTipText     =   "Stage diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   1560
      Width           =   600
   End
   Begin VB.TextBox StgLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   6795
      TabIndex        =   34
      ToolTipText     =   "Stage length [m], [in], [ft] or [%]"
      Top             =   1560
      Width           =   600
   End
   Begin VB.TextBox StgWetMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   4905
      TabIndex        =   24
      ToolTipText     =   "Stage wet mass [kg], [lb], [t] or [%]"
      Top             =   1320
      Width           =   600
   End
   Begin VB.TextBox StgDryMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   5535
      TabIndex        =   25
      ToolTipText     =   "Stage dry mass [kg], [lb], [t] or [%]"
      Top             =   1320
      Width           =   600
   End
   Begin VB.TextBox StgDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   6165
      TabIndex        =   26
      ToolTipText     =   "Stage diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   1320
      Width           =   600
   End
   Begin VB.TextBox StgLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   6795
      TabIndex        =   27
      ToolTipText     =   "Stage length [m], [in], [ft] or [%]"
      Top             =   1320
      Width           =   600
   End
   Begin VB.TextBox StgWetMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   4905
      TabIndex        =   17
      ToolTipText     =   "Stage wet mass [kg], [lb], [t] or [%]"
      Top             =   1080
      Width           =   600
   End
   Begin VB.TextBox StgDryMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   5535
      TabIndex        =   18
      ToolTipText     =   "Stage dry mass [kg], [lb], [t] or [%]"
      Top             =   1080
      Width           =   600
   End
   Begin VB.TextBox StgDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   6165
      TabIndex        =   19
      ToolTipText     =   "Stage diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   1080
      Width           =   600
   End
   Begin VB.TextBox StgLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   6795
      TabIndex        =   20
      ToolTipText     =   "Stage length [m], [in], [ft] or [%]"
      Top             =   1080
      Width           =   600
   End
   Begin VB.TextBox StgWetMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   4905
      TabIndex        =   10
      ToolTipText     =   "Stage wet mass [kg], [lb], [t] or [%]"
      Top             =   840
      Width           =   600
   End
   Begin VB.TextBox StgDryMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   5535
      TabIndex        =   11
      ToolTipText     =   "Stage dry mass [kg], [lb], [t] or [%]"
      Top             =   840
      Width           =   600
   End
   Begin VB.TextBox StgDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   6165
      TabIndex        =   12
      ToolTipText     =   "Stage diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   840
      Width           =   600
   End
   Begin VB.TextBox StgLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   6795
      TabIndex        =   13
      ToolTipText     =   "Stage length [m], [in], [ft] or [%]"
      Top             =   840
      Width           =   600
   End
   Begin VB.TextBox StgWetMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   4905
      TabIndex        =   3
      ToolTipText     =   "Stage wet mass [kg], [lb], [t] or [%]"
      Top             =   600
      Width           =   600
   End
   Begin VB.TextBox StgDryMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   5535
      TabIndex        =   4
      ToolTipText     =   "Stage dry mass [kg], [lb], [t] or [%]"
      Top             =   600
      Width           =   600
   End
   Begin VB.TextBox StgDiameter 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   6165
      TabIndex        =   5
      ToolTipText     =   "Stage diameter or front area [m], [in], [ft], [%] or [m]"
      Top             =   600
      Width           =   600
   End
   Begin VB.TextBox StgLength 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   6795
      TabIndex        =   6
      ToolTipText     =   "Stage length [m], [in], [ft] or [%]"
      Top             =   600
      Width           =   600
   End
   Begin VB.TextBox StgPropellant 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   4050
      TabIndex        =   65
      ToolTipText     =   "Stage propellant or engine type"
      Top             =   4425
      Width           =   960
   End
   Begin VB.TextBox StgThrust 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   3420
      TabIndex        =   64
      ToolTipText     =   "Thrust (Sea level) [N], [kgf], [lbf] or [%] or Burning time [s] or Burning rate [m/s]"
      Top             =   4425
      Width           =   600
   End
   Begin VB.TextBox StgEmmisivity 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   7350
      TabIndex        =   112
      ToolTipText     =   "Stage emissivity (Copper=0.15 Aluminum=0.25 Glass fiber=0.90 Default=Aluminum)"
      Top             =   4425
      Width           =   525
   End
   Begin VB.TextBox StgMinTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   7905
      TabIndex        =   113
      ToolTipText     =   "Minimum operating temperature [K], [C] or [F]"
      Top             =   4425
      Width           =   450
   End
   Begin VB.TextBox StgMaxTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   8385
      TabIndex        =   114
      ToolTipText     =   "Maximum operating temperature [K], [C] or [F]"
      Top             =   4425
      Width           =   450
   End
   Begin VB.TextBox StgBattery 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   9180
      TabIndex        =   139
      ToolTipText     =   "Battery capacity [Ah] or [C]"
      Top             =   4425
      Width           =   690
   End
   Begin VB.TextBox StgImax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   9900
      TabIndex        =   140
      ToolTipText     =   "Maximum allowable current [A]"
      Top             =   4425
      Width           =   450
   End
   Begin VB.TextBox StgVmax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   10380
      TabIndex        =   141
      ToolTipText     =   "Maximum allowable voltage [A]"
      Top             =   4425
      Width           =   450
   End
   Begin VB.TextBox StgForce 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   5520
      TabIndex        =   88
      ToolTipText     =   "Nozzle force [N] or [%] or magnetorquer [Tesla]"
      Top             =   4425
      Width           =   450
   End
   Begin VB.TextBox StgP 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   6000
      TabIndex        =   89
      ToolTipText     =   "Proportional parameter"
      Top             =   4425
      Width           =   300
   End
   Begin VB.TextBox StgI 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   6
      Left            =   6330
      TabIndex        =   90
      ToolTipText     =   "Integral parameter"
      Top             =   4425
      Width           =   300
   End
   Begin VB.TextBox StgPropellant 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   4050
      TabIndex        =   63
      ToolTipText     =   "Stage propellant or engine type"
      Top             =   4185
      Width           =   960
   End
   Begin VB.TextBox StgThrust 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   3420
      TabIndex        =   62
      ToolTipText     =   "Thrust (Sea level) [N], [kgf], [lbf] or [%] or Burning time [s] or Burning rate [m/s]"
      Top             =   4185
      Width           =   600
   End
   Begin VB.TextBox StgDelay 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   11790
      TabIndex        =   152
      ToolTipText     =   "Delay before next stage [s]"
      Top             =   4185
      Width           =   450
   End
   Begin VB.TextBox StgEmmisivity 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   7350
      TabIndex        =   109
      ToolTipText     =   "Stage emissivity (Copper=0.15 Aluminum=0.25 Glass fiber=0.90 Default=Aluminum)"
      Top             =   4185
      Width           =   525
   End
   Begin VB.TextBox StgMinTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   7905
      TabIndex        =   110
      ToolTipText     =   "Minimum operating temperature [K], [C] or [F]"
      Top             =   4185
      Width           =   450
   End
   Begin VB.TextBox StgMaxTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   8385
      TabIndex        =   111
      ToolTipText     =   "Maximum operating temperature [K], [C] or [F]"
      Top             =   4185
      Width           =   450
   End
   Begin VB.TextBox StgBattery 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   9180
      TabIndex        =   135
      ToolTipText     =   "Battery capacity [Ah] or [C]"
      Top             =   4185
      Width           =   690
   End
   Begin VB.TextBox StgImax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   9900
      TabIndex        =   136
      ToolTipText     =   "Maximum allowable current [A]"
      Top             =   4185
      Width           =   450
   End
   Begin VB.TextBox StgVmax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   10380
      TabIndex        =   137
      ToolTipText     =   "Maximum allowable voltage [A]"
      Top             =   4185
      Width           =   450
   End
   Begin VB.TextBox StgForce 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   5520
      TabIndex        =   84
      ToolTipText     =   "Nozzle force [N] or [%] or magnetorquer [Tesla]"
      Top             =   4185
      Width           =   450
   End
   Begin VB.TextBox StgP 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   6000
      TabIndex        =   85
      ToolTipText     =   "Proportional parameter"
      Top             =   4185
      Width           =   300
   End
   Begin VB.TextBox StgI 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   5
      Left            =   6330
      TabIndex        =   86
      ToolTipText     =   "Integral parameter"
      Top             =   4185
      Width           =   300
   End
   Begin VB.TextBox StgPropellant 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   4050
      TabIndex        =   61
      ToolTipText     =   "Stage propellant or engine type"
      Top             =   3945
      Width           =   960
   End
   Begin VB.TextBox StgThrust 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   3420
      TabIndex        =   60
      ToolTipText     =   "Thrust (Sea level) [N], [kgf], [lbf] or [%] or Burning time [s] or Burning rate [m/s]"
      Top             =   3945
      Width           =   600
   End
   Begin VB.TextBox StgDelay 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   11790
      TabIndex        =   151
      ToolTipText     =   "Delay before next stage [s]"
      Top             =   3945
      Width           =   450
   End
   Begin VB.TextBox StgEmmisivity 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   7350
      TabIndex        =   106
      ToolTipText     =   "Stage emissivity (Copper=0.15 Aluminum=0.25 Glass fiber=0.90 Default=Aluminum)"
      Top             =   3945
      Width           =   525
   End
   Begin VB.TextBox StgMinTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   7905
      TabIndex        =   107
      ToolTipText     =   "Minimum operating temperature [K], [C] or [F]"
      Top             =   3945
      Width           =   450
   End
   Begin VB.TextBox StgMaxTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   8385
      TabIndex        =   108
      ToolTipText     =   "Maximum operating temperature [K], [C] or [F]"
      Top             =   3945
      Width           =   450
   End
   Begin VB.TextBox StgBattery 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   9180
      TabIndex        =   131
      ToolTipText     =   "Battery capacity [Ah] or [C]"
      Top             =   3945
      Width           =   690
   End
   Begin VB.TextBox StgImax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   9900
      TabIndex        =   132
      ToolTipText     =   "Maximum allowable current [A]"
      Top             =   3945
      Width           =   450
   End
   Begin VB.TextBox StgVmax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   10380
      TabIndex        =   133
      ToolTipText     =   "Maximum allowable voltage [A]"
      Top             =   3945
      Width           =   450
   End
   Begin VB.TextBox StgForce 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   5520
      TabIndex        =   80
      ToolTipText     =   "Nozzle force [N] or [%] or magnetorquer [Tesla]"
      Top             =   3945
      Width           =   450
   End
   Begin VB.TextBox StgP 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   6000
      TabIndex        =   81
      ToolTipText     =   "Proportional parameter"
      Top             =   3945
      Width           =   300
   End
   Begin VB.TextBox StgI 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   4
      Left            =   6330
      TabIndex        =   82
      ToolTipText     =   "Integral parameter"
      Top             =   3945
      Width           =   300
   End
   Begin VB.TextBox StgPropellant 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   4050
      TabIndex        =   59
      ToolTipText     =   "Stage propellant or engine type"
      Top             =   3705
      Width           =   960
   End
   Begin VB.TextBox StgThrust 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   3420
      TabIndex        =   58
      ToolTipText     =   "Thrust (Sea level) [N], [kgf], [lbf] or [%] or Burning time [s] or Burning rate [m/s]"
      Top             =   3705
      Width           =   600
   End
   Begin VB.TextBox StgDelay 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   11790
      TabIndex        =   150
      ToolTipText     =   "Delay before next stage [s]"
      Top             =   3705
      Width           =   450
   End
   Begin VB.TextBox StgEmmisivity 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   7350
      TabIndex        =   103
      ToolTipText     =   "Stage emissivity (Copper=0.15 Aluminum=0.25 Glass fiber=0.90 Default=Aluminum)"
      Top             =   3705
      Width           =   525
   End
   Begin VB.TextBox StgMinTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   7905
      TabIndex        =   104
      ToolTipText     =   "Minimum operating temperature [K], [C] or [F]"
      Top             =   3705
      Width           =   450
   End
   Begin VB.TextBox StgMaxTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   8385
      TabIndex        =   105
      ToolTipText     =   "Maximum operating temperature [K], [C] or [F]"
      Top             =   3705
      Width           =   450
   End
   Begin VB.TextBox StgBattery 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   9180
      TabIndex        =   127
      ToolTipText     =   "Battery capacity [Ah] or [C]"
      Top             =   3705
      Width           =   690
   End
   Begin VB.TextBox StgImax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   9900
      TabIndex        =   128
      ToolTipText     =   "Maximum allowable current [A]"
      Top             =   3705
      Width           =   450
   End
   Begin VB.TextBox StgVmax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   10380
      TabIndex        =   129
      ToolTipText     =   "Maximum allowable voltage [A]"
      Top             =   3705
      Width           =   450
   End
   Begin VB.TextBox StgForce 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   5520
      TabIndex        =   76
      ToolTipText     =   "Nozzle force [N] or [%] or magnetorquer [Tesla]"
      Top             =   3705
      Width           =   450
   End
   Begin VB.TextBox StgP 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   6000
      TabIndex        =   77
      ToolTipText     =   "Proportional parameter"
      Top             =   3705
      Width           =   300
   End
   Begin VB.TextBox StgI 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   3
      Left            =   6330
      TabIndex        =   78
      ToolTipText     =   "Integral parameter"
      Top             =   3705
      Width           =   300
   End
   Begin VB.TextBox StgPropellant 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   4050
      TabIndex        =   57
      ToolTipText     =   "Stage propellant or engine type"
      Top             =   3465
      Width           =   960
   End
   Begin VB.TextBox StgThrust 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   3420
      TabIndex        =   56
      ToolTipText     =   "Thrust (Sea level) [N], [kgf], [lbf] or [%] or Burning time [s] or Burning rate [m/s]"
      Top             =   3465
      Width           =   600
   End
   Begin VB.TextBox StgDelay 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   11790
      TabIndex        =   149
      ToolTipText     =   "Delay before next stage [s]"
      Top             =   3465
      Width           =   450
   End
   Begin VB.TextBox StgEmmisivity 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   7350
      TabIndex        =   100
      ToolTipText     =   "Stage emissivity (Copper=0.15 Aluminum=0.25 Glass fiber=0.90 Default=Aluminum)"
      Top             =   3465
      Width           =   525
   End
   Begin VB.TextBox StgMinTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   7905
      TabIndex        =   101
      ToolTipText     =   "Minimum operating temperature [K], [C] or [F]"
      Top             =   3465
      Width           =   450
   End
   Begin VB.TextBox StgMaxTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   8385
      TabIndex        =   102
      ToolTipText     =   "Maximum operating temperature [K], [C] or [F]"
      Top             =   3465
      Width           =   450
   End
   Begin VB.TextBox StgBattery 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   9180
      TabIndex        =   123
      ToolTipText     =   "Battery capacity [Ah] or [C]"
      Top             =   3465
      Width           =   690
   End
   Begin VB.TextBox StgImax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   9900
      TabIndex        =   124
      ToolTipText     =   "Maximum allowable current [A]"
      Top             =   3465
      Width           =   450
   End
   Begin VB.TextBox StgVmax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   10380
      TabIndex        =   125
      ToolTipText     =   "Maximum allowable voltage [A]"
      Top             =   3465
      Width           =   450
   End
   Begin VB.TextBox StgForce 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   5520
      TabIndex        =   72
      ToolTipText     =   "Nozzle force [N] or [%] or magnetorquer [Tesla]"
      Top             =   3465
      Width           =   450
   End
   Begin VB.TextBox StgP 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   6000
      TabIndex        =   73
      ToolTipText     =   "Proportional parameter"
      Top             =   3465
      Width           =   300
   End
   Begin VB.TextBox StgI 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   2
      Left            =   6330
      TabIndex        =   74
      ToolTipText     =   "Integral parameter"
      Top             =   3465
      Width           =   300
   End
   Begin VB.TextBox StgPropellant 
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   4050
      TabIndex        =   55
      ToolTipText     =   "Stage propellant or engine type"
      Top             =   3225
      Width           =   960
   End
   Begin VB.TextBox StgThrust 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   3420
      TabIndex        =   54
      ToolTipText     =   "Thrust (Sea level) [N], [kgf], [lbf] or [%] or Burning time [s] or Burning rate [m/s]"
      Top             =   3225
      Width           =   600
   End
   Begin VB.TextBox StgDelay 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   11790
      TabIndex        =   148
      ToolTipText     =   "Delay before next stage [s]"
      Top             =   3225
      Width           =   450
   End
   Begin VB.TextBox StgEmmisivity 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   7350
      TabIndex        =   97
      ToolTipText     =   "Stage emissivity (Copper=0.15 Aluminum=0.25 Glass fiber=0.90 Default=Aluminum)"
      Top             =   3225
      Width           =   525
   End
   Begin VB.TextBox StgMinTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   7905
      TabIndex        =   98
      ToolTipText     =   "Minimum operating temperature [K], [C] or [F]"
      Top             =   3225
      Width           =   450
   End
   Begin VB.TextBox StgMaxTemp 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   8385
      TabIndex        =   99
      ToolTipText     =   "Maximum operating temperature [K], [C] or [F]"
      Top             =   3225
      Width           =   450
   End
   Begin VB.TextBox StgBattery 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   9180
      TabIndex        =   119
      ToolTipText     =   "Battery capacity [Ah] or [C]"
      Top             =   3225
      Width           =   690
   End
   Begin VB.TextBox StgImax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   9900
      TabIndex        =   120
      ToolTipText     =   "Maximum allowable current [A]"
      Top             =   3225
      Width           =   450
   End
   Begin VB.TextBox StgVmax 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   10380
      TabIndex        =   121
      ToolTipText     =   "Maximum allowable voltage [A]"
      Top             =   3225
      Width           =   450
   End
   Begin VB.TextBox StgForce 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   5520
      TabIndex        =   68
      ToolTipText     =   "Nozzle force [N] or [%] or magnetorquer [Tesla]"
      Top             =   3225
      Width           =   450
   End
   Begin VB.TextBox StgP 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   6000
      TabIndex        =   69
      ToolTipText     =   "Proportional parameter"
      Top             =   3225
      Width           =   300
   End
   Begin VB.TextBox StgI 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Index           =   1
      Left            =   6330
      TabIndex        =   70
      ToolTipText     =   "Integral parameter"
      Top             =   3225
      Width           =   300
   End
   Begin VB.TextBox TotalMass 
      Alignment       =   1  'Right Justify
      BorderStyle     =   0  'None
      Height          =   225
      Left            =   4275
      TabIndex        =   51
      ToolTipText     =   "Total mass (Structure + Propellant + Payload) [kg], [lb] or [t]"
      Top             =   2340
      Width           =   600
   End
   Begin VB.Label pStageModel 
      BackStyle       =   0  'Transparent
      Caption         =   "3D model"
      Height          =   225
      Left            =   12300
      TabIndex        =   302
      Top             =   375
      Width           =   825
   End
   Begin VB.Label pStageCMZ 
      BackStyle       =   0  'Transparent
      Caption         =   "Z"
      Height          =   225
      Left            =   11865
      TabIndex        =   301
      Top             =   375
      Width           =   225
   End
   Begin VB.Label pStageCMY 
      BackStyle       =   0  'Transparent
      Caption         =   "Y"
      Height          =   225
      Left            =   11415
      TabIndex        =   300
      Top             =   375
      Width           =   225
   End
   Begin VB.Label pStageCMX 
      BackStyle       =   0  'Transparent
      Caption         =   "X"
      Height          =   225
      Left            =   10965
      TabIndex        =   299
      Top             =   375
      Width           =   225
   End
   Begin VB.Label pStageMoIZ 
      BackStyle       =   0  'Transparent
      Caption         =   "Z"
      Height          =   225
      Left            =   10455
      TabIndex        =   298
      Top             =   375
      Width           =   225
   End
   Begin VB.Label pStageMoIY 
      BackStyle       =   0  'Transparent
      Caption         =   "Y"
      Height          =   225
      Left            =   10005
      TabIndex        =   297
      Top             =   375
      Width           =   225
   End
   Begin VB.Label pStageMoIX 
      BackStyle       =   0  'Transparent
      Caption         =   "X"
      Height          =   225
      Left            =   9555
      TabIndex        =   296
      Top             =   375
      Width           =   225
   End
   Begin VB.Label cModel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   7
      Left            =   13200
      TabIndex        =   295
      Top             =   2040
      Width           =   225
   End
   Begin VB.Label cModel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   6
      Left            =   13200
      TabIndex        =   294
      Top             =   1800
      Width           =   225
   End
   Begin VB.Label cModel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   5
      Left            =   13200
      TabIndex        =   293
      Top             =   1560
      Width           =   225
   End
   Begin VB.Label cModel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   4
      Left            =   13200
      TabIndex        =   292
      Top             =   1320
      Width           =   225
   End
   Begin VB.Label cModel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   3
      Left            =   13200
      TabIndex        =   291
      Top             =   1080
      Width           =   225
   End
   Begin VB.Label cModel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   2
      Left            =   13200
      TabIndex        =   290
      Top             =   840
      Width           =   225
   End
   Begin VB.Label cModel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   1
      Left            =   13200
      TabIndex        =   289
      Top             =   600
      Width           =   225
   End
   Begin VB.Label pStageCenterOfMass 
      BackStyle       =   0  'Transparent
      Caption         =   "Center of mass"
      Height          =   225
      Left            =   10890
      TabIndex        =   288
      Top             =   150
      Width           =   1200
   End
   Begin VB.Label pStageMomentOfInertia 
      BackStyle       =   0  'Transparent
      Caption         =   "Moment of inertia"
      Height          =   225
      Left            =   9405
      TabIndex        =   287
      Top             =   150
      Width           =   1425
   End
   Begin VB.Label StgActive 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   1
      Left            =   3375
      TabIndex        =   237
      Top             =   600
      Width           =   225
   End
   Begin VB.Label StgActive 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   2
      Left            =   3375
      TabIndex        =   236
      Top             =   840
      Width           =   225
   End
   Begin VB.Label StgActive 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   3
      Left            =   3375
      TabIndex        =   235
      Top             =   1080
      Width           =   225
   End
   Begin VB.Label StgActive 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   4
      Left            =   3375
      TabIndex        =   234
      Top             =   1320
      Width           =   225
   End
   Begin VB.Label StgActive 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   5
      Left            =   3375
      TabIndex        =   233
      Top             =   1560
      Width           =   225
   End
   Begin VB.Label StgActive 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   6
      Left            =   3375
      TabIndex        =   232
      Top             =   1800
      Width           =   225
   End
   Begin VB.Label lStageD 
      BackStyle       =   0  'Transparent
      Caption         =   "D"
      Height          =   225
      Left            =   6765
      TabIndex        =   231
      Top             =   3000
      Width           =   150
   End
   Begin VB.Label pStg 
      BackStyle       =   0  'Transparent
      Caption         =   "Payload"
      Height          =   225
      Index           =   7
      Left            =   3645
      TabIndex        =   230
      Top             =   2040
      Width           =   675
   End
   Begin VB.Label StgFuel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   7
      Left            =   5025
      TabIndex        =   229
      ToolTipText     =   "Choose propellant or engine"
      Top             =   4665
      Width           =   225
   End
   Begin VB.Label StgJettison 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "a"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   7
      Left            =   12465
      TabIndex        =   228
      ToolTipText     =   "Jettison this stage after delay"
      Top             =   4665
      Width           =   225
   End
   Begin VB.Label StgAbort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   7
      Left            =   12945
      TabIndex        =   227
      ToolTipText     =   "Abort the simulation after this stage"
      Top             =   4665
      Width           =   225
   End
   Begin VB.Label pDragCoeff 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   7
      Left            =   9105
      TabIndex        =   226
      ToolTipText     =   "Drag coefficient profile"
      Top             =   2040
      Width           =   225
   End
   Begin VB.Label Sep1 
      BorderStyle     =   1  'Fixed Single
      Height          =   45
      Left            =   75
      TabIndex        =   225
      Top             =   3675
      Width           =   3090
   End
   Begin VB.Label Sep3 
      BorderStyle     =   1  'Fixed Single
      Height          =   45
      Left            =   3375
      TabIndex        =   224
      Top             =   2625
      Width           =   9915
   End
   Begin VB.Label pStageDragCoeff 
      BackStyle       =   0  'Transparent
      Caption         =   "Drag coefficient"
      Height          =   225
      Left            =   8070
      TabIndex        =   223
      Top             =   375
      Width           =   1200
   End
   Begin VB.Label pDragCoeff 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   6
      Left            =   9105
      TabIndex        =   222
      ToolTipText     =   "Drag coefficient profile"
      Top             =   1800
      Width           =   225
   End
   Begin VB.Label pDragCoeff 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   5
      Left            =   9105
      TabIndex        =   221
      ToolTipText     =   "Drag coefficient profile"
      Top             =   1560
      Width           =   225
   End
   Begin VB.Label pDragCoeff 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   4
      Left            =   9105
      TabIndex        =   220
      ToolTipText     =   "Drag coefficient profile"
      Top             =   1320
      Width           =   225
   End
   Begin VB.Label pDragCoeff 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   3
      Left            =   9105
      TabIndex        =   219
      ToolTipText     =   "Drag coefficient profile"
      Top             =   1080
      Width           =   225
   End
   Begin VB.Label pDragCoeff 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   2
      Left            =   9105
      TabIndex        =   218
      ToolTipText     =   "Drag coefficient profile"
      Top             =   840
      Width           =   225
   End
   Begin VB.Label pDragCoeff 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   1
      Left            =   9105
      TabIndex        =   217
      ToolTipText     =   "Drag coefficient profile"
      Top             =   600
      Width           =   225
   End
   Begin VB.Label pStageMass 
      BackStyle       =   0  'Transparent
      Caption         =   "Mass"
      Height          =   225
      Left            =   4275
      TabIndex        =   216
      Top             =   375
      Width           =   435
   End
   Begin VB.Label StgAbort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   6
      Left            =   12945
      TabIndex        =   215
      ToolTipText     =   "Abort the simulation after this stage"
      Top             =   4425
      Width           =   225
   End
   Begin VB.Label StgJettison 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "a"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   6
      Left            =   12465
      TabIndex        =   214
      ToolTipText     =   "Jettison this stage after delay"
      Top             =   4425
      Width           =   225
   End
   Begin VB.Label pStageP 
      BackStyle       =   0  'Transparent
      Caption         =   "P"
      Height          =   225
      Left            =   6105
      TabIndex        =   213
      Top             =   3000
      Width           =   150
   End
   Begin VB.Label Sep7 
      BorderStyle     =   1  'Fixed Single
      Height          =   3525
      Left            =   11625
      TabIndex        =   212
      Top             =   2700
      Width           =   45
   End
   Begin VB.Label cApply 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Apply"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   2175
      TabIndex        =   211
      ToolTipText     =   "Apply preset changes"
      Top             =   3300
      Width           =   975
   End
   Begin VB.Label Sep6 
      BorderStyle     =   1  'Fixed Single
      Height          =   3525
      Left            =   9075
      TabIndex        =   210
      Top             =   2700
      Width           =   45
   End
   Begin VB.Label Sep5 
      BorderStyle     =   1  'Fixed Single
      Height          =   3525
      Left            =   7200
      TabIndex        =   209
      Top             =   2700
      Width           =   45
   End
   Begin VB.Label Sep2 
      BorderStyle     =   1  'Fixed Single
      Height          =   6150
      Left            =   3225
      TabIndex        =   208
      Top             =   75
      Width           =   45
   End
   Begin VB.Label Sep4 
      BorderStyle     =   1  'Fixed Single
      Height          =   3525
      Left            =   5325
      TabIndex        =   207
      Top             =   2700
      Width           =   45
   End
   Begin VB.Label cSave 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Save"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   1125
      TabIndex        =   206
      ToolTipText     =   "Save current preset to a file"
      Top             =   3300
      Width           =   975
   End
   Begin VB.Label cLoad 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Load"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   75
      TabIndex        =   205
      ToolTipText     =   "Load a preset from a file"
      Top             =   3300
      Width           =   975
   End
   Begin VB.Label pCommunicationsSubsystem 
      BackStyle       =   0  'Transparent
      Caption         =   "Communications Subsystem"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   225
      Left            =   75
      TabIndex        =   204
      Top             =   3825
      Width           =   2460
   End
   Begin VB.Label pStagePower 
      BackStyle       =   0  'Transparent
      Caption         =   "Power"
      Height          =   225
      Left            =   10875
      TabIndex        =   203
      Top             =   3000
      Width           =   585
   End
   Begin VB.Label pStageLiftToDrag 
      BackStyle       =   0  'Transparent
      Caption         =   "L/D"
      Height          =   225
      Left            =   7575
      TabIndex        =   202
      Top             =   375
      Width           =   300
   End
   Begin VB.Label pPresetName 
      BackStyle       =   0  'Transparent
      Caption         =   "Preset"
      Height          =   225
      Left            =   135
      TabIndex        =   201
      Top             =   165
      Width           =   735
   End
   Begin VB.Label pStageWetMass 
      BackStyle       =   0  'Transparent
      Caption         =   "Wet mass"
      Height          =   225
      Left            =   4725
      TabIndex        =   200
      Top             =   375
      Width           =   735
   End
   Begin VB.Label pStageDryMass 
      BackStyle       =   0  'Transparent
      Caption         =   "Dry mass"
      Height          =   225
      Left            =   5475
      TabIndex        =   199
      Top             =   375
      Width           =   735
   End
   Begin VB.Label pStageDiameter 
      BackStyle       =   0  'Transparent
      Caption         =   "Diameter"
      Height          =   225
      Left            =   6225
      TabIndex        =   198
      Top             =   375
      Width           =   735
   End
   Begin VB.Label pStageLength 
      BackStyle       =   0  'Transparent
      Caption         =   "Length"
      Height          =   225
      Left            =   6975
      TabIndex        =   197
      Top             =   375
      Width           =   540
   End
   Begin VB.Label StgFuel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   6
      Left            =   5025
      TabIndex        =   196
      ToolTipText     =   "Choose propellant or engine"
      Top             =   4425
      Width           =   225
   End
   Begin VB.Label StgFuel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   5
      Left            =   5025
      TabIndex        =   195
      ToolTipText     =   "Choose propellant or engine"
      Top             =   4185
      Width           =   225
   End
   Begin VB.Label StgJettison 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "a"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   5
      Left            =   12465
      TabIndex        =   194
      ToolTipText     =   "Jettison this stage after delay"
      Top             =   4185
      Width           =   225
   End
   Begin VB.Label StgAbort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   5
      Left            =   12945
      TabIndex        =   193
      ToolTipText     =   "Abort the simulation after this stage"
      Top             =   4185
      Width           =   225
   End
   Begin VB.Label StgFuel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   4
      Left            =   5025
      TabIndex        =   192
      ToolTipText     =   "Choose propellant or engine"
      Top             =   3945
      Width           =   225
   End
   Begin VB.Label StgJettison 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "a"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   4
      Left            =   12465
      TabIndex        =   191
      ToolTipText     =   "Jettison this stage after delay"
      Top             =   3945
      Width           =   225
   End
   Begin VB.Label StgAbort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   4
      Left            =   12945
      TabIndex        =   190
      ToolTipText     =   "Abort the simulation after this stage"
      Top             =   3945
      Width           =   225
   End
   Begin VB.Label StgFuel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   3
      Left            =   5025
      TabIndex        =   189
      ToolTipText     =   "Choose propellant or engine"
      Top             =   3705
      Width           =   225
   End
   Begin VB.Label StgJettison 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "a"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   3
      Left            =   12465
      TabIndex        =   188
      ToolTipText     =   "Jettison this stage after delay"
      Top             =   3705
      Width           =   225
   End
   Begin VB.Label StgAbort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   3
      Left            =   12945
      TabIndex        =   187
      ToolTipText     =   "Abort the simulation after this stage"
      Top             =   3705
      Width           =   225
   End
   Begin VB.Label StgFuel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   2
      Left            =   5025
      TabIndex        =   186
      ToolTipText     =   "Choose propellant or engine"
      Top             =   3465
      Width           =   225
   End
   Begin VB.Label StgJettison 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "a"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   2
      Left            =   12465
      TabIndex        =   185
      ToolTipText     =   "Jettison this stage after delay"
      Top             =   3465
      Width           =   225
   End
   Begin VB.Label StgAbort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   2
      Left            =   12945
      TabIndex        =   184
      ToolTipText     =   "Abort the simulation after this stage"
      Top             =   3465
      Width           =   225
   End
   Begin VB.Label StgFuel 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "4"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   1
      Left            =   5025
      TabIndex        =   183
      ToolTipText     =   "Choose propellant or engine"
      Top             =   3225
      Width           =   225
   End
   Begin VB.Label StgJettison 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "a"
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   1
      Left            =   12465
      TabIndex        =   182
      ToolTipText     =   "Jettison this stage after delay"
      Top             =   3225
      Width           =   225
   End
   Begin VB.Label StgAbort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Marlett"
         Size            =   9.75
         Charset         =   2
         Weight          =   500
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   225
      Index           =   1
      Left            =   12945
      TabIndex        =   181
      ToolTipText     =   "Abort the simulation after this stage"
      Top             =   3225
      Width           =   225
   End
   Begin VB.Label pStageI 
      BackStyle       =   0  'Transparent
      Caption         =   "I"
      Height          =   225
      Left            =   6450
      TabIndex        =   180
      Top             =   3000
      Width           =   150
   End
   Begin VB.Label pStageForce 
      BackStyle       =   0  'Transparent
      Caption         =   "Force"
      Height          =   225
      Left            =   5550
      TabIndex        =   179
      Top             =   3000
      Width           =   420
   End
   Begin VB.Label pAttitudeSubsystem 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Attitude Subsystem"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   5400
      TabIndex        =   178
      ToolTipText     =   "Drawing of Attitude Subsystem"
      Top             =   2775
      Width           =   1695
   End
   Begin VB.Label pStageVmax 
      BackStyle       =   0  'Transparent
      Caption         =   "Vmax"
      Height          =   225
      Left            =   10380
      TabIndex        =   177
      Top             =   3000
      Width           =   375
   End
   Begin VB.Label pStageImax 
      BackStyle       =   0  'Transparent
      Caption         =   "Imax"
      Height          =   225
      Left            =   9900
      TabIndex        =   176
      Top             =   3000
      Width           =   375
   End
   Begin VB.Label pStageBattery 
      BackStyle       =   0  'Transparent
      Caption         =   "Battery"
      Height          =   225
      Left            =   9180
      TabIndex        =   175
      Top             =   3000
      Width           =   735
   End
   Begin VB.Label pPowerSubsystem 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Power Subsystem"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   9150
      TabIndex        =   174
      ToolTipText     =   "Drawing of Power Subsystem"
      Top             =   2775
      Width           =   2340
   End
   Begin VB.Label pStageTemperature 
      BackStyle       =   0  'Transparent
      Caption         =   "Temp"
      Height          =   225
      Left            =   8190
      TabIndex        =   173
      Top             =   3000
      Width           =   495
   End
   Begin VB.Label pStageEmissivity 
      BackStyle       =   0  'Transparent
      Caption         =   "Emmisivity"
      Height          =   225
      Left            =   7350
      TabIndex        =   172
      Top             =   3000
      Width           =   735
   End
   Begin VB.Label pThermalSubsystem 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Thermal Subsystem"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   7275
      TabIndex        =   171
      ToolTipText     =   "Drawing of Thermal Subsystem"
      Top             =   2775
      Width           =   1695
   End
   Begin VB.Label pStageAbort 
      BackStyle       =   0  'Transparent
      Caption         =   "Abort"
      Height          =   225
      Left            =   12945
      TabIndex        =   170
      Top             =   3000
      Width           =   450
   End
   Begin VB.Label pStageDelay 
      BackStyle       =   0  'Transparent
      Caption         =   "Delay"
      Height          =   225
      Left            =   11790
      TabIndex        =   169
      Top             =   3000
      Width           =   495
   End
   Begin VB.Label pStageJettison 
      BackStyle       =   0  'Transparent
      Caption         =   "Jettison"
      Height          =   225
      Left            =   12300
      TabIndex        =   168
      Top             =   3000
      Width           =   615
   End
   Begin VB.Label pJettisonSubsystem 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Jettison Subsystem"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   11700
      TabIndex        =   167
      Top             =   2775
      Width           =   1680
   End
   Begin VB.Label pStageThrust 
      BackStyle       =   0  'Transparent
      Caption         =   "Thrust"
      Height          =   225
      Left            =   3450
      TabIndex        =   166
      Top             =   3000
      Width           =   555
   End
   Begin VB.Label pStagePropellant 
      BackStyle       =   0  'Transparent
      Caption         =   "Propellant"
      Height          =   225
      Left            =   4125
      TabIndex        =   165
      Top             =   3000
      Width           =   765
   End
   Begin VB.Label pStg 
      BackStyle       =   0  'Transparent
      Caption         =   "Hover"
      Height          =   225
      Index           =   6
      Left            =   3645
      TabIndex        =   164
      Top             =   1800
      Width           =   675
   End
   Begin VB.Label pStg 
      BackStyle       =   0  'Transparent
      Caption         =   "Stage 5"
      Height          =   225
      Index           =   5
      Left            =   3645
      TabIndex        =   163
      Top             =   1560
      Width           =   675
   End
   Begin VB.Label pStg 
      BackStyle       =   0  'Transparent
      Caption         =   "Stage 4"
      Height          =   225
      Index           =   4
      Left            =   3645
      TabIndex        =   162
      Top             =   1320
      Width           =   675
   End
   Begin VB.Label pStg 
      BackStyle       =   0  'Transparent
      Caption         =   "Stage 3"
      Height          =   225
      Index           =   3
      Left            =   3645
      TabIndex        =   161
      Top             =   1080
      Width           =   675
   End
   Begin VB.Label pStg 
      BackStyle       =   0  'Transparent
      Caption         =   "Stage 2"
      Height          =   225
      Index           =   2
      Left            =   3645
      TabIndex        =   160
      Top             =   840
      Width           =   675
   End
   Begin VB.Label pStg 
      BackStyle       =   0  'Transparent
      Caption         =   "Stage 1"
      Height          =   225
      Index           =   1
      Left            =   3645
      TabIndex        =   159
      Top             =   600
      Width           =   675
   End
   Begin VB.Label pThrustSubsystem 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Thrust Subsystem"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   3450
      TabIndex        =   158
      Top             =   2775
      Width           =   1770
   End
   Begin VB.Label pTotalMass 
      BackStyle       =   0  'Transparent
      Caption         =   "Total"
      Height          =   225
      Left            =   3645
      TabIndex        =   157
      Top             =   2340
      Width           =   750
   End
   Begin VB.Label pBasicDesign 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Basic Parameters Design"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   3675
      TabIndex        =   156
      Top             =   150
      Width           =   5610
   End
   Begin VB.Menu mnDrag 
      Caption         =   "Drag coefficient"
      Visible         =   0   'False
      Begin VB.Menu mnDragCf 
         Caption         =   ""
         Index           =   0
      End
   End
   Begin VB.Menu mnPropellant 
      Caption         =   "Propellant"
      Visible         =   0   'False
      Begin VB.Menu mnFuel 
         Caption         =   ""
         Index           =   0
      End
      Begin VB.Menu mnSP0 
         Caption         =   "-"
      End
      Begin VB.Menu mnEngine 
         Caption         =   ""
         Index           =   0
      End
   End
   Begin VB.Menu mnModels 
      Caption         =   "Models"
      Visible         =   0   'False
      Begin VB.Menu mnModel 
         Caption         =   "Default"
         Index           =   0
      End
   End
End
Attribute VB_Name = "Preset"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim NoResize As Boolean, Pos As Long

Private Sub Form_Load()
    Pos = 1
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    End Sub

Sub Activate()
    If Main.WindowState = vbMinimized Then Exit Sub
    If Visible Then Hide Else Show vbModeless, Main
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_Resize()
    If NoResize Then Exit Sub
    NoResize = True: Move Left, Top, _
        (Round((ScaleWidth - 3) / PresetWidth) * PresetWidth + 3 - ScaleWidth) * TwipX + Width, _
        (Round((ScaleHeight - 3) / PresetHeight) * PresetHeight + 3 - ScaleHeight) * TwipY + Height: _
    ResizePreset: NoResize = False: If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyC, vbKeyH, vbKeyV, vbKeyX, vbKeyZ
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn
        If Shift Or IsTest Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Private Sub pDragCoeff_Click(Index As Integer)
    Dim N As Long, M As Menu
    Pos = Index
    With Stages
    For N = 0 To .mnCd.UBound
        If N > mnDragCf.UBound Then Load mnDragCf(N)
        If mnDragCf(N).Caption <> .mnCd(N).Caption Then mnDragCf(N).Caption = .mnCd(N).Caption
        Next
    For N = mnDragCf.UBound To N Step -1: Unload mnDragCf(N): Next
    End With
    For Each M In mnDragCf: M.Checked = StgDragCoeff(Pos) = M.Caption: Next
    ShowMenu Me, mnDrag, pDragCoeff(Pos), True, False
    End Sub

Private Sub mnDragCf_Click(Index As Integer)
    StgDragCoeff(Pos) = mnDragCf(Index).Caption: Sel StgDragCoeff(Pos), True, True
    End Sub

Private Sub StgFuel_Click(Index As Integer)
    Dim N As Long, M As Menu
    Pos = Index
    With Editor
    For N = 0 To .Fuel.ListCount - 1
        If N > mnFuel.UBound Then Load mnFuel(N)
        If mnFuel(N).Caption <> .Fuel.List(N) Then mnFuel(N).Caption = .Fuel.List(N)
        Next
    For N = mnFuel.UBound To N Step -1: Unload mnFuel(N): Next
    End With
    With Stages
    For N = 0 To .mnEn.UBound
        If N > mnEngine.UBound Then Load mnEngine(N)
        If mnEngine(N).Caption <> .mnEn(N).Caption Then mnEngine(N).Caption = .mnEn(N).Caption
        Next
    For N = mnEngine.UBound To N Step -1: Unload mnEngine(N): Next
    End With
    For Each M In mnFuel: M.Checked = StgPropellant(Pos) = M.Caption: Next
    For Each M In mnEngine: M.Checked = StgPropellant(Pos) = M.Caption: Next
    ShowMenu Me, mnPropellant, StgFuel(Pos), True, False
    End Sub

Private Sub mnFuel_Click(Index As Integer)
    StgPropellant(Pos) = mnFuel(Index).Caption: Sel StgPropellant(Pos), True, True
    End Sub

Private Sub mnEngine_Click(Index As Integer)
    StgPropellant(Pos) = mnEngine(Index).Caption: Sel StgPropellant(Pos), True, True
    End Sub

Private Sub StgActive_Click(Index As Integer)
    ToggleValue StgActive(Index)
    End Sub

Private Sub StgJettison_Click(Index As Integer)
    ToggleValue StgJettison(Index)
    End Sub

Private Sub StgAbort_Click(Index As Integer)
    ToggleValue StgAbort(Index)
    End Sub

Private Sub cModel_MouseDown(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    Press cModel(Index)
    End Sub

Private Sub cModel_Click(Index As Integer)
    Dim N As Long, M As Menu
    LoadList ModelsDir, "*.cob"
    mnModel(0).Checked = StgModel(Pos) = ""
    For N = 1 To List.Count
        If N > mnModel.UBound Then Load mnModel(N)
        With mnModel(N)
        If .Caption <> List(N) Then .Caption = List(N)
        .Checked = .Caption = StgModel(Pos)
        End With
        Next
    For N = mnModel.UBound To N Step -1: Unload mnModel(N): Next
    ShowMenu Me, mnModels, cModel(Index), True, False
    UnPress cModel(Index)
    End Sub

Private Sub mnModel_Click(Index As Integer)
    If Index Then StgModel(Pos) = mnModel(Index).Caption Else StgModel(Pos) = ""
    End Sub

Private Sub cLoad_Click()
    LoadPreset
    Update
    End Sub

Private Sub cApply_Click()
    Apply
    End Sub

Private Sub cSave_Click()
    Apply
    LoadPreset
    End Sub

Sub Update()
    Dim C As Long, N As Long, J As Boolean
    With Setup: PresetName = .Preset: PresetOverview = .Overview: End With
    With Stages
    For N = 1 To HoverMax:   SetValue StgActive(N), .Stage(N): Next
    For N = 1 To PayloadMax: StgMass(N) = .Mass(N): Next: TotalMass = .Mass(0)
    For N = 1 To PayloadMax: StgWetMass(N) = "": Next
    For N = 1 To HoverMax:   StgDryMass(N) = .Dry(N): Next: StgDryMass(PayloadMax) = ""
    For N = 1 To PayloadMax: StgDiameter(N) = .Area(N): Next: TotalDiameter = ""
    For N = 1 To PayloadMax: StgLength(N) = .Length(N): Next: TotalLength = ""
    For N = 1 To PayloadMax: StgLiftToDrag(N) = .LiftToDrag(N): Next
    For N = 1 To PayloadMax: StgDragCoeff(N) = .DragCf(N): Next
    For N = 1 To PayloadMax: StgInertiaX(N) = .InertiaX(N): Next
    For N = 1 To PayloadMax: StgInertiaY(N) = .InertiaY(N): Next
    For N = 1 To PayloadMax: StgInertiaZ(N) = .InertiaZ(N): Next
    For N = 1 To PayloadMax: StgCenterX(N) = .CenterX(N): Next
    For N = 1 To PayloadMax: StgCenterY(N) = .CenterY(N): Next
    For N = 1 To PayloadMax: StgCenterZ(N) = .CenterZ(N): Next
    For N = 1 To PayloadMax: StgModel(N) = .Model(N): Next
    For N = 1 To HoverMax:   StgThrust(N) = .Thrust(N): Next: StgThrust(PayloadMax) = ""
    For N = 1 To HoverMax:   StgPropellant(N) = .Fuel(N): Next: StgPropellant(PayloadMax) = ""
    For N = 1 To PayloadMax: StgForce(N) = .Control(N): Next
    For N = 1 To PayloadMax: StgP(N) = .ControlP(N): Next
    For N = 1 To PayloadMax: StgI(N) = .ControlI(N): Next
    For N = 1 To PayloadMax: StgD(N) = .ControlD(N): Next
    For N = 1 To PayloadMax: StgEmmisivity(N) = .Emissivity(N): Next
    For N = 1 To PayloadMax: StgMinTemp(N) = .Tmin(N): Next
    For N = 1 To PayloadMax: StgMaxTemp(N) = .Tmax(N): Next
    For N = 1 To PayloadMax: StgBattery(N) = .Battery(N): Next
    For N = 1 To PayloadMax: StgImax(N) = .Imax(N): Next
    For N = 1 To PayloadMax: StgVmax(N) = .Vmax(N): Next
    For N = 1 To PayloadMax: StgPower(N) = .Power(N): Next
    For N = 1 To HoverMax:   StgDelay(N) = .Delay(N): Next: StgDelay(PayloadMax) = ""
    C = Val(.Abort): J = .Jettison
    For N = 1 To PayloadMax: SetValue StgAbort(N), N = C: SetValue StgJettison(N), N = C And J: Next
    End With
    End Sub

Sub Apply()
    Dim C As Long, N As Long, J As Boolean, IsModel As Boolean
    With Setup: .Preset = PresetName: .Overview = PresetOverview: End With
    With Stages
    For N = 1 To HoverMax:   .Stage(N) = Value(StgActive(N)): Next
    For N = 1 To PayloadMax: .Mass(N) = StgMass(N): Next: .Mass(0) = TotalMass
    'For N = 1 To PayloadMax: StgWetMass(N) = "": Next
    For N = 1 To HoverMax:   .Dry(N) = StgDryMass(N): Next ': StgDryMass(PayloadMax) = ""
    For N = 1 To PayloadMax: .Area(N) = StgDiameter(N): Next ': TotalDiameter = ""
    For N = 1 To PayloadMax: .Length(N) = StgLength(N): Next ': TotalLength = ""
    For N = 1 To PayloadMax: .LiftToDrag(N) = StgLiftToDrag(N): Next
    For N = 1 To PayloadMax: .DragCf(N) = StgDragCoeff(N): Next
    For N = 1 To PayloadMax: .InertiaX(N) = StgInertiaX(N): Next
    For N = 1 To PayloadMax: .InertiaY(N) = StgInertiaY(N): Next
    For N = 1 To PayloadMax: .InertiaZ(N) = StgInertiaZ(N): Next
    For N = 1 To PayloadMax: .CenterX(N) = StgCenterX(N): Next
    For N = 1 To PayloadMax: .CenterY(N) = StgCenterY(N): Next
    For N = 1 To PayloadMax: .CenterZ(N) = StgCenterZ(N): Next
    For N = 1 To PayloadMax: IsModel = IsModel Or .Model(N) <> StgModel(N): .Model(N) = StgModel(N): Next
    For N = 1 To HoverMax:   .Thrust(N) = StgThrust(N): Next ': StgThrust(PayloadMax) = ""
    For N = 1 To HoverMax:   .Fuel(N) = StgPropellant(N): Next ': StgPropellant(PayloadMax) = ""
    For N = 1 To PayloadMax: .Control(N) = StgForce(N): Next
    For N = 1 To PayloadMax: .ControlP(N) = StgP(N): Next
    For N = 1 To PayloadMax: .ControlI(N) = StgI(N): Next
    For N = 1 To PayloadMax: .ControlD(N) = StgD(N): Next
    For N = 1 To PayloadMax: .Emissivity(N) = StgEmmisivity(N): Next
    For N = 1 To PayloadMax: .Tmin(N) = StgMinTemp(N): Next
    For N = 1 To PayloadMax: .Tmax(N) = StgMaxTemp(N): Next
    For N = 1 To PayloadMax: .Battery(N) = StgBattery(N): Next
    For N = 1 To PayloadMax: .Imax(N) = StgImax(N): Next
    For N = 1 To PayloadMax: .Vmax(N) = StgVmax(N): Next
    For N = 1 To PayloadMax: .Power(N) = StgPower(N): Next
    For N = 1 To HoverMax:   .Delay(N) = StgDelay(N): Next ': StgDelay(PayloadMax) = ""
    C = Val(.Abort): J = .Jettison
    For N = 1 To PayloadMax
        If Value(StgAbort(N)) Then Exit For
        Next
    If N <= PayloadMax Then .Abort = N: .Jettison = Value(StgJettison(N)) _
    Else .Abort = "": .Jettison = False
    End With
    If IsModel Then UpdateModels
    End Sub
