VERSION 5.00
Begin VB.Form Setup 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Setup"
   ClientHeight    =   2145
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   7845
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Setup.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   143
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   523
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox Overview 
      BorderStyle     =   0  'None
      Height          =   2025
      Left            =   4500
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   21
      Tag             =   "Mission overview"
      Text            =   "Setup.frx":000C
      Top             =   75
      Width           =   3300
   End
   Begin VB.ListBox Targets 
      Height          =   1725
      IntegralHeight  =   0   'False
      ItemData        =   "Setup.frx":00C8
      Left            =   4500
      List            =   "Setup.frx":00CA
      MultiSelect     =   2  'Extended
      OLEDropMode     =   1  'Manual
      TabIndex        =   22
      Tag             =   "Target list"
      Top             =   375
      Visible         =   0   'False
      Width           =   3300
   End
   Begin Project.Button AddTarget 
      Height          =   225
      Left            =   7545
      TabIndex        =   20
      Top             =   75
      Visible         =   0   'False
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "+"
      ToolTip         =   "Add the selected targets in the Search panel to the list"
   End
   Begin Project.Button DelTarget 
      Height          =   225
      Left            =   7290
      TabIndex        =   23
      Top             =   75
      Visible         =   0   'False
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "-"
      ToolTip         =   "Remove the selected targets from the list"
   End
   Begin Project.Button MoveDown 
      Height          =   225
      Left            =   7035
      TabIndex        =   24
      Top             =   75
      Visible         =   0   'False
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "6"
      Style           =   1
      ToolTip         =   "Move the selected targets down in the list"
      ForeColor       =   0
   End
   Begin Project.Button MoveUp 
      Height          =   225
      Left            =   6780
      TabIndex        =   25
      Top             =   75
      Visible         =   0   'False
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      State           =   -1  'True
      Caption         =   "5"
      Style           =   1
      ToolTip         =   "Move the selected targets up in the list"
      ForeColor       =   0
   End
   Begin Project.Button ShowTargets 
      Height          =   225
      Left            =   4200
      TabIndex        =   32
      Top             =   75
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "2"
      Style           =   1
      Image           =   "Setup.frx":00CC
      Image2          =   "Setup.frx":05E6
      ToolTip         =   "Show target list or mission overview"
      ForeColor       =   0
   End
   Begin Project.Button ShowOverview 
      Height          =   225
      Left            =   2625
      TabIndex        =   26
      Top             =   75
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      State           =   -1  'True
      Caption         =   "3"
      Style           =   3
      ToolTip         =   "Show extended parameters and target list"
      ForeColor       =   0
   End
   Begin Project.Button ShowStages 
      Height          =   225
      Left            =   2370
      TabIndex        =   27
      Top             =   75
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "1"
      Style           =   1
      Image           =   "Setup.frx":0B00
      Image2          =   "Setup.frx":101A
      ToolTip         =   "Show stages and payload"
      ForeColor       =   0
   End
   Begin Project.Button ShowCalc 
      Height          =   225
      Left            =   2115
      TabIndex        =   34
      Top             =   75
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "2"
      Style           =   1
      Image           =   "Setup.frx":1534
      Image2          =   "Setup.frx":1A4E
      ToolTip         =   "Show trajectory editor"
      ForeColor       =   0
   End
   Begin Project.Edit Brake 
      Height          =   225
      Left            =   3000
      TabIndex        =   19
      Top             =   1875
      Width           =   1425
      _ExtentX        =   2514
      _ExtentY        =   397
      Caption         =   "Brake"
      Text            =   "125km"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Hover or parachute braking altitude [m], [ft] or speed [m/s], [kn], [mph], [kph] or delay [s] (Default=Auto)"
   End
   Begin Project.Edit Speed 
      Height          =   225
      Left            =   3000
      TabIndex        =   18
      Top             =   1575
      Width           =   1425
      _ExtentX        =   2117
      _ExtentY        =   423
      Caption         =   "Speed"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch initial speed [m/s], [kn], [mph], [kph] (O=Orbit, E=Escape, A=Absolute, V=Vertical, Default=Earth rotation)"
   End
   Begin Project.Edit LiftLimit 
      Height          =   225
      Left            =   3000
      TabIndex        =   17
      Top             =   1275
      Width           =   1425
      _ExtentX        =   2514
      _ExtentY        =   397
      Caption         =   "Lift limit"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Lift force limit [G] or angle of attack [degrees] (Optional)"
   End
   Begin Project.Edit ThrustLimit 
      Height          =   225
      Left            =   3000
      TabIndex        =   16
      Top             =   975
      Width           =   1425
      _ExtentX        =   2514
      _ExtentY        =   397
      Caption         =   "Thrust limit"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Engine thrust limit [G] (Optional)"
   End
   Begin Project.Edit MoonPark 
      Height          =   225
      Left            =   3000
      TabIndex        =   15
      Top             =   675
      Width           =   1425
      _ExtentX        =   2514
      _ExtentY        =   397
      Caption         =   "Moon park"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Moon or Mars orbit parking delay [s] (R=Reverse engines, O=Deploy satellite, Default=No delay)"
   End
   Begin Project.Edit EarthPark 
      Height          =   225
      Left            =   3000
      TabIndex        =   14
      Top             =   375
      Width           =   1425
      _ExtentX        =   2514
      _ExtentY        =   397
      Caption         =   "Earth park"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Earth orbit parking delay [s] (Optional)"
   End
   Begin Project.Edit TimeStep 
      Height          =   225
      Left            =   3000
      TabIndex        =   13
      Top             =   75
      Width           =   1170
      _ExtentX        =   2064
      _ExtentY        =   397
      Caption         =   "Step"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Simulation time step [s] (Default=50ms)"
   End
   Begin Project.Button SelTime 
      Height          =   225
      Left            =   2625
      TabIndex        =   30
      Top             =   375
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "v"
      Style           =   5
      ForeColor       =   0
   End
   Begin Project.Edit Time 
      Height          =   225
      Left            =   1800
      TabIndex        =   2
      Top             =   375
      Width           =   810
      _ExtentX        =   2117
      _ExtentY        =   423
      Caption         =   ""
      Text            =   "12:09:00"
      Alignment       =   1
      ToolTip         =   "Launch time UTC [HH:MM:SS]"
   End
   Begin Project.Edit EndAlt 
      Height          =   225
      Left            =   1500
      TabIndex        =   12
      Top             =   1875
      Width           =   1350
      _ExtentX        =   2381
      _ExtentY        =   397
      Caption         =   "at"
      Text            =   "56km"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Altitude of the launch end angle [m], [ft]"
   End
   Begin Project.Edit StartAlt 
      Height          =   225
      Left            =   1500
      TabIndex        =   11
      Top             =   1575
      Width           =   1350
      _ExtentX        =   2381
      _ExtentY        =   397
      Caption         =   "at"
      Text            =   "19km"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Altitude of the launch start angle [m], [ft]"
   End
   Begin Project.Edit Alt 
      Height          =   225
      Left            =   1500
      TabIndex        =   10
      Top             =   1275
      Width           =   1350
      _ExtentX        =   2381
      _ExtentY        =   397
      Caption         =   "Alt"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch site altitude [m], [ft] (G=Relative to ground, D=Relative to geoid, Default=Relative to ellipsoid)"
   End
   Begin Project.Edit Lon 
      Height          =   225
      Left            =   1500
      TabIndex        =   9
      Top             =   975
      Width           =   1350
      _ExtentX        =   2381
      _ExtentY        =   397
      Caption         =   "Lon"
      Text            =   "16.6W"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch site longitude [degrees]"
   End
   Begin Project.Edit Lat 
      Height          =   225
      Left            =   1500
      TabIndex        =   8
      Top             =   675
      Width           =   1350
      _ExtentX        =   2381
      _ExtentY        =   397
      Caption         =   "Lat"
      Text            =   "28.2N"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch site latitude [degrees]"
   End
   Begin Project.Button SelDate 
      Height          =   225
      Left            =   1500
      TabIndex        =   29
      Top             =   375
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "v"
      Style           =   5
      ForeColor       =   0
   End
   Begin Project.Edit Date 
      Height          =   225
      Left            =   75
      TabIndex        =   1
      Top             =   375
      Width           =   1410
      _ExtentX        =   2487
      _ExtentY        =   397
      Caption         =   "Time"
      Text            =   "2007-06-26"
      Alignment       =   1
      ToolTip         =   "Launch date UTC [YYYY-MM-DD]"
   End
   Begin Project.Edit EndAngle 
      Height          =   225
      Left            =   75
      TabIndex        =   7
      Top             =   1875
      Width           =   1275
      _ExtentX        =   2249
      _ExtentY        =   397
      Caption         =   "End"
      Text            =   "3"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch end angle [degrees] (Vertical=90 Horizontal=0)"
   End
   Begin Project.Edit StartAngle 
      Height          =   225
      Left            =   75
      TabIndex        =   6
      Top             =   1575
      Width           =   1275
      _ExtentX        =   2249
      _ExtentY        =   397
      Caption         =   "Start"
      Text            =   "29"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch start angle [degrees] (Vertical=90 Horizontal=0)"
   End
   Begin Project.Edit Angle 
      Height          =   225
      Left            =   75
      TabIndex        =   5
      Top             =   1275
      Width           =   1275
      _ExtentX        =   2249
      _ExtentY        =   397
      Caption         =   "Angle"
      Text            =   "90"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch initial angle [degrees] (Vertical=90 Horizontal=0 Default=Vertical)"
   End
   Begin Project.Edit Heading 
      Height          =   225
      Left            =   75
      TabIndex        =   4
      Top             =   975
      Width           =   1275
      _ExtentX        =   2249
      _ExtentY        =   397
      Caption         =   "Heading"
      Text            =   "87.2"
      Numeric         =   -1  'True
      Alignment       =   1
      ToolTip         =   "Launch initial heading [degrees] (N=0 E=90 S=180 W=270 Default=E)"
   End
   Begin Project.Button SelLocation 
      Height          =   225
      Left            =   1125
      TabIndex        =   31
      Top             =   675
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "4"
      Style           =   1
      ForeColor       =   0
   End
   Begin Project.Edit Location 
      Height          =   225
      Left            =   75
      TabIndex        =   3
      Top             =   675
      Width           =   1035
      _ExtentX        =   1826
      _ExtentY        =   397
      Caption         =   ""
      Text            =   "Tenerife"
      ToolTip         =   "Launch site"
   End
   Begin Project.Button SelPreset 
      Height          =   225
      Left            =   1815
      TabIndex        =   28
      Top             =   75
      Width           =   225
      _ExtentX        =   397
      _ExtentY        =   397
      Caption         =   "4"
      Style           =   1
      ForeColor       =   0
   End
   Begin Project.Edit Preset 
      Height          =   225
      Left            =   75
      TabIndex        =   0
      Top             =   75
      Width           =   1725
      _ExtentX        =   3043
      _ExtentY        =   397
      Caption         =   ""
      Text            =   "Default"
      ToolTip         =   "Simulation preset"
   End
   Begin VB.Label LblTargets 
      BackStyle       =   0  'Transparent
      Caption         =   "Targets"
      Height          =   225
      Left            =   4575
      TabIndex        =   33
      Top             =   75
      Visible         =   0   'False
      Width           =   2100
   End
   Begin VB.Menu mnLocations 
      Caption         =   "Locations"
      Visible         =   0   'False
      Begin VB.Menu mnAdd 
         Caption         =   "Add"
      End
      Begin VB.Menu mnDel 
         Caption         =   "Delete"
      End
      Begin VB.Menu mnClearAll 
         Caption         =   "Clear all"
      End
      Begin VB.Menu mnSelected 
         Caption         =   "Selected"
      End
      Begin VB.Menu mnSL0 
         Caption         =   "-"
      End
      Begin VB.Menu mnLoc 
         Caption         =   "."
         Index           =   0
      End
   End
   Begin VB.Menu mnList 
      Caption         =   "List"
      Visible         =   0   'False
      Begin VB.Menu mnAddItem 
         Caption         =   "Add"
      End
      Begin VB.Menu mnDelItem 
         Caption         =   "Delete"
      End
      Begin VB.Menu mnST0 
         Caption         =   "-"
      End
      Begin VB.Menu mnMoveUp 
         Caption         =   "Move up"
      End
      Begin VB.Menu mnMoveDown 
         Caption         =   "Move down"
      End
      Begin VB.Menu mnST1 
         Caption         =   "-"
      End
      Begin VB.Menu mnCopy 
         Caption         =   "Copy"
      End
      Begin VB.Menu mnPaste 
         Caption         =   "Paste"
      End
      Begin VB.Menu mnSelectAll 
         Caption         =   "Select all"
      End
   End
End
Attribute VB_Name = "Setup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim NoResize As Boolean, IsMap As Boolean, NoSelect As Boolean

Private Sub Form_Load()
    RemoveListBorder Targets
    LoadButton ShowStages, "Panel.ico": LoadButton ShowCalc, "Calc.ico"
    LoadButton ShowTargets, "Editor.ico"
    If Not IsDebug Then SetSetupProc hWnd: SetSetupListProc Targets.hWnd
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    If Not IsDebug Then SetSetupProc hWnd, False: SetSetupListProc Targets.hWnd, False
    End Sub

Sub Activate()
    If Main.WindowState = vbMinimized Then Exit Sub
    If Visible Then Hide Else Show vbModeless, Main
    If Options.SnapPanels Then ResizeMain
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
    Case vbKeyF1 To vbKeyF12, vbKeyEscape: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyC, vbKeyH, vbKeyV, vbKeyX, vbKeyZ
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeySpace, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyReturn
        If Shift Or IsTest Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: If Shift > 4 Then Main.Form_KeyDown KeyCode, Shift And Not 4: KeyCode = 0
        End Select
    End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeySnapshot: Main.Form_KeyUp KeyCode, Shift: End Select
    End Sub

Sub Form_Resize()
    Dim N As Single
    If NoResize Or IsInit Then Exit Sub
    N = IfSng(ShowOverview, SetupWidthEx, SetupWidth)
    NoResize = True: Move Left, Top, _
        (Round((ScaleWidth - 3) / N) * N + 3 - ScaleWidth) * TwipX + Width, _
        (Round((ScaleHeight - 3) / SetupHeight) * SetupHeight + 3 - ScaleHeight) * TwipY + Height: _
    ResizeSetup: NoResize = False: If Options.SnapPanels Then ResizeMain
    End Sub

Sub SetOverview(Optional ByVal Show As Boolean)
    If ShowOverview <> Show Then ToggleOverview True
    End Sub

Sub ToggleOverview(Optional ByVal Toggle As Boolean)
    If Toggle Then ShowOverview = Not ShowOverview
    UpdateWidth Me, ShowOverview, SetupWidth, SetupWidthEx
    End Sub

Sub SetTargets(Optional ByVal Value As Long = 1, Optional ByVal UpdatePanels As Boolean)
    If Value = 1 Then Value = Not Targets.Visible
    Targets.Visible = Value: LblTargets.Visible = Value
    AddTarget.Visible = Value: DelTarget.Visible = Value
    MoveDown.Visible = Value: MoveUp.Visible = Value
    Overview.Visible = Not Value
    Setup.Refresh
    If UpdatePanels Then
        If Search.Visible Xor Targets.Visible Then Search.Activate
        If Search.Visible Xor (Tool And (ToolStations Or ToolLocations)) <> 0 Then SetTool ToolStations Or ToolLocations
        End If
    End Sub

Private Sub Preset_Key(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeyContextMenu: SelPreset_OnClick: End Select
    End Sub

Private Sub SelPreset_OnClick()
    Main.SetPresetMenu: Preset.SetFocus: ShowMenu Me, Main.mnPresets, SelPreset, True
    End Sub

Private Sub Location_Key(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case vbKeyContextMenu: SelLocation_OnClick: End Select
    End Sub

Private Sub SelLocation_OnClick()
    SetLocationMenu
    End Sub

Sub SetLocationMenu(Optional ByVal UseMap As Boolean)
    Dim C As Long, N As Long, S As String
    IsMap = UseMap
    For N = 0 To LocationN - 1
        If C = 0 Then mnLoc(C).Visible = True Else If C > mnLoc.UBound Then Load mnLoc(C)
        If Sys.Location(N).Planet = ToEarth Then
            If mnLoc(C).Caption <> Sys.Location(N).Name Then mnLoc(C).Caption = Sys.Location(N).Name
            With Sys.Location(N)
            If IsMap Then
                S = Map.Pos: Check mnLoc(C), _
                    .Lon = ValAngle(ParamXRev(S)) And .Lat = ValAngle(ParamXRev(S))
            Else
                Check mnLoc(C), .Name = Location And _
                    .Lat = ValAngle(Lat) And .Lon = ValAngle(Lon) And .Alt = ValSpace(Alt)
                End If
            End With
            C = C + 1
            End If
        Next
    For C = mnLoc.UBound To C Step -1
        If C Then Unload mnLoc(C) Else mnLoc(C).Visible = False
        Next
    mnSL0.Visible = mnLoc(0).Visible
    'For Each M In mnLoc
    '    With Sys.Location(M.Index): Checked M, .Name = Location And _
    '        .Lat = ValAngle(Lat) And .Lon = ValAngle(Lon) And .Alt = ValSpace(Alt): End With
    '    Next
    If IsMap Then ShowMenu Map, mnLocations, Map.Info _
    Else Location.SetFocus: ShowMenu Me, mnLocations, SelLocation, True
    End Sub

Private Sub mnLoc_Click(Index As Integer)
    With Sys.Location(Index)
    If .Planet <> ToEarth Then Exit Sub
    If IsMap Then
        If MapMode Then Map.UpdatePos .Lat, .Lon: Sel Map.Pos, True
    Else
        Location = .Name
        Lat = ToLat(.Lat, "", Degrees): Lon = ToLon(.Lon, "", Degrees)
        If .Alt <> 0 Then Alt = NumD(.Alt) Else Alt = ""
        If T = 0 Then Init
        End If
    End With
    End Sub

Private Sub mnAdd_Click()
    If Not IsMap Then AddLocation: If Play = Paused Then Render
    End Sub

Private Sub mnDel_Click()
    If Not IsMap Then DelLocation: If Play = Paused Then Render
    End Sub

Private Sub mnClearAll_Click()
    If Not IsMap Then ClearLocations: If Play = Paused Then Render
    End Sub

Private Sub mnSelected_Click()
    If Not IsMap Then SetLaunchSelected
    End Sub

Private Sub SelDate_DblClick()
    SetTime J2ksNow, , True
    End Sub

Private Sub SelDate_MouseDown(Button As Integer, Shift As Integer)
    Date.SetFocus
    End Sub

Private Sub SelDate_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 1 Then If Not SyncTimer Then SetTime -Y * Day, True, True
    End Sub

Private Sub Date_Up()
    SetTime Switch(Shift And 1, 365, Shift And 2, 30, True, 1) * Day, True, True
    End Sub

Private Sub Date_Down()
    SetTime -Switch(Shift And 1, 365, Shift And 2, 30, True, 1) * Day, True, True
    End Sub

Private Sub SelTime_DblClick()
    SetTime J2ksNow, , True
    End Sub

Private Sub SelTime_MouseDown(Button As Integer, Shift As Integer)
    Time.SetFocus
    End Sub

Private Sub SelTime_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 1 Then If Not SyncTimer Then SetTime -Y * Min, True, True
    End Sub

Private Sub Time_Up()
    SetTime Switch(Shift And 1, Hour, Shift And 2, 1, True, Min), True, True
    End Sub

Private Sub Time_Down()
    SetTime -Switch(Shift And 1, Hour, Shift And 2, 1, True, Min), True, True
    End Sub

Private Sub Heading_Up()
    SetAngleUp Heading
    End Sub

Private Sub Heading_Down()
    SetAngleDown Heading
    End Sub

Private Sub Angle_Up()
    SetPitchUp Angle
    End Sub

Private Sub Angle_Down()
    SetPitchDown Angle
    End Sub

Private Sub StartAngle_Up()
    SetPitchUp StartAngle
    End Sub

Private Sub StartAngle_Down()
    SetPitchDown StartAngle
    End Sub

Private Sub EndAngle_Up()
    SetPitchUp EndAngle
    End Sub

Private Sub EndAngle_Down()
    SetPitchDown EndAngle
    End Sub

Private Sub Lat_Up()
    If EditLimitUp(Lat, , 90) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Lat_Down()
    If EditLimitDown(Lat, , 90) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Lon_Up()
    If EditLimitUp(Lon, , 180) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Lon_Down()
    If EditLimitDown(Lon, , 180) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Alt_Up()
    If EditUp(Alt) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Alt_Down()
    If EditDown(Alt) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub StartAlt_Up()
    If EditUp(StartAlt) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub StartAlt_Down()
    If EditDown(StartAlt) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub EndAlt_Up()
    If EditUp(EndAlt) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub EndAlt_Down()
    If EditDown(EndAlt) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub EarthPark_Up()
    If EditUp(EarthPark) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub EarthPark_Down()
    If EditDown(EarthPark) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub MoonPark_Up()
    If EditUp(MoonPark) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub MoonPark_Down()
    If EditDown(MoonPark) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Speed_Up()
    If EditUp(Speed) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Speed_Down()
    If EditDown(Speed) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Brake_Up()
    If EditUp(Brake) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub Brake_Down()
    If EditDown(Brake) Then If T = 0 Then Init , , , , , , , True
    End Sub

Private Sub ShowCalc_Click()
    Calc.Activate
    End Sub

Private Sub ShowStages_Click()
    Stages.Activate
    End Sub

Private Sub ShowOverview_Click()
    ToggleOverview
    End Sub

Private Sub ShowTargets_Click()
    SetTargets , True
    End Sub

Private Sub Overview_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Tip.Visible Then Tip.Update
    End Sub

Private Sub Overview_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Tip.Update Overview.Tag
    End Sub

Private Sub Overview_KeyDown(KeyCode As Integer, Shift As Integer)
    If Tip.Visible Then Tip.Update
    End Sub

Private Sub Targets_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Tip.Visible Then Tip.Update
    End Sub

Private Sub Targets_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Tip.Update Targets.Tag
    End Sub

Private Sub Targets_Click()
    Dim C As Long, N As Long
    If NoSelect Then Exit Sub
    With Targets
    N = .ListIndex: If .Selected(N) Then C = .ItemData(N): SetObject C, GetN(C, .List(N)), , False
    End With
    End Sub

Private Sub Targets_DblClick()
    If Cam1.Follow <> ToObject Then FollowMode Cam1, ToObject
    End Sub

Private Sub Targets_KeyDown(KeyCode As Integer, Shift As Integer)
    If Tip.Visible Then Tip.Update
    Select Case KeyCode
    Case vbKeyContextMenu: ShowMenu Me, mnList, Targets, , False
    Case vbKeyUp: If Shift = 4 Then mnMoveUp_Click: KeyCode = 0
    Case vbKeyDown: If Shift = 4 Then mnMoveDown_Click: KeyCode = 0
    Case vbKeyDelete: mnDelItem_Click
        End Select
    End Sub

Private Sub Targets_KeyUp(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode: Case 1: ShowMenu Me, mnList: End Select
    End Sub

Private Sub Targets_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim C As Long, N As Long, S As String
    If Data.GetFormat(vbCFFiles) Then Effect = vbDropEffectMove _
    Else Effect = vbDropEffectNone: Exit Sub
    If Data.Files.Count <= 0 Then Exit Sub
    For N = 1 To Data.Files.Count
        AddItem Data.Files(N)
        Next
    If Tool And ToolStations Then If Play = Paused And T = 0 Then Init
    End Sub

Private Sub Targets_OLEDragOver(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single, State As Integer)
    If Data.GetFormat(vbCFFiles) Then Effect = vbDropEffectMove Else Effect = vbDropEffectNone
    End Sub

Private Sub AddTarget_Click()
    mnAddItem_Click
    End Sub

Private Sub DelTarget_Click()
    mnDelItem_Click
    End Sub

Private Sub MoveUp_Click()
    mnMoveUp_Click
    End Sub

Private Sub MoveDown_Click()
    mnMoveDown_Click
    End Sub

Private Sub mnAddItem_Click()
    CopyItems
    End Sub

Private Sub mnDelItem_Click()
    Dim C As Long, N As Long
    With Targets
    If .ListCount <= 0 Then Exit Sub
    C = -1: N = 0: Do While N < .ListCount
        If Not .Selected(N) Then N = N + 1 Else .RemoveItem N: If C < 0 Then C = N
        Loop
    End With
    If Tool And ToolStations Then If Play = Paused And T = 0 Then Init
    End Sub

Private Sub mnMoveUp_Click()
    Dim C As Long, N As Long
    With Targets
    N = .ListCount: If N < 2 Then Exit Sub
    NoSelect = True
    If .SelCount <= 1 Then
        C = .ListIndex: If C >= 1 And C < N Then SwapItem C, C - 1: .ListIndex = C - 1
    ElseIf N > 2 And Not .Selected(0) Then
        For C = 1 To N - 1
            If .Selected(C) Then SwapItem C, C - 1
            Next
        End If
    NoSelect = False
    End With
    End Sub

Private Sub mnMoveDown_Click()
    Dim C As Long, N As Long
    With Targets
    N = .ListCount: If N < 2 Then Exit Sub
    NoSelect = True
    If .SelCount <= 1 Then
        C = .ListIndex: If C >= 0 And C < N - 1 Then SwapItem C, C + 1: .ListIndex = C + 1
    ElseIf N > 2 And Not .Selected(N - 1) Then
        For C = N - 2 To 0 Step -1
            If .Selected(C) Then SwapItem C, C + 1
            Next
        End If
    NoSelect = False
    End With
    End Sub

Private Sub mnCopy_Click()
    Dim C As Long
    With Targets
    If .SelCount <= 0 Then Exit Sub
    For C = 0 To .ListCount - 1
        If .Selected(C) Then StrAdd .List(C) & vbCrLf
        Next
    End With
    Clipboard.Clear: Clipboard.SetText StrAdd
    End Sub

Private Sub mnPaste_Click()
    Dim S As String, T As String
    If Clipboard.GetFormat(vbCFText) Then T = Clipboard.GetText Else Exit Sub
    Do
        S = GetLineEx(T): If S <> "" Then AddItem S Else Exit Do
        Loop
    If Tool And ToolStations Then If Play = Paused And Sys.T = 0 Then Init
    End Sub

Private Sub mnSelectAll_Click()
    SetSelection True
    End Sub

Private Sub SwapItem(ByVal A As Long, ByVal B As Long)
    Dim D As Long, S As String, V As Boolean
    With Targets
    S = .List(A): D = .ItemData(A): V = .Selected(A)
    .List(A) = .List(B): .ItemData(A) = .ItemData(B): .Selected(A) = .Selected(B)
    .List(B) = S: .ItemData(B) = D: .Selected(B) = V
    End With
    End Sub

Private Function GetItem(Name As String, Optional ByVal Class As ObjectType = TypeAll) As Long
    Dim N As Long
    With Targets
    For GetItem = 0 To .ListCount - 1
        If .List(GetItem) = Name Then If Class = TypeAll Or _
            Class = .ItemData(GetItem) \ &H1000000 Then Exit Function
        Next
    End With
    GetItem = -1
    End Function

Function AddItem(Name As String, Optional ByVal Class As ObjectType = TypeAll) As Long
    Dim C As Long
    AddItem = -1: If Name = "" Then Exit Function
    If Class = TypeAll Then Class = GetTargetClass(Name)
    Select Case Class: Case TypeStation, TypeLocation: Case Else: Exit Function: End Select
    AddItem = GetItem(Name, Class): If AddItem < 0 Then _
        With Targets: .AddItem Name: .ItemData(.NewIndex) = Class: End With
    End Function

Sub CopyItems()
    Dim N As Long, C As Long
    With Search.List
    If SelectedType Then
        AddItem GetName(SelectedType, SelectedN), SelectedType
    ElseIf .SelCount > 0 Then
        For N = 0 To .ListCount - 1
            If .Selected(N) Then AddItem .List(N), .ItemData(N) \ &H1000000
            Next
        End If
    End With
    If Tool And ToolStations Then If Play = Paused And T = 0 Then Init
    End Sub

Sub SelectItem(Optional ByVal N As Long = -1, Optional ByVal SelectIt As Boolean = True)
    Dim C As Long, D As Long
    With Targets
    D = .ListCount: If D <= 0 Then Exit Sub
    If N > D - 1 Then N = D - 1
    If N < 0 Then N = .NewIndex
    If .SelCount > 0 Then For C = 0 To D - 1: .Selected(C) = False: Next
    NoSelect = Not SelectIt: .Selected(N) = True: .ListIndex = N: NoSelect = False
    End With
    End Sub

Sub SetSelection(Optional ByVal Value As Boolean)
    Dim C As Long
    With Targets
    If Value Or .SelCount > 0 Then NoSelect = True: _
        For C = .ListCount - 1 To 0 Step -1: .Selected(C) = Value: Next: NoSelect = False
    End With
    End Sub
