VERSION 5.00
Begin VB.UserControl Text 
   Appearance      =   0  'Flat
   ClientHeight    =   225
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1500
   ClipBehavior    =   0  'None
   ClipControls    =   0   'False
   FillColor       =   &H8000000F&
   FillStyle       =   0  'Solid
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForwardFocus    =   -1  'True
   HasDC           =   0   'False
   HitBehavior     =   0  'None
   MaskColor       =   &H00FF00FF&
   ScaleHeight     =   15
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   100
   ToolboxBitmap   =   "Text.ctx":0000
   Begin VB.Label Lbl 
      Appearance      =   0  'Flat
      AutoSize        =   -1  'True
      Caption         =   "Text"
      Height          =   195
      Left            =   0
      TabIndex        =   0
      Top             =   15
      Width           =   1500
   End
End
Attribute VB_Name = "Text"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Event Click()
Attribute Click.VB_MemberFlags = "200"

Property Get Caption() As String
Attribute Caption.VB_UserMemId = 0
Attribute Caption.VB_MemberFlags = "200"
    Caption = Lbl.Caption
    End Property

Property Let Caption(Value As String)
    Lbl.Caption = Value
    PropertyChanged "Caption"
    End Property

Property Get Alignment() As AlignmentConstants
    Alignment = Lbl.Alignment
    End Property

Property Let Alignment(Value As AlignmentConstants)
    Lbl.Alignment = Value
    PropertyChanged "Alignment"
    End Property

Property Get ToolTip() As String
    ToolTip = Tag
    End Property

Property Let ToolTip(Text As String)
    Tag = Text
    PropertyChanged "ToolTip"
    End Property

Property Get ForeColor() As OLE_COLOR
    ForeColor = Lbl.ForeColor
    End Property

Property Let ForeColor(Value As OLE_COLOR)
    UserControl.ForeColor = Value: Lbl.ForeColor = Value
    PropertyChanged "ForeColor"
    End Property

Property Get LabelColor() As OLE_COLOR
    LabelColor = UserControl.BackColor
    End Property

Property Let LabelColor(Value As OLE_COLOR)
    UserControl.BackColor = Value: Lbl.BackColor = Value
    PropertyChanged "LabelColor"
    End Property

'Property Get BackColor() As OLE_COLOR
'    BackColor = Chk.BackColor
'    End Property

'Property Let BackColor(Value As OLE_COLOR)
'    Chk.BackColor = Value
'    PropertyChanged "BackColor"
'    End Property

Property Get Font() As StdFont
    Set Font = UserControl.Font
    End Property

Property Let Font(Value As StdFont)
    Set UserControl.Font = Value: Set Lbl.Font = Value
    PropertyChanged "Font"
    End Property

Property Set Font(Value As StdFont)
    Set UserControl.Font = Value: Set Lbl.Font = Value
    PropertyChanged "Font"
    End Property

'Sub SymbolFont(Value As StdFont)
'    Set Chk.Font = Value
'    End Sub

Function hWnd() As Long
    hWnd = UserControl.hWnd
    End Function

'Private Sub Lbl_DblClick()
'    UserControl_DblClick
'    End Sub

Private Sub Lbl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseDown Button, Shift, X, Y
    End Sub

Private Sub Lbl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseMove Button, Shift, X, Y
    End Sub

Private Sub Lbl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    UserControl_MouseUp Button, Shift, X, Y
    End Sub

'Private Sub UserControl_DblClick()
'    End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Tip.Visible Then Tip.Update
    End Sub
    
Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Tip.Update Tag
    End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent Click
    End Sub

'Private Sub UserControl_KeyDown(KeyCode As Integer, Shift As Integer)
'    If KeyCode = vbKeySpace Then Press
'    End Sub

'Private Sub UserControl_KeyUp(KeyCode As Integer, Shift As Integer)
'    If KeyCode = vbKeySpace Then UnPress
'    End Sub

Private Sub UserControl_Resize()
    Dim H As Long
    H = TextHeight("")
    Lbl.Move 0, Int(ScaleHeight) \ 2 - H \ 2, Int(ScaleWidth), H
    End Sub

'Private Sub UserControl_GotFocus()
'    'Border.Visible = True
'    End Sub

'Private Sub UserControl_LostFocus()
'    'Border.Visible = False
'    End Sub

Private Sub UserControl_ReadProperties(P As PropertyBag)
    Caption = P.ReadProperty("Caption", UserControl.Name)
    Alignment = P.ReadProperty("Alignment", vbLeftJustify)
    ToolTip = P.ReadProperty("ToolTip", "")
    ForeColor = P.ReadProperty("ForeColor", vbButtonText)
    LabelColor = P.ReadProperty("LabelColor", vbButtonFace)
    'BackColor = P.ReadProperty("BackColor", vbWindowBackground)
    Set Font = P.ReadProperty("Font", UserControl.Extender.Container.Font)
    UserControl_Resize
    End Sub

Private Sub UserControl_WriteProperties(P As PropertyBag)
    P.WriteProperty "Caption", Caption, UserControl.Name
    P.WriteProperty "Alignment", Alignment, vbLeftJustify
    P.WriteProperty "ToolTip", ToolTip, ""
    P.WriteProperty "ForeColor", ForeColor, vbButtonText
    P.WriteProperty "LabelColor", LabelColor, vbButtonFace
    'P.WriteProperty "BackColor", BackColor, vbWindowBackground
    P.WriteProperty "Font", Font, UserControl.Extender.Container.Font
    End Sub
