VERSION 5.00
Begin VB.Form Video360 
   BackColor       =   &H00000000&
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "360 player"
   ClientHeight    =   4800
   ClientLeft      =   180
   ClientTop       =   450
   ClientWidth     =   4800
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00FFFFFF&
   Icon            =   "Video360.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   320
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   320
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   Begin VB.Menu mnMenu 
      Caption         =   "Menu"
      Visible         =   0   'False
      Begin VB.Menu mnPlay 
         Caption         =   "Play"
      End
      Begin VB.Menu mnOpen 
         Caption         =   "Open video ..."
      End
      Begin VB.Menu mnS1 
         Caption         =   "-"
      End
      Begin VB.Menu mnSync 
         Caption         =   "Sync video"
      End
      Begin VB.Menu mnShowControls 
         Caption         =   "Show controls"
      End
      Begin VB.Menu mnFullScreen 
         Caption         =   "Full screen"
      End
      Begin VB.Menu mnVideoSize 
         Caption         =   "Video size"
         Begin VB.Menu mnSize50 
            Caption         =   "50 %"
         End
         Begin VB.Menu mnSize100 
            Caption         =   "100 %"
         End
         Begin VB.Menu mnSize200 
            Caption         =   "200 %"
         End
      End
      Begin VB.Menu mnS2 
         Caption         =   "-"
      End
      Begin VB.Menu mnHide 
         Caption         =   "Hide"
      End
   End
End
Attribute VB_Name = "Video360"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public WithEvents _
    WMP As VBControlExtender, _
    WMP1 As VBControlExtender, _
    WMP2 As VBControlExtender, _
    WMP3 As VBControlExtender, _
    WMP4 As VBControlExtender, _
    WMP5 As VBControlExtender, _
    WMP6 As VBControlExtender, _
    WMP7 As VBControlExtender, _
    WMP8 As VBControlExtender, _
    WMP9 As VBControlExtender, _
    WMP0 As VBControlExtender
Attribute WMP.VB_VarHelpID = -1

Dim Op As OpenFileName, Multi As Long, MultiX As Long, MultiY As Long, NoKey As Boolean, _
    VideoFile As String, Zoom As Single ', Main As Form

Private Sub Form_Load()
    Zoom = 100
    End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    On Error Resume Next
    If UnloadMode = vbFormControlMenu Then Cancel = True: Activate: Exit Sub
    UnloadWMP
    On Error GoTo 0
    End Sub

Sub Activate()
    On Error Resume Next
    If Visible Then
        If Not WMP1 Is Nothing Then If WMP1.object.PlayState = 2 Then mnPlay_Click
        Hide
    Else
        If WMP1 Is Nothing Then OpenFile
        Show vbModeless, Main
        End If
    On Error GoTo 0
    End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next
    If NoKey Then NoKey = False: Exit Sub
    Select Case KeyCode
    Case vbKeySpace, vbKeyNumpad0, vbKey0
        If Shift = 0 Then mnPlay_Click Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyLeft, vbKeyNumpad4, vbKey4, vbKeyPageUp: MovePos 1
    Case vbKeyRight, vbKeyNumpad6, vbKey6, vbKeyPageDown: MovePos -1
    Case vbKeyHome, vbKeyNumpad5, vbKey5: If Not WMP1 Is Nothing Then MovePos -WMP1.Left
    Case vbKeyAdd: SetZoom 1
    Case vbKeySubtract: SetZoom -1
    Case vbKeyReturn: If Shift Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0 'UnloadWMP: OpenFile
    Case vbKeyEscape: If WindowState = vbMaximized Then FullScreenPanel Me Else Activate
    Case vbKeyF11: If Shift = 2 Then FullScreenPanel Me Else Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKeyF1 To vbKeyF12: Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case vbKey0 To vbKey9, vbKeyA To vbKeyZ, vbKeyTab
        If Shift > 1 Then Main.Form_KeyDown KeyCode, Shift: KeyCode = 0
    Case Else: Exit Sub
        End Select
    NoKey = True
    On Error GoTo 0
    End Sub

Private Sub Form_Resize()
    On Error Resume Next
    If MultiY > 0 Then ResizeHeight Me, MultiY
    On Error GoTo 0
    End Sub

Private Sub UnloadWMP()
    On Error Resume Next
    If Not WMP0 Is Nothing Then Set WMP0 = Nothing: Controls.Remove "Player0"
    If Not WMP9 Is Nothing Then Set WMP9 = Nothing: Controls.Remove "Player9"
    If Not WMP8 Is Nothing Then Set WMP8 = Nothing: Controls.Remove "Player8"
    If Not WMP7 Is Nothing Then Set WMP7 = Nothing: Controls.Remove "Player7"
    If Not WMP6 Is Nothing Then Set WMP6 = Nothing: Controls.Remove "Player6"
    If Not WMP5 Is Nothing Then Set WMP5 = Nothing: Controls.Remove "Player5"
    If Not WMP4 Is Nothing Then Set WMP4 = Nothing: Controls.Remove "Player4"
    If Not WMP3 Is Nothing Then Set WMP3 = Nothing: Controls.Remove "Player3"
    If Not WMP2 Is Nothing Then Set WMP2 = Nothing: Controls.Remove "Player2"
    If Not WMP1 Is Nothing Then Set WMP1 = Nothing: Controls.Remove "Player1"
    On Error GoTo 0
    End Sub

Private Sub InitWMP(WMPX As VBControlExtender, Optional ByVal N As String, _
        Optional ByVal IsMulti As Boolean = True)
    On Error Resume Next
    If Not WMPX Is Nothing Then Exit Sub
    Set WMPX = Controls.Add("MediaPlayer.MediaPlayer.1", "Player" & N, Me)
    If WMPX Is Nothing Then Exit Sub
    With WMPX.object
    .AutoRewind = True: .AutoSize = False: .AutoStart = Not IsMulti
    .ClickToPlay = False: .DisplayMode = 0: .DisplaySize = 4
    .EnableContextMenu = False: .EnableFullScreenControls = True
    .EnablePositionControls = True: .EnableTracker = True
    .InvokeURLs = True: .PlayCount = 1
    .SendErrorEvents = True: .SendKeyboardEvents = True: .SendMouseClickEvents = True
    .SendMouseMoveEvents = True: .SendOpenStateChangeEvents = True
    .SendPlayStateChangeEvents = True: .SendWarningEvents = True
    .ShowAudioControls = True: .ShowCaptioning = False: .ShowControls = Not IsMulti
    .ShowDisplay = False: .ShowGotoBar = False: .ShowPositionControls = True
    .ShowStatusBar = Not IsMulti: .ShowTracker = True: .WindowlessVideo = False
    End With
    WMPX.Visible = True
    On Error GoTo 0
    End Sub

Private Sub OpenFile(Optional File As String) ', Optional ByVal IsMulti As Boolean = True)
    Dim C As Long, N As Long, W As Long, H As Long, _
        S As String, U As String, V As String
    On Error Resume Next
    If File = "" Then File = GetOpenFile(Op, , FileVideo, VideosDir): _
        If File = "" Then Exit Sub
    Message "Opening video files "
    If Not WMP1 Is Nothing Then UnloadWMP
    S = FileName(File): V = FileExt(File)
    U = Right(S, 1): If U = "" Or U < "0" Or U > "9" Then GoTo NoFile
    S = Left(S, Len(S) - 1): VideoFile = FileNameFromPath(S): Caption = VideoFile
    C = Val(U): N = C
    If OpenWMP(WMP1, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP2, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP3, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP4, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP5, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP6, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP7, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP8, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP9, C, N, S, V) Then GoTo Nxt
    If OpenWMP(WMP0, C, N, S, V) Then GoTo Nxt
Nxt:
    Multi = N - C: If Multi = 0 Then GoTo NoFile
    SetZoom
    mnPlay_Click
    Message
    Exit Sub
NoFile:
    Multi = 0: MultiX = 0: MultiY = 0: VideoFile = Name: Caption = Name
    Message "Open file error", 2000
    On Error GoTo 0
    End Sub

Private Function OpenWMP(WMPX As VBControlExtender, _
        C As Long, N As Long, S As String, V As String) As Boolean
    Dim W As Long, H As Long ', Q As Long
    On Error Resume Next
    OpenWMP = True
    If WMPX Is Nothing Then InitWMP WMPX, N - C + 1: If WMPX Is Nothing Then Exit Function
    With WMPX.object
    .FileName = S & N & V
    Do: DoEvents
        W = .ImageSourceWidth: H = .ImageSourceHeight ': Q = .OpenState
        Loop While .ErrorCode = 0 And W = 0 And H = 0 '.ErrorCode = -1072885353
    End With
    If W = 0 Or H = 0 Then Exit Function
    N = N + 1
    OpenWMP = False
    End Function

Private Sub MovePos(Optional ByVal X As Long)
    On Error Resume Next
    If WMP1 Is Nothing Then Exit Sub
    If X > 0 Then X = WMP1.Width Else If X < 0 Then X = -WMP1.Width Else Exit Sub
    If Multi >= 1 Then MoveWMP WMP1, X
    If Multi >= 2 Then MoveWMP WMP2, X
    If Multi >= 3 Then MoveWMP WMP3, X
    If Multi >= 4 Then MoveWMP WMP4, X
    If Multi >= 5 Then MoveWMP WMP5, X
    If Multi >= 6 Then MoveWMP WMP6, X
    If Multi >= 7 Then MoveWMP WMP7, X
    If Multi >= 8 Then MoveWMP WMP8, X
    If Multi >= 9 Then MoveWMP WMP9, X
    If Multi >= 10 Then MoveWMP WMP0, X
    UpdateCaption
    End Sub

Private Sub MoveWMP(WMPX As VBControlExtender, Optional ByVal X As Long)
    On Error Resume Next
    If WMPX Is Nothing Then Exit Sub
    WMPX.Move WMPX.Left + X
    If WMPX.Left + WMPX.Width <= 0 Then WMPX.Left = WMPX.Left + MultiX
    If WMPX.Left + WMPX.Width > MultiX Then WMPX.Left = WMPX.Left - MultiX
    End Sub

Private Sub SetZoom(Optional ByVal N As Long)
    Dim X As Long, Y As Long
    If N > 0 Then
        Select Case Zoom
        Case Is < 10: Zoom = 10
        Case Is < 15: Zoom = 15
        Case Is < 20: Zoom = 20
        Case Is < 25: Zoom = 25
        Case Is < 35: Zoom = 35
        Case Is < 50: Zoom = 50
        Case Is < 75: Zoom = 75
        Case Is < 100: Zoom = 100
        Case Is < 150: Zoom = 150
        Case Else: Zoom = 200
            End Select
    ElseIf N < 0 Then
        Select Case Zoom
        Case Is > 200: Zoom = 200
        Case Is > 150: Zoom = 150
        Case Is > 100: Zoom = 100
        Case Is > 75: Zoom = 75
        Case Is > 50: Zoom = 50
        Case Is > 35: Zoom = 35
        Case Is > 25: Zoom = 25
        Case Is > 20: Zoom = 20
        Case Is > 15: Zoom = 15
        Case Else: Zoom = 10
            End Select
        End If
    On Error Resume Next
    If WMP1 Is Nothing Then Exit Sub
    If Multi >= 1 Then ResizeWMP WMP1, X, Y
    If Multi >= 2 Then ResizeWMP WMP2, X, Y
    If Multi >= 3 Then ResizeWMP WMP3, X, Y
    If Multi >= 4 Then ResizeWMP WMP4, X, Y
    If Multi >= 5 Then ResizeWMP WMP5, X, Y
    If Multi >= 6 Then ResizeWMP WMP6, X, Y
    If Multi >= 7 Then ResizeWMP WMP7, X, Y
    If Multi >= 8 Then ResizeWMP WMP8, X, Y
    If Multi >= 9 Then ResizeWMP WMP9, X, Y
    If Multi >= 10 Then ResizeWMP WMP0, X, Y
    MultiX = X: MultiY = Y
    Resize Me, MultiX, MultiY
    X = ScreenWidth * TwipX
    If Width >= X Then Width = X
    If Left + Width > X Then Left = X - Width
    UpdateCaption
    End Sub

Private Sub ResizeWMP(WMPX As VBControlExtender, X As Long, Y As Long)
    Dim W As Long, H As Long
    On Error Resume Next
    If WMPX Is Nothing Then Exit Sub
    With WMPX.object: W = .ImageSourceWidth * Zoom / 100: H = .ImageSourceHeight * Zoom / 100: End With
    WMPX.Move X, 0, W, H: X = X + W: If H > Y Then Y = H
    On Error GoTo 0
    End Sub

Private Sub UpdateCaption()
    Dim N As Long
    On Error Resume Next
    If WMP1 Is Nothing Then Exit Sub
    N = -Int(WMP1.Left / MultiX * 360): If N < 0 Then N = N + 360 Else If N >= 360 Then N = N - 360
    Caption = VideoFile & " (" & Zoom & " %)  -  " & N & ""
    On Error GoTo 0
    End Sub

Private Sub mnPlay_Click()
    Dim X As Boolean
    On Error Resume Next
    If WMP1 Is Nothing Then Exit Sub
    X = WMP1.object.PlayState = 2
    If Multi >= 1 Then If X Then WMP1.object.Pause Else WMP1.object.Play
    If Multi >= 2 Then If X Then WMP2.object.Pause Else WMP2.object.Play
    If Multi >= 3 Then If X Then WMP3.object.Pause Else WMP3.object.Play
    If Multi >= 4 Then If X Then WMP4.object.Pause Else WMP4.object.Play
    If Multi >= 5 Then If X Then WMP5.object.Pause Else WMP5.object.Play
    If Multi >= 6 Then If X Then WMP6.object.Pause Else WMP6.object.Play
    If Multi >= 7 Then If X Then WMP7.object.Pause Else WMP7.object.Play
    If Multi >= 8 Then If X Then WMP8.object.Pause Else WMP8.object.Play
    If Multi >= 9 Then If X Then WMP9.object.Pause Else WMP9.object.Play
    If Multi >= 10 Then If X Then WMP0.object.Pause Else WMP0.object.Play
    On Error GoTo 0
    End Sub
